package com.adc.da.system.dao;


import com.adc.da.dto.reqDTO.CertificateReqDTO;
import com.adc.da.dto.resDTO.CertificateResDTO;
import com.adc.da.system.entity.CheckCertificateMainInfo;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * mapper
 */
@SqlParser(filter = true)
public interface CheckCertificateMainInfoDao extends BaseMapper<CheckCertificateMainInfo> {

    /**
     * 获取分页数据
     * @param certificatePage
     * @return
     */
    List<CertificateResDTO> queryByPage(CertificateReqDTO certificatePage);

    List<CertificateResDTO> queryByPageOrderByGroup(CertificateReqDTO certificatePage);

    /**
     * 获取数据总条数
     * @param certificatePage
     * @return
     */
    int getCount(CertificateReqDTO certificatePage);

    String getMaxVehicleGroup();

    List<CheckCertificateMainInfo> getClcpZk(String vehicleGroup);

//    /**
//     * 根据车型编号查询油耗数据
//     * @param carTypeCode
//     * @return
//     */
//    FuelDataEntity selectFuelDataByCarTypeCode(String carTypeCode);

    CheckCertificateMainInfo getVersion(CheckCertificateMainInfo certificate);

    Integer insertCheckCertificateMainInfo(CheckCertificateMainInfo clcpZk);
}
