package com.adc.da.system.dao;


import com.adc.da.dto.resDTO.CheckEnterpriseDTO;

import com.adc.da.system.entity.CheckEnterpriseData;
import com.adc.da.system.entity.VehicleList;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * mapper
 */
@SqlParser(filter = true)
public interface CheckEnterpriseDataDao extends BaseMapper<CheckEnterpriseData> {

    /**
     * 企业数据分页查询
     * @param page
     * @param checkEnterpriseData
     * @return
     */
    IPage<CheckEnterpriseData> queryCheckEnterpriseDataByPage(@Param("page") Page page,
                                                              @Param("checkEnterpriseData") CheckEnterpriseData checkEnterpriseData,
                                                              @Param("baseIdList") List<String> baseIdList);

    /**
     * 车型列表分页查询
     * @param page
     * @param vehicleList
     * @return
     */
    IPage<VehicleList> queryVehicleListByPage(
            @Param("page") Page page,
            @Param("vehicleList") VehicleList vehicleList,
            @Param("baseIdList") List<String> baseIdList);

    IPage<CheckEnterpriseData>queryInfoByCheckstatus(@Param("page")Page page);

    IPage<CheckEnterpriseData> queryEnterpriseDataPage(@Param("page")Page page,@Param("checkEnterpriseData") CheckEnterpriseData checkEnterpriseData);

    List<CheckEnterpriseDTO> queryEnterpriseData(@Param("vehicleType") String vehicleType, @Param("entryName") String entryName,
                                                 @Param("checkStatus") String checkStatus, @Param("auditNumber") String auditNumber, @Param("versionNumber") String versionNumber);


}
