package com.adc.da.system.dao;


import com.adc.da.system.entity.CheckModelSeriesList;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * mapper
 */
@SqlParser(filter = true)
public interface CheckModelSeriesListDao extends BaseMapper<CheckModelSeriesList> {

    /**
     * 车型系列表分页查询
     *
     * @param page
     * @param checkModelSeriesList
     * @return
     */
    IPage<CheckModelSeriesList> queryCheckModelSeriesListByPage(
            @Param("page") Page page,
            @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList,
            @Param("baseIdList") List<String> baseIdList, @Param("idList") List<String> idList);

    /**
     * 车型系列表结果分页查询
     * @param page
     * @param checkModelSeriesList
     * @param baseIdList
     * @param idList
     * @return
     */
    IPage<CheckModelSeriesList> querySuccessCheckModelSeriesList(
            @Param("page") Page page,
            @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList,
            @Param("baseIdList") List<String> baseIdList, @Param("idList") List<String> idList);

    /**
     * 车型系列表结果分页查询
     * @param page
     * @param checkModelSeriesList
     * @param baseIdList
     * @param idList
     * @return
     */
    IPage<CheckModelSeriesList> queryReviewCheckModelSeriesList(
            @Param("page") Page page,
            @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList,
            @Param("baseIdList") List<String> baseIdList, @Param("idList") List<String> idList);

    /**
     * 车型系列表查询(不分页)
     *
     * @param checkModelSeriesList
     * @return
     */
    List<CheckModelSeriesList> queryCheckModelSeriesListByPage(
            @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList,
            @Param("baseIdList") List<String> baseIdList,
            @Param("idList") List<String> idList);
    /**
     * 车型系列表分页查询（复核）
     *
     * @param page
     * @param checkModelSeriesList
     * @return
     */
    List<CheckModelSeriesList> queryCheckModelSeriesListByPageFh(
            @Param("page") Page page,
            @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList,
            @Param("baseIdList") List<String> baseIdList,
            @Param("idList") List<String> idList);

    /**
     * 车型系列表查询(不分页)
     *
     * @param checkModelSeriesList
     * @return
     */
    List<CheckModelSeriesList> queryCheckModelSeriesListByPageFh(
            @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList,
            @Param("baseIdList") List<String> baseIdList,
            @Param("idList") List<String> idList);

    /**
     * 车型系列表查询（复核）
     *
     * @return
     */
    List<CheckModelSeriesList> queryCheckModelSeriesList();


    /**
     * 车型系列表结果分页查询
     *
     * @param page
     * @param checkModelSeriesList
     * @return
     */
    IPage<CheckModelSeriesList> queryCheckedModelSeriesListByPage(@Param("page") Page page, @Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList);

    /**
     * 首页统计
     *
     * @param checkModelSeriesList
     * @return
     */
    CheckModelSeriesList stat(@Param("checkModelSeriesList") CheckModelSeriesList checkModelSeriesList);

    /**
     * @param userId
     * @return
     */
    String getOrgNameByUserId(String userId);

    /**
     * @param userId
     * @return
     */
    List<String> userIsSupper(String userId);

    String queryId(String vehicleSeries);
}
