package com.adc.da.system.dao;

import com.adc.da.system.entity.CheckObdDetail;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2021-04-01
 */
public interface CheckObdDetailMapper extends BaseMapper<CheckObdDetail> {

    /**
     * 模糊查询（带有分页和排序）
     * @param obdDetailName 检索项目名称
     * @param userId 创建人
     * @param baseId 事业部
     * @param sort 排序字段
     * @param isAsc 是否正序
     * @return 查询结果
     */
    IPage<CheckObdDetail> queryDetail(@Param("iPage") Page iPage, @Param("obdDetailName") String obdDetailName,
                                      @Param("userId") String userId, @Param("baseIds") List<String> baseId,
                                      @Param("sort") String sort, @Param("isAsc") String isAsc,
                                      @Param("type") String type);

    IPage<CheckObdDetail> getQueryDetail(@Param("iPage") Page iPage, @Param("obdDetailName") String obdDetailName,
                                      @Param("userId") String userId, @Param("baseIds") List<String> baseId,
                                      @Param("sort") String sort, @Param("isAsc") String isAsc,
                                      @Param("type") String type);

    Integer deleteDetailObd(@Param("idList") List<String> idList);

    List<String> selectName (@Param("baseList") List<String> baseList,@Param("type") String type);

    List<CheckObdDetail> selectDetailByObdId(@Param("obdId")String obdId);

    int selectCountByItemAndBase(@Param("baseIds") List<String> baseId,@Param("detailType") String detailType, @Param("detailName")String detailName,@Param("id") String id);

    List<CheckObdDetail> getDetailListByType(@Param("baseIds") List<String> detailBaseList, @Param("detailType") String detailType,@Param("remarks") String remarks);

    List<String> queryZcName(String scanCodeId);

    List<CheckObdDetail> listByProductName(@Param("assemblyName") String assemblyName,
                                           @Param("scanCode") String modelSeriesListId);
}
