package com.adc.da.system.dao;


import com.adc.da.system.entity.CheckObd;
import com.adc.da.system.entity.DataDetail;
import com.adc.da.system.entity.TsOrg;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * OBD参数审核表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2021-03-30
 */
@SqlParser(filter = true)
public interface CheckObdMapper extends BaseMapper<CheckObd> {

    /**
     * 模糊查询（带有分页和排序）
     * @param obdName 模板名称
     * @param operator 创建人
     * @param base 事业部
     * @param sort 排序字段
     * @param isAsc 是否正序
     * @return 查询结果
     */
    IPage<CheckObd> queryCheckObd(@Param("iPage") Page iPage, @Param("obdName") String obdName,
                                  @Param("operator") String operator, @Param("sort") String sort,
                                  @Param("isAsc") String isAsc, @Param("type") String type,
                                  @Param("startTime")String startTime,@Param("endTime")String endTime,
                                  @Param("list") List<String> list);

    List<TsOrg> selectOrg();

    String selectDetailObd(@Param("id") String id);

    Integer updateObd(CheckObd checkObd);

    Integer deleteObdOrg(@Param("obdId") String obdId);

    Integer deleteDetailObd(@Param("id") String id);

    List<String> selectObd(String base);

    int selectCountByBaseAndName(@Param("baseIds") List<String> baseIds, @Param("mouldName") String mouldName
            , @Param("id") String id,@Param("mouldType") String mouldType);

    String getClcpZkId (@Param("cpxh") String cpxh,@Param("pc") String pc);

    DataDetail getdataZrin (@Param("id") String id, @Param("cname") String cname);
}
