package com.adc.da.system.dao;

import com.adc.da.dto.reqDTO.CertificationDTO;
import com.adc.da.dto.reqDTO.CheckRealVehicleVerificationDto;
import com.adc.da.dto.reqDTO.RVVObdDTO;
import com.adc.da.dto.reqDTO.RegulationsDTO;
import com.adc.da.dto.reqDTO.ScanCodeDTO;
import com.adc.da.dto.resDTO.CheckRealVehicleVerificationDTO;
import com.adc.da.system.entity.CheckRealVehicleVerAndMoedelSeriesList;
import com.adc.da.system.entity.CheckRealVehicleVerification;
import com.baomidou.mybatisplus.annotation.SqlParser;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;
@SqlParser(filter = true)
public interface CheckRealVehicleVerificationDao extends BaseMapper<CheckRealVehicleVerification> {
    /**
     * 根据车系ID查询CheckRealVehicleVerificationDTO
     *
     * @param vehicleSeriesId
     * @return
     */
    List<CheckRealVehicleVerificationDTO> selectByVehicleSeriesId(String vehicleSeriesId);

    IPage<CheckRealVehicleVerAndMoedelSeriesList> queryRealVehicleVer(@Param("Page") Page page, @Param("type") String type, @Param("handleType") String handleType, @Param("checkType") String checkType, @Param("vehicleSeries") String vehicleSeries);

    IPage<CheckRealVehicleVerification> getCheckRealVehicleVerPage(@Param("Page") Page page, @Param("checkRealVehicleVer") CheckRealVehicleVerification checkRealVehicleVer);

    List<RVVObdDTO> getCheckRealVehicleVer(@Param("ids") List<String> ids, @Param("checkType") String checkType,
                                           @Param("handleType") String handleType,
                                           @Param("parameterName") String parameterName);

    List<ScanCodeDTO> getCheckRealVehicleVer1(@Param("ids") List<String> ids, @Param("checkType") String checkType,
                                              @Param("handleType") String handleType,
                                              @Param("parameterName") String parameterName);

    List<RegulationsDTO> getCheckRealVehicleVer2(@Param("ids") List<String> ids, @Param("checkType") String checkType,
                                                 @Param("handleType") String handleType,
                                                 @Param("parameterName") String parameterName,
                                                 @Param("project") String project);

    List<CertificationDTO> getCheckRealVehicleVer3(@Param("ids") List<String> ids, @Param("checkType") String checkType,
                                                   @Param("handleType") String handleType,
                                                   @Param("parameterName") String parameterName);

    Integer updateCheckModelSeriesList(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto);

    Integer updateCheckModelSeriesListTime(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto);

    Integer updateCheckModelSeries(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto);

    List<CheckRealVehicleVerAndMoedelSeriesList> queryCheckRealVehicleVer();

    String queryId(@Param("vehicleTypeAndGroup") String vehicleTypeAndGroup, @Param("detailType") String detailType);

    List<CheckRealVehicleVerification> queryLastCheckRealVehicleVer(@Param("list") List<String> list,@Param("detailType") String detailType);
}
