package com.adc.da.system.dao;


import com.adc.da.dto.reqDTO.VehicleDatabaseDetaDTO;
import com.adc.da.system.entity.CheckCerAndDetail;
import com.adc.da.system.entity.VehicleDatabase;
import com.adc.da.system.entity.VehicleDatabaseDetails;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface VehicleDatabaseDao extends BaseMapper<VehicleDatabase> {

    /**
     *
     * @param page
     * @param vehicleDatabase
     * @param baseIdList
     * @return
     */
    IPage<VehicleDatabase> queryByPage(
            @Param("page") Page page,
            @Param("vehicleDatabase") VehicleDatabase vehicleDatabase,
            @Param("baseIdList") List<String> baseIdList);

    /**
     *
     * @param page
     * @param vehicleDatabaseDetails
     * @param baseIdList
     * @return
     */
    List<VehicleDatabaseDetails> queryDetailsByPage(
            @Param("page") Page page,
            @Param("vehicleDatabaseDetails") VehicleDatabaseDetails vehicleDatabaseDetails,
            @Param("baseIdList") List<String> baseIdList);

    /**
     * 查询不符合零部件
     * @param vehicleDatabaseDetails
     * @return
     */
    IPage<CheckCerAndDetail> queryVehicleDatabaseDetailsPage(@Param("page") Page page,
                                                             @Param("vehicleDatabaseDetails") VehicleDatabaseDetails vehicleDatabaseDetails);

    List<VehicleDatabaseDetaDTO> queryVehicleDatabaseDetails(@Param("vehicleDatabaseDetails") VehicleDatabaseDetails vehicleDatabaseDetails,
                                                             @Param("list") List<String> list);
    /**
     *
     * @param vehicleDatabaseDetails
     * @param baseIdList
     * @return
     */
    List<VehicleDatabaseDetails> queryByType(
            @Param("vehicleDatabaseDetails") VehicleDatabaseDetails vehicleDatabaseDetails,
            @Param("baseIdList") List<String> baseIdList);

    /**
     *
     * @param cccId
     * @param idList
     * @param order
     * @param orderBy
     * @param modelCode
     * @param baseIdList
     * @return
     */
    List<VehicleDatabaseDetails> queryDetailsByList(@Param("cccId") String cccId,
                                                    @Param("idList") List<String> idList,
                                                    @Param("order") String order,
                                                    @Param("orderBy") String orderBy,
                                                    @Param("modelCode") String modelCode,
                                                    @Param("baseIdList") List<String> baseIdList);

}
