package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_CD_VEHICLE")
public class CdVehicles extends BaseEntity {

    @TableField("DL_CHANGE")
    private String dlChang;
    @TableField(exist = false)
    private String oldcspc;

    public String getOldcspc() {
        return oldcspc;
    }

    public void setOldcspc(String oldcspc) {
        this.oldcspc = oldcspc;
    }

    @TableField(exist = false)
    private String bacspc;

    @TableField("LEGAL")
    private String legal;

    @TableField("DIR_SEQ")
    private String dirSeq;

    @TableField("REGISTER_ADDRESS")
    private String registerAddress;

    @TableField("DQX4")
    private String dqx4;

    /**
     * 产品ID
     */
    @TableField("产品号")
    private String productId;


    /**
     * 前悬/后悬
     */
    @TableField("前悬后悬")
    private String overHang;

    /**
     * 接近角/离去角（°）
     */
    @TableField("接近离去角")
    private String appAndDepAngle;

    /**
     * 生效日期
     */
    @TableField("生效日期")
    private String effectiveDate;

    /**
     * 公告发布日期
     */
    @TableField("发布日期")
    private String issuedDate;

    @TableField("TYPE")
    private Integer type;

    /**
     * 创建时间
     */
    @TableField("生效日期")
    private Date createTime;
    @TableId("ID")
    private String id;
    /**
     * 轮胎规格
     */
    @TableField("轮胎规格")
    private String tyreSize;

    /**
     * 备注
     */
    @TableField("VEHICLE_OTHER")
    private String vehicleOther;

    /**
     * 轮胎数
     *
     */
    @TableField("轮胎数")
    private String tyreCount;

    /**
     * 企业name
     */
    @TableField("企业名称")
    private String entName;

    /**
     * 中文品牌
     */
    @TableField("中文品牌")
    private String zwpp;

    /**
     * 轴距
     */
    @TableField("轴距")
    private String wheelSpace;

    /**
     *轴荷
     */
    @TableField("轴荷")
    private String axleLoad;

    /**
     * 总质量（kg）
     */
    @TableField("总质量")
    private String totalMass;

    /**
     * 驾驶室准乘人数（人）
     */
    @TableField("驾驶室")
    private String cabPopulation;

    /**
     * 油耗
     */
    @TableField("油耗")
    private String yh;
    /**
     * 发动机型号
     */
    @TableField("M发动机")
    private String fdjxh;
    /**
     * 额定载质量
     */
    @TableField("额定质量")
    private String ratedContainedMass;

    /**
     * 底盘型号
     */
    @TableField("DPXH1")
    private String dpxh1;

    @TableField("DPXH2")
    private String dpxh2;
    @TableField("DPXH3")
    private String dpxh3;
    @TableField("DPXH4")
    private String dpxh4;
    /**
     * 依据的排放标准
     */
    @TableField("依据标准")
    private String emissionStandard;
    /**
     * 货厢栏板内尺寸（长×宽×高）长（mm）
     */
    @TableField("货厢长")
    private String gateLength;
    /**
     * 产品型号
     */
    @TableField("产品型号")
    private String vehicleModel;

    @TableField("VIN")
    private String vin;
    /**
     * 整备质量
     */
    @TableField("整备质量")
    private String kerbMass;



    /**
     * 发动机功率
     */
    @TableField("M功率")
    private String fdjgl;

    /**
     * 产品商标
     */
    @TableField("产品商标")
    private String brand;

    /**
     * 产品号
     */
    @TableField("产品号")
    private String productNo;


    /**
     * 批次
     */
    @TableField("批次")
    private String vehicleGroup;
    /**
     * 外形尺寸（高）（mm）
     */
    @TableField("高")
    private String height;
    /**
     * 发动机排量
     */
    @TableField("M排量")
    private String fdjpl;
    /**
     * 企业Id
     */
    @TableField("企业Id")
    private String entId;
    /**
     * 轴数
     */
    @TableField("轴数")
    private String axleCount;
    /**
     * 生产地址
     */
    @TableField("生产地址")
    private String producingAddress;
    /**
     * 货厢栏板内尺寸（长×宽×高）高（mm）
     */
    @TableField("货厢高")
    private String gateHeight;
    @TableField("DQX3")
    private String dqx3;
    /**
     * 外形尺寸（长）（mm）
     */
    @TableField("长")
    private String vehicleLength;
    @TableField("DQX2")
    private String dqx2;
    @TableField("DQX1")
    private String dqx1;
    /**
     * 最高车速
     */
    @TableField("最高车速")
    private String maxSpeed;
    /**
     * 后轮距（mm）
     */
    @TableField("后轮距")
    private String rearTrack;
    /**
     * 转向型式
     */
    @TableField("转向形式")
    private String steeringType;
    /**
     * 前轮距（mm）
     */
    @TableField("前轮距")
    private String frontTrack;
    /**
     * 钢板弹簧片数（前/后）
     */
    @TableField("弹簧片数")
    private String springLeafCount;
    /**
     * 燃料种类
     */
    @TableField("燃料种类")
    private String fuelType;
    /**
     * 产品名称
     */
    @TableField("车辆名称")
    private String vehicleName;
    /**
     * 外形尺寸（宽）（mm）
     */
    @TableField("宽")
    private String width;

    /**
     * 公告类型  1：整车  2：底盘
     */
    @TableField("CD_TYPE")
    private String cdType;

    /**
     * 货厢栏板内尺寸（长×宽×高）宽（mm）
     */
    @TableField("货厢宽")
    private String gateWidth;

    @TableField("底盘ID1")
    private String dpid1;//底盘ID
    @TableField("底盘ID2")
    private String dpid2;//底盘ID
    @TableField("底盘ID3")
    private String dpid3;//底盘ID
    @TableField("底盘ID4")
    private String dpid4;//底盘ID

    @TableField(exist = false)
    private String group;
    @TableField(exist = false)
    private String other;
    @TableField(exist = false)
    private String name;
    @TableField(exist = false)
    private String length;
    @TableField(exist = false)
    private String model;


    @TableField(exist = false)
    private String quasiTrailerTotalMass;//准拖挂车总质量
    @TableField(exist = false)
    private String qualityUtilFactor;//载质量利用系数
    @TableField(exist = false)
    private String bolsterMaxCapacity;//半挂车鞍座最大允许承载质量
    @TableField("额定载客")
    private String ratedPassCap;//额定载客
    @TableField(exist = false)
    private String fqy;//发动机生产企业
//    @TableField(exist = false)
//    private String dpid1;//底盘ID
    @TableField(exist = false)
    private String chassisType;//底盘类别
    @TableField(exist = false)
    private String dpmc1;//底盘名称
    //    @TableField(exist = false)
//    private String model;//说明
    @TableField(exist = false)
    private String abs;//防抱死制动系统
    @TableField(exist = false)
    private String bsqy;//车身反光标识说明生产企业
    @TableField(exist = false)
    private String bssb;//车身反光标识说明商标
    @TableField(exist = false)
    private String bsxh;//车身反光标识说明型号
    @TableField(exist = false)
    private String pfsp;//排放水平
    @TableField(exist = false)
    private String ybzp ;//右部照片
    @TableField(exist = false)
    private String hbzp ;//后部照片
    @TableField(exist = false)
    private String chfhzp ;//侧、后下部防护装置的组合照片
    @TableField(exist = false)
    private String xzzp1 ;//选装部件1
    @TableField(exist = false)
    private String xzzp2 ;// 选装部件2
    @TableField(exist = false)
    private String xzzp3 ;//选装部件3

    /**
     * 参数值
     */
    private transient String parameterValue;

    /**
     *  事业部名称集合
     */
    private transient String baseName;

    /**
     * 参数名称
     */
    private transient String parameterName;

    public String getDlChang() {
        return dlChang;
    }

    public void setDlChang(String dlChang) {
        this.dlChang = dlChang;
    }

    public String getQuasiTrailerTotalMass() {
        return quasiTrailerTotalMass;
    }

    public void setQuasiTrailerTotalMass(String quasiTrailerTotalMass) {
        this.quasiTrailerTotalMass = quasiTrailerTotalMass;
    }

    public String getQualityUtilFactor() {
        return qualityUtilFactor;
    }

    public void setQualityUtilFactor(String qualityUtilFactor) {
        this.qualityUtilFactor = qualityUtilFactor;
    }

    public String getBolsterMaxCapacity() {
        return bolsterMaxCapacity;
    }

    public void setBolsterMaxCapacity(String bolsterMaxCapacity) {
        this.bolsterMaxCapacity = bolsterMaxCapacity;
    }

    public String getRatedPassCap() {
        return ratedPassCap;
    }

    public void setRatedPassCap(String ratedPassCap) {
        this.ratedPassCap = ratedPassCap;
    }

    public String getFqy() {
        return fqy;
    }

    public void setFqy(String fqy) {
        this.fqy = fqy;
    }

    public String getDpid1() {
        return dpid1;
    }

    public void setDpid1(String dpid1) {
        this.dpid1 = dpid1;
    }

    public String getChassisType() {
        return chassisType;
    }

    public void setChassisType(String chassisType) {
        this.chassisType = chassisType;
    }

    public String getDpmc1() {
        return dpmc1;
    }

    public void setDpmc1(String dpmc1) {
        this.dpmc1 = dpmc1;
    }

    public String getAbs() {
        return abs;
    }

    public void setAbs(String abs) {
        this.abs = abs;
    }

    public String getBsqy() {
        return bsqy;
    }

    public void setBsqy(String bsqy) {
        this.bsqy = bsqy;
    }

    public String getBssb() {
        return bssb;
    }

    public void setBssb(String bssb) {
        this.bssb = bssb;
    }

    public String getBsxh() {
        return bsxh;
    }

    public void setBsxh(String bsxh) {
        this.bsxh = bsxh;
    }

    public String getPfsp() {
        return pfsp;
    }

    public void setPfsp(String pfsp) {
        this.pfsp = pfsp;
    }

    public String getYbzp() {
        return ybzp;
    }

    public void setYbzp(String ybzp) {
        this.ybzp = ybzp;
    }

    public String getHbzp() {
        return hbzp;
    }

    public void setHbzp(String hbzp) {
        this.hbzp = hbzp;
    }

    public String getChfhzp() {
        return chfhzp;
    }

    public void setChfhzp(String chfhzp) {
        this.chfhzp = chfhzp;
    }

    public String getXzzp1() {
        return xzzp1;
    }

    public void setXzzp1(String xzzp1) {
        this.xzzp1 = xzzp1;
    }

    public String getXzzp2() {
        return xzzp2;
    }

    public void setXzzp2(String xzzp2) {
        this.xzzp2 = xzzp2;
    }

    public String getXzzp3() {
        return xzzp3;
    }

    public void setXzzp3(String xzzp3) {
        this.xzzp3 = xzzp3;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTyreSize() {
        return tyreSize;
    }

    public void setTyreSize(String tyreSize) {
        this.tyreSize = tyreSize;
    }

    public String getBrand() {
        return brand;
    }

    public void setBrand(String brand) {
        this.brand = brand;
    }

    public String getGroup() {
        return group;
    }

    public void setGroup(String group) {
        this.group = group;
    }

    public String getOther() {
        return other;
    }

    public void setOther(String other) {
        this.other = other;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getModel() {
        return model;
    }

    public void setModel(String model) {
        this.model = model;
    }

    public String getTyreCount() {
        return tyreCount;
    }

    public void setTyreCount(String tyreCount) {
        this.tyreCount = tyreCount;
    }

    public String getEntName() {
        return entName;
    }

    public void setEntName(String entName) {
        this.entName = entName;
    }

    public String getZwpp() {
        return zwpp;
    }

    public void setZwpp(String zwpp) {
        this.zwpp = zwpp;
    }

    public String getWheelSpace() {
        return wheelSpace;
    }

    public void setWheelSpace(String wheelSpace) {
        this.wheelSpace = wheelSpace;
    }

    public String getAxleLoad() {
        return axleLoad;
    }

    public void setAxleLoad(String axleLoad) {
        this.axleLoad = axleLoad;
    }

    public String getTotalMass() {
        return totalMass;
    }

    public void setTotalMass(String totalMass) {
        this.totalMass = totalMass;
    }

    public String getCabPopulation() {
        return cabPopulation;
    }

    public void setCabPopulation(String cabPopulation) {
        this.cabPopulation = cabPopulation;
    }

    public String getYh() {
        return yh;
    }

    public void setYh(String yh) {
        this.yh = yh;
    }

    public String getFdjxh() {
        return fdjxh;
    }

    public void setFdjxh(String fdjxh) {
        this.fdjxh = fdjxh;
    }

    public String getRatedContainedMass() {
        return ratedContainedMass;
    }

    public void setRatedContainedMass(String ratedContainedMass) {
        this.ratedContainedMass = ratedContainedMass;
    }

//    public String getDpxh() {
//        return dpxh;
//    }
//
//    public void setDpxh(String dpxh) {
//        this.dpxh = dpxh;
//    }

    public String getEmissionStandard() {
        return emissionStandard;
    }

    public void setEmissionStandard(String emissionStandard) {
        this.emissionStandard = emissionStandard;
    }

    public String getGateLength() {
        return gateLength;
    }

    public void setGateLength(String gateLength) {
        this.gateLength = gateLength;
    }



    public String getVin() {
        return vin;
    }

    public void setVin(String vin) {
        this.vin = vin;
    }

    public String getKerbMass() {
        return kerbMass;
    }

    public void setKerbMass(String kerbMass) {
        this.kerbMass = kerbMass;
    }

    public String getFdjgl() {
        return fdjgl;
    }

    public void setFdjgl(String fdjgl) {
        this.fdjgl = fdjgl;
    }

    public String getProductNo() {
        return productNo;
    }

    public void setProductNo(String productNo) {
        this.productNo = productNo;
    }


    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getFdjpl() {
        return fdjpl;
    }

    public void setFdjpl(String fdjpl) {
        this.fdjpl = fdjpl;
    }

    public String getEntId() {
        return entId;
    }

    public void setEntId(String entId) {
        this.entId = entId;
    }

    public String getAxleCount() {
        return axleCount;
    }

    public void setAxleCount(String axleCount) {
        this.axleCount = axleCount;
    }

    public String getProducingAddress() {
        return producingAddress;
    }

    public void setProducingAddress(String producingAddress) {
        this.producingAddress = producingAddress;
    }

    public String getGateHeight() {
        return gateHeight;
    }

    public void setGateHeight(String gateHeight) {
        this.gateHeight = gateHeight;
    }

    public String getDqx3() {
        return dqx3;
    }

    public void setDqx3(String dqx3) {
        this.dqx3 = dqx3;
    }



    public String getDqx2() {
        return dqx2;
    }

    public void setDqx2(String dqx2) {
        this.dqx2 = dqx2;
    }

    public String getDqx1() {
        return dqx1;
    }

    public void setDqx1(String dqx1) {
        this.dqx1 = dqx1;
    }

    public String getMaxSpeed() {
        return maxSpeed;
    }

    public void setMaxSpeed(String maxSpeed) {
        this.maxSpeed = maxSpeed;
    }

    public String getRearTrack() {
        return rearTrack;
    }

    public void setRearTrack(String rearTrack) {
        this.rearTrack = rearTrack;
    }

    public String getSteeringType() {
        return steeringType;
    }

    public void setSteeringType(String steeringType) {
        this.steeringType = steeringType;
    }

    public String getFrontTrack() {
        return frontTrack;
    }

    public void setFrontTrack(String frontTrack) {
        this.frontTrack = frontTrack;
    }

    public String getSpringLeafCount() {
        return springLeafCount;
    }

    public void setSpringLeafCount(String springLeafCount) {
        this.springLeafCount = springLeafCount;
    }

    public String getFuelType() {
        return fuelType;
    }

    public void setFuelType(String fuelType) {
        this.fuelType = fuelType;
    }


    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getVehicleOther() {
        return vehicleOther;
    }

    public void setVehicleOther(String vehicleOther) {
        this.vehicleOther = vehicleOther;
    }

    public String getVehicleModel() {
        return vehicleModel;
    }

    public void setVehicleModel(String vehicleModel) {
        this.vehicleModel = vehicleModel;
    }

    public String getVehicleGroup() {
        return vehicleGroup;
    }

    public void setVehicleGroup(String vehicleGroup) {
        this.vehicleGroup = vehicleGroup;
    }

    public String getVehicleLength() {
        return vehicleLength;
    }

    public void setVehicleLength(String vehicleLength) {
        this.vehicleLength = vehicleLength;
    }

    public String getVehicleName() {
        return vehicleName;
    }

    public void setVehicleName(String vehicleName) {
        this.vehicleName = vehicleName;
    }

    public String getWidth() {
        return width;
    }

    public void setWidth(String width) {
        this.width = width;
    }

    public String getGateWidth() {
        return gateWidth;
    }

    public void setGateWidth(String gateWidth) {
        this.gateWidth = gateWidth;
    }

    public String getIssuedDate() {
        return issuedDate;
    }

    public void setIssuedDate(String issuedDate) {
        this.issuedDate = issuedDate;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getLegal() {
        return legal;
    }

    public void setLegal(String legal) {
        this.legal = legal;
    }

    public String getDirSeq() {
        return dirSeq;
    }

    public void setDirSeq(String dirSeq) {
        this.dirSeq = dirSeq;
    }

    public String getRegisterAddress() {
        return registerAddress;
    }

    public void setRegisterAddress(String registerAddress) {
        this.registerAddress = registerAddress;
    }

    public String getDqx4() {
        return dqx4;
    }

    public void setDqx4(String dqx4) {
        this.dqx4 = dqx4;
    }

    public String getProductId() {
        return productId;
    }

    public void setProductId(String productId) {
        this.productId = productId;
    }

    public String getOverHang() {
        return overHang;
    }

    public void setOverHang(String overHang) {
        this.overHang = overHang;
    }

    public String getAppAndDepAngle() {
        return appAndDepAngle;
    }

    public void setAppAndDepAngle(String appAndDepAngle) {
        this.appAndDepAngle = appAndDepAngle;
    }

    public String getEffectiveDate() {
        return effectiveDate;
    }

    public void setEffectiveDate(String effectiveDate) {
        this.effectiveDate = effectiveDate;
    }

    public String getDpxh1() {
        return dpxh1;
    }

    public void setDpxh1(String dpxh1) {
        this.dpxh1 = dpxh1;
    }

    public String getDpxh2() {
        return dpxh2;
    }

    public void setDpxh2(String dpxh2) {
        this.dpxh2 = dpxh2;
    }

    public String getDpxh3() {
        return dpxh3;
    }

    public void setDpxh3(String dpxh3) {
        this.dpxh3 = dpxh3;
    }

    public String getDpxh4() {
        return dpxh4;
    }

    public void setDpxh4(String dpxh4) {
        this.dpxh4 = dpxh4;
    }

    public String getDpid2() {
        return dpid2;
    }

    public void setDpid2(String dpid2) {
        this.dpid2 = dpid2;
    }

    public String getDpid3() {
        return dpid3;
    }

    public void setDpid3(String dpid3) {
        this.dpid3 = dpid3;
    }

    public String getDpid4() {
        return dpid4;
    }

    public void setDpid4(String dpid4) {
        this.dpid4 = dpid4;
    }
    public String getBacspc() {
        return bacspc;
    }

    public void setBacspc(String bacspc) {
        this.bacspc = bacspc;
    }

    public String getBaseName() {
        return baseName;
    }

    public void setBaseName(String baseName) {
        this.baseName = baseName;
    }

    public String getCdType() {
        return cdType;
    }

    public void setCdType(String cdType) {
        this.cdType = cdType;
    }

    public String getParameterValue() {
        return parameterValue;
    }

    public void setParameterValue(String parameterValue) {
        this.parameterValue = parameterValue;
    }

    public String getParameterName() {
        return parameterName;
    }

    public void setParameterName(String parameterName) {
        this.parameterName = parameterName;
    }
}
