package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_BULLETIN_DATA_PARAMETER")
public class CheckBulletinDataParameter extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "ID", type = IdType.INPUT)
    private String id;

    /**
     * 参数编号
     */
    @TableField("PARAMETER_SEQ")
    private String seq;

    /**
     * 参数名称
     */
    @TableField("PARAMETER_NAME")
    private String name;

    /**
     * 参数值
     */
    @TableField("PARAMETER_VALUE")
    private String value;

    /**
     * 参数类型（0：公告参数、1：备案参数）
     */
    @TableField("PARAMETER_TYPE")
    private String parameterType;

    /**
     * 公告id
     */
    @TableField("CAR_ID")
    private String carId;

    /**
     * 核查状态
     * 0：未核查
     * 1：核查中
     * 2：一致
     * 3：不一致
     */
    @TableField("TYPE")
    private int type;

    /**
     * 是否和上一批次一致（0：一致；1：不一致）
     */
    @TableField("IS_EQUAL")
    private String isEqual;
    /**
     * 参数英文名称
     */
    @TableField(exist = false)
    private String eName;

    @TableField("OLD_DATA")
    private String oldData;
}
