package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * <p>
 * 证书一致性校验
 * </p>
 *
 * @author 韩飞
 * @since 2019-09-26
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_CERTIFICATE_MAIN_INFO")
public class CheckCertificateMainInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId("ID")
    private String id;

    /**
     * 车辆型号
     */
    @TableField("VEHICLE_MODEL")
    private String vehicleModel;

    /**
     * 批次
     */
    @TableField("VEHICLE_GROUP")
    private String vehicleGroup;

    /**
     * 版本号
     */
    @TableField("VERSION")
    private String version;

    /**
     * 备注
     */
    @TableField("REMARK")
    private String remark;

    /**
     * 核查时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @TableField("CHECK_DATE")
    private Date checkDate;

    /**
     * 核查状态
     */
    @TableField("CHECK_STATE")
    private String checkState;

    /**
     * 操作人
     */
    @TableField("OPERATOR")
    private String operator;
    /**
     * 企业ID
     */
    @TableField("BASE_ID")
    private String baseId;


}
