package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 数据一致性对比结果
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_DATA_CHECK_RESULT")
public class CheckDataCheckResult extends BaseEntity {
    public CheckDataCheckResult(String id, String checkCertificateMainInfoId, String paramName, String checkResult, String checkType, String checkData, String checkFormData) {
        this.id = id;
        this.checkCertificateMainInfoId = checkCertificateMainInfoId;
        this.paramName = paramName;
        this.checkResult = checkResult;
        this.checkType = checkType;
        this.checkData = checkData;
        this.checkFormData = checkFormData;
    }

    public CheckDataCheckResult(String paramName, String checkResult, String checkData, String checkFormData) {
        this.paramName = paramName;
        this.checkResult = checkResult;
        this.checkData = checkData;
        this.checkFormData = checkFormData;
    }

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId("ID")
    private String id;

    /**
     * 证书一致性校验ID
     */
    @TableField("CHECK_CERTIFICATE_MAIN_INFO_ID")
    private String checkCertificateMainInfoId;

    /**
     * 参数名
     */
    @TableField("PARAM_NAME")
    private String paramName;

    /**
     * 对比结果（0：一致；1：不一致）
     */
    @TableField("CHECK_RESULT")
    private String checkResult;

    /**
     * 对比类型
     * 环保随车清单\汽油国五车型  ：11
     * 环保随车清单\汽油国六车型编号页   ：12
     * 环保随车清单\汽油国六车型内容页  ：13
     * 环保随车清单\柴油国五车型   ：14
     * 环保随车清单\混合动力国五车型    ：15
     * 环保随车清单\混合动力国六车型编号页    ：16
     * 环保随车清单\混合动力国六车型内容页    ：17
     * 环保随车清单\纯电动车型    ：18
     * <p>
     * 合格证\合格证    //2
     * <p>
     * 一致性证书\M类国六    ：31
     * 一致性证书\M类国五    ：32
     * 一致性证书\N类二类底盘    ：33
     * 一致性证书\N类国六    ：34
     * 一致性证书\N类国五    ：35
     * 一致性证书\纯电动    ：36
     * 一致性证书\混合动力国六    ：37
     * 一致性证书\混合动力国五    ：38
     * <p>
     * 能源消耗量标识\能源消耗量标识    ：4
     * <p>
     * 铭牌\长城牌N类车型    ：51
     * 铭牌\哈弗牌常规车型    ：52
     * 铭牌\魏派混合动力    ：53
     * 铭牌\欧拉    ：54
     * 铭牌\魏派常规车型    ：55
     */
    @TableField("CHECK_TYPE")
    private String checkType;

    /**
     * 证书数据
     */
    @TableField("CHECK_DATA")
    private String checkData;

    /**
     * 官方数据
     */
    @TableField("CHECK_FORM_DATA")
    private String checkFormData;


}
