package com.adc.da.system.entity;

import com.adc.da.base.BaseReqPageEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 企业数据实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("CHECK_ENTERPRISE_DATA")
public class CheckEnterpriseData extends BaseReqPageEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 企业数据主键
     */
    @TableId("ID")
    private String id;

    /**
     * 车辆型号
     */
    @TableField("CCC_ID")
    private String cccId;

    /**
     * 车辆型号
     */
    @TableField("VEHICLE_TYPE")
    private String vehicleType;

    /**
     * 版本号
     */
    @TableField("VERSION_NUMBER")
    private String versionNumber;

    /**
     * 操作人
     */
    @TableField("FOUNDER")
    private String founder;

    /**
     * 操作时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 备注
     */
    @TableField("REMARKS")
    private String remarks;

    /**
     * 是否创建过车型系列：0为创建，1已创建
     */
    @TableField("TYPE")
    private int type;

    /**
     * 事业部Id
     */
    @TableField("BASE_ID")
    private String baseId;

    @TableField("CHECK_STATUS")
    private String checkStatus;

    @TableField("CHECK_USER")
    private String checkUser;

    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("CHECK_TIME")
    private Date checkTime;

    @TableField("AUDIT_STATUS")
    private String auditStatus;
    @TableField("COC_OR_CQC")
    private String cocOrCqc;
    private transient String checkUserName;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String entryName;

    /**
     * 项目参数
     */
    @TableField(exist = false)
    private String entryParameter;

    /**
     * 核查状态
     */
    @TableField(exist = false)
    private String checkResult;

    /**
     * 审核版本号
     */
    @TableField("AUDIT_NUMBER")
    private String auditNumber;

    @TableField("JUDGMENT")
    private String judgment;
//    @TableField("CHECK_IMAGE_ONE")
    private transient String checkImageOne;

//    @TableField("CHECK_IMAGE_TWO")
    private transient String checkImageTwo;
}
