package com.adc.da.system.entity;


import com.adc.da.base.BaseReqPageEntity;
import com.adc.da.dto.resDTO.ModelServiceItemDTO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 车型系列表实体
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_MODEL_SERIES_LIST")
public class CheckModelSeriesList extends BaseReqPageEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 车型系列表主键
     */
    @TableId("ID")
    private String id;

    /**
     * 车型系列
     */
    @TableField("VEHICLE_SERIES")
    private String vehicleSeries;

    /**
     * 车型及批次
     */
    @TableField("VEHICLE_TYPE_AND_GROUP")
    private String vehicleTypeAndGroup;

    /**
     * 车型
     */
    @TableField("VEHICLE_TYPE")
    private String vehicleType;

    /**
     * CCC系统编号
     */
    @TableField("CCC_NUMBER")
    private String cccNumber;

    /**
     * 环保信息编号
     */
    @TableField("ENV_NUMBER")
    private String envNumber;

    /**
     * 核查完成时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("CREATE_TIME")
    private Date createTime;

    /**
     * 事业部
     */
    @TableField("BASE")
    private String base;

    /**
     * 操作人
     */
    @TableField("OPERATOR")
    private String operator;

    /**
     * 实车操作人
     */
    @TableField("CAR_OPERATOR")
    private String carOperator;

    /**
     *  核查状态
     * 0：未核查
     * 1：核查中
     */
    @TableField("TYPE")
    private Integer type;

    /**
     * 实车核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("REAL_VEHICLE_TIME")
    private Date realVehicleTime;

    /**
     * 实车核查状态
     * 0：未核查
     * 1：核查完成
     */
    @TableField("REAL_VEHICLE_IS_CHECK")
    private Integer realVehicleIsCheck;

    /**
     * 实车备注
     */
    @TableField("CAR_REMARKS")
    private String carRemarks;

    /**
     * 实车备注
     */
    @TableField("STOPRODUCTION")
    private Integer stoProduction;

    /**
     * OBD模板id
     */
    @TableField("OBD_ID")
    private String obdId;

    /**
     * 扫码模板ID
     */
    @TableField("SCAN_CODE_ID")
    private String scanCodeId;

    /**
     * 认证核查模板ID
     */
    @TableField("REAL_MOULD_ID")
    private String realMouldId;

    /**
     * 法规模板ID
     */
    @TableField("STAND_ID")
    private String standId;

    /**
     * OBD核查状态
     */
    @TableField("OBD_STATUS")
    private String obdStatus;

    /**
     * 扫码核查状态
     */
    @TableField("SCAN_CODE_STATUS")
    private String scanCodeStatus;

    /**
     * 认证核查状态
     */
    @TableField("REAL_MOULD_STATUS")
    private String realMouldStatus;

    /**
     * 法规核查状态
     */
    @TableField("STAND_STATUS")
    private String standStatus;

    /**
     * 关键件核查状态
     */
    @TableField("KEY_STATUS")
    private String keyStatus;

    /**
     * OBD操作人
     */
    @TableField("OBD_OPERATOR")
    private String obdOperatorId;
    private transient String obdOperator;

    /**
     * 扫码操作人
     */
    @TableField("SCAN_CODE_OPERATOR")
    private  String scanCodeOperatorId;
    private transient  String scanCodeOperator;

    /**
     * 认证核查操作人
     */
    @TableField("REAL_MOULD_OPERATOR")
    private String realMouldOperatorId;
    private transient String realMouldOperator;

    /**
     * 法规操作人
     */
    @TableField("STAND_OPERATOR")
    private String standOperatorId;
    private transient String standOperator;

    /**
     * 关键件操作人
     */
    @TableField("KEY_OPERATOR")
    private String keyOperatorId;
    private transient String keyOperator;

    /**
     * OBD备注
     */
    @TableField("OBD_REMARK")
    private String obdRemark;

    /**
     * 扫码备注
     */
    @TableField("SCAN_CODE_REMARK")
    private  String scanCodeRemark;


    /**
     * 法规备注
     */
    @TableField("STAND_REMARK")
    private String standRemark;

    /**
     * 关键件备注
     */
    @TableField("KEY_REMARK")
    private String keyRemark;
    /**
     * 手动全部核查完成
     */
    @TableField("IS_CHECK_OK")
    private String isCheckOk;

    /**
     * OBD核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("OBD_TIME")
    private Date obdTime;

    /**
     * 扫码核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("SCAN_CODE_TIME")
    private Date scanCodeTime;

    /**
     * 法规核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("STAND_TIME")
    private Date standTime;

    /**
     * 关键件核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("KEY_TIME")
    private Date keyTime;

    /**
     * 车型id
     */
    private transient List<String> vehicleId;

    private transient List<String> typeList;

    /**
     * 事业部名称
     */
    private transient String orgName;

    /**
     * 起始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private transient Date startTime;

    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private transient Date endTime;

    /**
     * 车型系类操作人
     */
    private transient String aoperator;

    /**
     * 已完成
     */
    private transient Integer stated;

    /**
     * 未完成
     */
    private transient Integer stating;

    private transient String vehicleGroup;

    /**
     * 版本号
     */
    @TableField("EDITION_CODE")
    private String editionCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("CREATION_TIME")
    private Date creationTime;

    /**
     * 核查参数集合
     */
    private transient List<CheckVehicleCheckMenu> checkVehicleCheckMenuList;
    private transient List<ModelServiceItemDTO> arr;

    private transient String detailType;
    private transient List<CheckRealVehicleVerification> obdDetail;
    private transient List<CheckRealVehicleVerification> scanCodeDetail;
    private transient List<CheckRealVehicleVerification> standDetail;

    @TableField("VERSION_CODE")
    private String versionCode;

    @TableField(exist = false)
    private String carOperatorName;
}
