package com.adc.da.system.entity;

import com.adc.da.base.BaseReqPageEntity;
import com.adc.da.excel.annotation.Excel;
import com.adc.da.excel.annotation.ExcelTarget;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2020-03-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_MODEL_SERIES_LIST_RESULT")
@ExcelTarget("CheckModelSeriesListResult")
public class CheckModelSeriesListResult extends BaseReqPageEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 车型系列表主键
     */
    @TableField("ID")
    private String id;

    /**
     * 车型系列
     */
    @TableField("VEHICLE_SERIES")
    @Excel(name = "车型系列名称")
    private String vehicleSeries;

    /**
     * 车型及批次
     */
    @TableField("VEHICLE_TYPE_AND_GROUP")
    @Excel(name = "车型及批次")
    private String vehicleTypeAndGroup;

    /**
     * CCC系统编号
     */
    @TableField("CCC_NUMBER")
    private String cccNumber;

    /**
     * 环保信息编号
     */
    @TableField("ENV_NUMBER")
    private String envNumber;

    /**
     * 实时核查时间
     */
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;

    /**
     * 事业部
     */
    @TableField("BASE")
    private String base;

    /**
     * 操作人
     */
    @TableField("OPERATOR")
    private String operator;

    /**
     * 实车核查状态
     * 0：未核查
     * 1：核查中
     */
    @TableField("TYPE")
    private Integer type;

    /**
     * 车型
     */
    @TableField("VEHICLE_TYPE")
    private String vehicleType;

    /**
     * 实车核查完成时间
     */
    @TableField("REAL_VEHICLE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @Excel(name = "核查时间",format = "yyyy-MM-dd HH:mm:ss")
    private Date realVehicleTime;

    /**
     * 实车核查完成状态
     * 0：未完成
     * 1：完成
     */
    @TableField("REAL_VEHICLE_IS_CHECK")
    private Integer realVehicleIsCheck;

    /**
     * 实车核查操作人
     */
    @TableField("CAR_OPERATOR")
    private String carOperator;

    /**
     * 实车备注
     */
    @TableField("CAR_REMARKS")
    @Excel(name = "备注")
    private String carRemarks;

    /**
     * 已停产：1为已停产
     */
    @TableField("STOPRODUCTION")
    private Integer stoproduction;


    /**
     * 操作人
     */
    @Excel(name = "操作人")
    private transient String usName;

    /**
     * 事业部
     */
    @Excel(name = "事业部")
    private transient String orgName;

    @Excel(name = "核查结果")
    private transient String typeCh;

    @Excel(name = "状态")
    private transient String stoproductionCh;

    private transient String vehicleSeriesId;

    private transient String editionCode;

    private transient List<CheckRealVehicleVerResult> checkRealVehicleVerResultList;

}
