package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * OBD参数审核表
 * </p>
 *
 * @author jobob
 * @since 2021-03-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_OBD")
public class CheckObd extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId("ID")
    private String id;

    /**
     * 模板名称
     */
    @TableField("OBD_NAME")
    private String obdName;

    /**
     * 事业部
     */
    @TableField("BASE")
    private String base;

    /**
     * 不是超级管理员的标注
     */
    @TableField(exist = false)
    private String userBase;

    @TableField(exist = false)
    private List<String> list;

    /**
     * 创建时间
     */
    @TableField("CREATION_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date creationTime;

    /**
     * 修改时间
     */
    @TableField("CHANGE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date changeTime;

    /**
     * 操作人
     */
    @TableField("OPERATOR")
    private String operator;

    /**
     * 类型
     */
    @TableField("TYPE")
    private String type;

    /**
     * 备注
     */
    @TableField("REMARKS")
    private String remarks;

    /**
     * 模板类型
     * 法规1：适用车型；0：模板名称
     */
    @TableField("MOULD_TYPE")
    private String mouldType;

    /**
     * 派发事业部
     */
    @TableField(exist = false)
    private String distributionBase;

    /**
     * 检索项目ID
     */
    @TableField(exist = false)
    private String detailId;

    /**
     * 派发id
     */
    @TableField(exist = false)
    private String distributionName;

    /**
     * 事业部名称
     */
    private transient String orgName;

}
