package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2021-04-01
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_OBD_DETAIL")
public class CheckObdDetail extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("ID")
    private String id;

    /**
     * 检查项目名称
     */
    @TableField("OBD_DETAIL_NAME")
    private String obdDetailName;

    /**
     * 创建人
     */
    @TableField("USER_ID")
    private String userId;

    /**
     * 事业部
     */
    @TableField("BASE_ID")
    private String baseId;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date createTime;

    /**
     * 修改时间
     */
    @TableField("UPDATE_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date updateTime;

    /**
     * 备注
     */
    @TableField("REMARKS")
    private String remarks;

    /**
     * 类型
     * 1：obd模板
     * 2：扫码符合性模板
     * 3：认证一致性模板
     * 4：法规核查项模板
     */
    @TableField("TYPE")
    private String type;

    /**
     * 项目名称
     */
    @TableField("PROJECT_NAME")
    private String projectName;
    @TableField("FAC_CODE")
    private String facCode;
    @TableField("MODEL_CODE")
    private String modelCode;

    @TableField("KEY_TYPE")
    private String keyType;
    private transient String isSelect;

}
