package com.adc.da.system.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @author Drake
 * @date 2021/4/23 11:08
 */
@Data
@Accessors(chain = true)
public class CheckRealVehicleVerAndMoedelSeriesList {

    /**
     * id
     */
    private String idReal;

    /**
     * 核查项
     */
    private String parameterNameReal;

    /**
     * 包含车型
     */
    private String vehicleTypeReal;
    /**
     * 参数配置
     */
    private String paramConfigReal;
    /**
     * 标准图片路径
     */
    private String standardPicturePathReal;
    /**
     * 核查结果
     * 3：不一致
     * 2：一致
     * 1: 未供货
     * 0：未核查
     */
    private String typeReal;

    /**
     * 核查图片路径
     * 扫码：数量
     */
    private String checkPicturePathReal;

    /**
     * 核查图片路径
     * 扫码：是否扫码
     */
    private String checkPicturePathTwoReal;

    /**
     * 备注
     */
    private String remarksReal;

    /**
     * 车型系列id
     */
    private String vehicleSeriesIdReal;

    private Integer handleTypeReal;

    /**
     * 参数编号
     */
    private String parameterReal;


//    @TableField("DETAIL_TYPE")
//    private String detailType;


    /**
     * 核查类别标识
     * 1：认证参数
     * 2：obd
     * 3：扫码
     * 4：关键件
     * 5：法规
     */
    private String checkTypeReal;

    /**
     * 备案故障码
     */
    private String RecordFaultCodeReal;

    private transient String parameterTypeReal;

    /**
     * 车型系列表主键
     */
    private String id;

    /**
     * 车型系列
     */
    private String vehicleSeries;

    /**
     * 车型及批次
     */
    private String vehicleTypeAndGroup;

    /**
     * 车型
     */
    private String vehicleType;

    /**
     * CCC系统编号
     */
    private String cccNumber;

    /**
     * 环保信息编号
     */
    private String envNumber;

    /**
     * 核查完成时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    /**
     * 事业部
     */
    private String base;

    /**
     * 操作人
     */
    private String operator;
    /**
     * 实车操作人
     */
    private String carOperator;

    /**
     *  核查状态
     * 0：未核查
     * 1：核查中
     */
    private Integer type;

    /**
     * 实车核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date realVehicleTime;

    /**
     * 实车核查状态
     * 0：未核查
     * 1：核查完成
     */
    private Integer realVehicleIsCheck;

    /**
     * 实车备注
     */
    private String carRemarks;

    /**
     * 实车备注
     */
    private Integer stoProduction;


    /**
     * OBD模板id
     */
    private String obdId;

    /**
     * 扫码模板ID
     */
    private String scanCodeId;

    /**
     * 认证核查模板ID
     */
    private String realMouldId;

    /**
     * 法规模板ID
     */
    private String standId;

    /**
     * OBD核查状态
     */
    private String obdStatus;

    /**
     * 扫码核查状态
     */
    private String scanCodeStatus;

    /**
     * 认证核查状态
     */
    private String realMouldStatus;

    /**
     * 法规核查状态
     */
    private String standStatus;
    /**
     * 关键件核查状态
     */
    private String keyStatus;

    /**
     * OBD操作人
     */
    private String obdOperatorId;

    /**
     * 扫码操作人
     */
    private  String scanCodeOperatorId;


    /**
     * 认证核查操作人
     */
    private String realMouldOperatorId;

    /**
     * 法规操作人
     */
    private String standOperatorId;

    /**
     * 关键件操作人
     */
    private String keyOperatorId;

    /**
     * OBD备注
     */
    private String obdRemark;

    /**
     * 扫码备注
     */
    private  String scanCodeRemark;


    /**
     * 法规备注
     */
    private String standRemark;

    /**
     * 关键件备注
     */
    private String keyRemark;

    /**
     * OBD核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date obdTime;

    /**
     * 扫码核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date scanCodeTime;

    /**
     * 法规核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date standTime;

    /**
     * 关键件核查时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date keyTime;

    /**
     * 版本号
     */
    private String editionCode;

    /**
     * 创建时间
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date creationTime;

    /**
     * 排放阶段
     */
    private String dischargeStage;
}
