package com.adc.da.system.entity;


import com.adc.da.base.BaseReqPageEntity;
import com.adc.da.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2020-03-05
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("CHECK_REAL_VEHICLE_VER_RESULT")
public class CheckRealVehicleVerResult extends BaseReqPageEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 实车id
     */
    @TableField("ID")
    private String id;

    /**
     * 核查项
     */
    @TableField("PARAMETER_NAME")
    @Excel(name = "核查项")
    private String parameterName;

    /**
     * 包含车型
     */
    @TableField("VEHICLE_TYPE")
    @Excel(name = "包含车型")
    private String vehicleType;

    /**
     * 参数配置
     */
    @TableField("PARAM_CONFIG")
    @Excel(name = "参数配置")
    private String paramConfig;

    /**
     * 标准图片路径
     */
    @TableField("STANDARD_PICTURE_PATH")
    private String standardPicturePath;

    /**
     * 核查结果
     * 3：不一致
     * 2：一致
     * 1:  未供货
     * 0：未核查
     */
    @TableField("TYPE")
    private String type;

    @Excel(name = "核查结果")
    private transient String typeCh;

    /**
     * 核查图片路径
     */
    @TableField("CHECK_PICTURE_PATH")
    private String checkPicturePath;

    /**
     * 核查图片路径
     */
    @TableField("CHECK_PICTURE_PATH_TWO")
    private String checkPicturePathTwo;

    /**
     * 核查图片
     */
    @Excel(name = "核查图片", type = 2 ,width = 20 , height = 20,imageType = 2)
    private transient byte[] checkPictureUrl;

    /**
     * 核查图片
     */
    @Excel(name = "核查图片", type = 2 ,width = 20 , height = 20,imageType = 2)
    private transient byte[] checkPictureTwoUrl;

    /**
     * 备注
     */
    @TableField("REMARKS")
    @Excel(name = "备注")
    private String remarks;

    /**
     * 车型系列id
     */
    @TableField("VEHICLE_SERIES_ID")
    private String vehicleSeriesId;

    /**
     * 处理状态
     * 0：未处理
     * 1：已处理
     */
    @TableField("HANDLE_TYPE")
    private Integer handleType;

    /**
     * 原始id
     */
    @TableField("OLD_ID")
    private String oldId;

    /**
     * 参数编号
     */
    @TableField("PARAMETER")
    private String parameter;

}
