package com.adc.da.system.entity;


import com.adc.da.base.BaseReqPageEntity;
import com.adc.da.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_REAL_VEHICLE_VER")
public class CheckRealVehicleVerification extends BaseReqPageEntity {

    /**
     * id
     */
    @TableId("ID")
    private String id;

    /**
     * 核查项
     */
    @Excel(name = "检查项目",width = 50)
    @TableField("PARAMETER_NAME")
    private String parameterName;

    /**
     * 包含车型
     */
    @TableField("VEHICLE_TYPE")

    private String vehicleType;
    /**
     * 参数配置
     */
    @TableField("PARAM_CONFIG")
    private String paramConfig;
    /**
     * 标准图片路径
     */
    @TableField("STANDARD_PICTURE_PATH")
    private String standardPicturePath;
    /**
     * 核查结果
     * 3：不一致
     * 2：一致
     * 1: 未供货
     * 0：未核查
     */
    @Excel(name = "核查结果",width = 50)
    @TableField("TYPE")
    private String type;

    /**
     * 核查图片路径
     * 扫码：数量
     */
    @TableField("CHECK_PICTURE_PATH")
    private String checkPicturePath;

    /**
     * 核查图片路径
     * 扫码：是否扫码
     */
    @Excel(name ="核查图片",width = 50)
    @TableField("CHECK_PICTURE_PATH_TWO")
    private String checkPicturePathTwo;

    /**
     * 备注
     */
    @Excel(name ="备注",width = 50)
    @TableField("REMARKS")
    private String remarks;

    /**
     * 车型系列id
     */
    @TableField("VEHICLE_SERIES_ID")
    private String vehicleSeriesId;

    /**
     * 处理状态
     */
    @TableField("HANDLE_TYPE")
    private String handleType;

    /**
     * 参数编号
     */
    @TableField("PARAMETER")
    private String parameter;


//    @TableField("DETAIL_TYPE")
//    private String detailType;


    /**
     * 核查类别标识
     * 1：认证参数
     * 2：obd
     * 3：扫码
     * 4：关键件
     * 5：法规
     */
    @TableField("CHECK_TYPE")
    private String checkType;

    /**
     * 备案故障码
     */
    @Excel(name = "备案故障码",width = 50)
    @TableField("RECORD_FAULT_CODE")
    private String recordFaultCode;
    @Excel(name ="包含车型",width = 50)
    private transient String parameterType;

    /**
     * 排放阶段
     */
    @Excel(name = "排放阶段",width = 50)
    @TableField("DISCHARGE_STAGE")
    private String dischargeStage;

    /**
     * OBD核查结果
     */
    @Excel(name = "是否符合",width = 50)
    @TableField("CHECK_RESULT")
    private String checkResult;

    /**
     * 项目名称
     */
    @TableField("PROJECT")
    private String project;

    /**
     * 法规要求
     */
    @TableField("REGULATORY_REQUIREMENTS")
    private String regulatoryRequirements;

    /**
     * 使用车辆类型名称
     */
    @TableField("VEHICLE_TYPE_NAME")
    private String vehicleTypeName;

    /**
     * 执行标准名称
     */
    @TableField("STANDARD_NAME")
    private String standardName;

    /**
     * 车型系列名称
     */
    @Excel(name ="车型系列",width = 50)
    private transient String vehicleSeries;
    private transient String vehicleTypeAndGroup;

    /**
     * 操作人名称
     */
    @Excel(name ="操作人",width = 50)
    private transient String usname;

    /**
     * 操作时间
     */
    @Excel(name ="核查时间",width = 50)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private transient Date createTime;

    /**
     * 事业部
     */
    @Excel(name ="事业部",width = 50)
    private transient String orgName;

    /**
     * 类型id
     */
    @TableField(exist = false)
    private String detailType;
    @TableField("CHECK_END")
    private String checkEnd;
    /**
     * 处理时间
     */
    @TableField("END_DATE")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endDate;
}
