package com.adc.da.system.entity;


import com.adc.da.base.BaseReqPageEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;


@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_VEHICLE_CHECK_MENU")
public class CheckVehicleCheckMenu extends BaseReqPageEntity {

    /**
     * id
     */
    @TableId("ID")
    private String id;

    /**
     * 车型系列id
     */
    @TableField("VEHICLE_SERIES_ID")
    private String vehicleSeriesId;

    /**
     * 参数名称
     */
    @TableField("PARAMETER_NAME")
    private String parameterName;

    /**
     * 核查状态（0：未核查 1：核查中 2：一致 3：不一致）
     */
    @TableField("PARAMETER_CHECK_STATE")
    private Integer parameterCheckState;

    /**
     * 参数编号1
     */
    @TableField("PARAMETER_CODE_ONE")
    private String parameterCodeOne;

    /**
     * 参数类型；1:公告  2：环保  3：CCC  4：COC
     */
    @TableField("PARAMETER_TYPE")
    private String parameterType;

    /**
     * 参数对应字段
     */
    @TableField("PARAMETER_DATA")
    private String parameterData;

    /**
     * 参数编号2
     */
    @TableField("PARAMETER_CODE_TWO")
    private String parameterCodeTwo;

    /**
     *类型1：型号；2：厂商；0：其它
     */
    @TableField("IS_MODEL")
    private String isModel;

    /**
     * 1正常；0禁用
     */
    @TableField("TYPE")
    private String type;

    /**
     * 核查参数集合
     */
    private transient List<CheckRealVehicleVerification> checkRealVehicleVerificationList;


    private  transient  String realMouldId;
    private  transient  String scanCodeId;
    private  transient  String obdId;
    private  transient  String checkType;

}
