package com.adc.da.system.entity;

import com.adc.da.base.entity.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 组织机构表
 * </p>
 *
 * @author jobob
 * @since 2021-04-02
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("TS_ORG")
public class TsOrg extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private String id;

    /**
     * 组织机构名称
     */
    @TableField("ORG_NAME")
    private String orgName;

    /**
     * 组织机构代码
     */
    @TableField("ORG_CODE")
    private String orgCode;

    /**
     * 组织机构类别
     */
    @TableField("ORG_TYPE")
    private String orgType;

    /**
     * 组织机构排序
     */
    @TableField("ORG_DESC")
    private BigDecimal orgDesc;

    /**
     * 组织机构备注
     */
    @TableField("REMARKS")
    private String remarks;

    /**
     * 组织机构简称
     */
    @TableField("SHORT_NAME")
    private String shortName;

    /**
     * 父级ID
     */
    @TableField("PARENT_ID")
    private String parentId;

    /**
     * 父级ID集合
     */
    @TableField("PARENT_IDS")
    private String parentIds;

    /**
     * 是否显示
     */
    @TableField("IS_SHOW")
    private BigDecimal isShow;

    /**
     * 是否有效
     */
    @TableField("DEL_FLAG")
    private BigDecimal delFlag;

    /**
     * 创建时间
     */
    @TableField("CREATION_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date creationTime;

    /**
     * 修改时间
     */
    @TableField("MODIFY_TIME")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", locale = "zh", timezone = "GMT+8")
    private Date modifyTime;

    /**
     * 负责人
     */
    @TableField("CHARGE_USER")
    private String chargeUser;

    /**
     * 事业部类型
     */
    @TableField("FACTORY_TYPE")
    private String factoryType;

    /**
     * 事业部地址
     */
    @TableField("ADDRESS")
    private String address;


}
