package com.adc.da.system.entity;


import com.adc.da.base.BaseReqPageEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 车型库表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_VEHICLE_DATABASE")
public class VehicleDatabase extends BaseReqPageEntity {

    /**
     * CCC系统编号
     */
    @TableId("ID")
    private String id;

    /**
     * 文件名称
     */
    @TableField("FILE_NAME")
    private String fileName;

    /**
     * 车型名称
     */
    @TableField("MODEL_CODE")
    private String modelCode;

    /**
     * 申报人
     */
    @TableField("APPLICANT")
    private String applicant;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    /**
     * 参数状态
     */
    @TableField("AUDIT_STATUS")
    private String auditStatus;

    private transient String startTime;

    private transient String endTime;

    private transient Integer type;

    @TableField("BASE")
    private String base;
}
