package com.adc.da.system.entity;


import com.adc.da.base.BaseReqPageEntity;
import com.adc.da.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 车型库详情表
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("NERDS.CHECK_VEHICLE_DATABASE_DETAILS")
public class VehicleDatabaseDetails extends BaseReqPageEntity {

    /**
     * 车型库详情表id
     */
    @TableId("ID")
    private String id;

    /**
     * 零部件名称
     */
    @Excel(name = "零部件名称")
    @TableField("PART_NAME")
    private String partName;

    /**
     * 零部件型号
     */
    @Excel(name = "零部件型号")
    @TableField("PART_NUM")
    private String partNum;

    /**
     * CCC证书编号
     */
    @Excel(name = "CCC证书编号")
    @TableField("CCC_NUM_CER")
    private String cccNumCer;

    /**
     * 零部件生产厂家
     */
    @TableField("MANUFACTURER")
    private String manufacturer;

    /**
     * CCC系统编号
     */
    @TableField("CCC_ID")
    private String cccId;

    /**
     * 判断是否一致
     * 0：一致
     * 1：不一致
     */
    @TableField("TYPE")
    private Integer type;

    /**
     * 证书截止时间
     */
    @Excel(name="证书截止时间")
    @TableField("ERPIRE_DATE")
    private String erpireDate;

    /**
     * 有效状态
     */
    @TableField("STATUS")
    private String status;

    /**
     * 产品名称
     */
    @TableField("PRODUCT")
    private String product;

    /**
     * 生产厂
     */
    @TableField("FACTORY")
    private String factory;

    /**
     *
     */
    @TableField("MODEL_SPECIFICATION")
    private String modelSpecification;

    /**
     * 判断是否自行更改
     * 0：未更改
     * 1：已更改
     */
    @TableField("IS_CHECKED")
    private Integer isChecked;

    @TableField("BASE")
    private String base;

    private transient String title;

    private transient String vt;

    private transient String detailData;

    private transient String ent;

    private transient String itemId;

    /**
     * 车型名称
     */
    @Excel(name ="关联车型")
    @TableField("MODEL_CODE")
    private String modelCode;

    private transient String modelSpecification1;
    private transient String modelSpecification2;
    private transient String modelSpecification3;
    private transient String modelSpecification4;
    private transient String modelSpecification5;
    private transient String modelSpecification6;
    private transient String modelSpecification7;
    private transient String modelSpecification8;
    private transient String modelSpecification9;
    private transient String modelSpecification10;

    public String getModelSpecificationAll() {
        return (this.modelSpecification1 +
                this.modelSpecification2 +
                this.modelSpecification3 +
                this.modelSpecification4 +
                this.modelSpecification5 +
                this.modelSpecification6 +
                this.modelSpecification7 +
                this.modelSpecification8 +
                this.modelSpecification9 +
                this.modelSpecification10).replace("null", "");
    }

    public void setModelSpecification(String modelSpecification) {
        this.modelSpecification = modelSpecification;
    }
}
