package com.adc.da.system.service;

import com.adc.da.system.entity.CheckBulletinDataParameter;
import com.adc.da.system.entity.CheckCheckMenuManagement;
import com.adc.da.util.http.ResponseMessage;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
public interface ICheckBulletinDataParameterService extends IService<CheckBulletinDataParameter> {

    /**
     * 获取公告参数或者附表参数
     *
     * @param id   公告的ID
     * @param type 参数类型
     * @param parameterCode
     * @param parameterName
     * @return
     */
    List getListByBulletinIdAndType(String id, String type, String parameterCode, String parameterName);

    /**
     * 模糊查询所有公告参数
     *
     * @param parameterCode 参数编号
     * @param parameterName 参数名称
     * @param isParameter
     * @return
     */
    ResponseMessage getNoticeParameter(String obdId, String parameterCode, String parameterName, String isParameter);

    /**
     * 根据批次删除公告参数
     *
     * @param ids 该批次的公告ID 集合
     */
    void delByGroup(List<String> ids);

    /**
     *
     * @param id
     * @param parameterCode
     * @param parameterName
     * @param page
     * @param limit
     * @return
     */
    IPage<CheckBulletinDataParameter> getNotEqualList(String id, String parameterCode, String parameterName, int page,
                                                      int limit);

    /**
     *
     * @param id
     * @return
     */
//    List<CheckBulletinDataChange> getAllNotEqualListByCarId(String id, String parameterCode, String parameterName,
//                                                            String type);

    void updateIsNotEqual(String id, String oldId);

    List<CheckBulletinDataParameter> getOldData(String id, String oldId);

    List<String> selectIsNotEqual(String id, String oldId);

    List<CheckBulletinDataParameter> getRegListByCarId(String id);

    List<CheckCheckMenuManagement> getAllGgParameter();
}
