package com.adc.da.system.service;


import com.adc.da.dto.ocr.CertificateEO;
import com.adc.da.dto.reqDTO.CertificateReqDTO;
import com.adc.da.dto.reqDTO.DataCheckReqDTO;
import com.adc.da.dto.resDTO.CertificateResDTO;
import com.adc.da.system.entity.CheckCertificateMainInfo;
import com.adc.da.util.http.ResponseMessage;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 证书一致性校验
 * </p>
 *
 * @author 韩飞
 * @since 2019-09-26
 */
public interface ICheckCertificateMainInfoService extends IService<CheckCertificateMainInfo> {

    /**
     * 分页查询
     * @param certificatePage
     * @return
     */
    IPage<CertificateResDTO> queryByPage(CertificateReqDTO certificatePage);

    /**
     * 添加
     * @param certificate
     * @return
     */
    int add(CheckCertificateMainInfo certificate);

    /**
     * 删除
     * @param id
     * @return
     */
    int delCertificate(String id);

//    /**
//     * 删除
//     * @param group
//     * @return
//     */
//    int delByGroup(String group);

    /**
     * 更新
     * @param detialId
     * @param json
     * @return
     */
    int updateInfoDetail(String detialId, String json);

    /**
     * 合格证数据一致性对比
     *
     * @param certificateEO 合格证识别数据
     * @param carTypeCode   车型编号
     * @param id            证书一致性核查表ID
     * @param type          对比类型
     * @param group         批次
     * @return
     */
    ResponseMessage certificateDataCheck(CertificateEO certificateEO, String type, String carTypeCode,
                                         String id, String group);

    /**
     * COC数据一致性对比
     *
     * @param cocDataCheckDTO COC数据
     * @param carTypeCode     车型编号
     * @param id              证书一致性核查表ID
     * @param group           批次
     * @param type            对比类型
     * @return
     */
//    ResponseMessage COCDataCheck(COCDataCheckDTO cocDataCheckDTO, String type, String carTypeCode,
//                                 String id, String group);

    /**
     * 环保数据一致性对比
     *
     * @param envDataCheckDTO 环保数据
     * @param carTypeCode     车型编号
     * @param id              证书一致性核查表ID
     * @param group           批次
     * @param type            对比类型
     * @return
     */
//    ResponseMessage ENVDataCheck(ENVDataCheckDTO envDataCheckDTO, String type, String carTypeCode,
//                                 String id, String group, List<String> informationOpenNumber );

    /**
     * 铭牌数据一致性对比
     *
     * @param nameplateDataCheckDTO 铭牌数据
     * @param carTypeCode           车型编号
     * @param id                    证书一致性核查表ID
     * @param group                 批次
     * @param type                  对比类型
     * @return
     */
//    ResponseMessage nameplateDataCheck(NameplateDataCheckDTO nameplateDataCheckDTO, String type, String carTypeCode,
//                                       String id, String group);

    /**
     * 油耗数据一致性对比
     *
     * @param carTypeCode 车型编号
     * @param id          证书一致性核查表ID
     * @param group       批次
     * @param type        对比类型
     * @return
     */
//    ResponseMessage energyConsumptionDataCheck(EnergyConsumption energyConsumption, String type, String carTypeCode,
//                                               String id, String group);

    /**
     * 验证是否5种证书都已对比
     * @param id
     * @return
     */
//    ResponseMessage checkIsOk(String id);

    /**
     * 证书一致性对比
     * @param dataCheckReqDTO 参数
     * @return
     */
    ResponseMessage dataCheck(DataCheckReqDTO dataCheckReqDTO);

    ResponseMessage checkOk(String id, String userId);

    ResponseMessage insertCertificateMainInfo();
}
