package com.adc.da.system.service;


import com.adc.da.system.entity.CheckCheckMenuManagement;
import com.adc.da.util.http.ResponseMessage;
import com.baomidou.mybatisplus.extension.service.IService;


import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jobob
 * @since 2019-10-09
 */
public interface ICheckCheckMenuManagementService extends IService<CheckCheckMenuManagement> {

    /**
     * 添加公告核查参数
     *
     * @param checkMenuManagements 公告参数名拼接成的字符串（用,拼接）
     * @return
     */
    ResponseMessage addNoticeParameter(String checkMenuManagements);

    /**
     * 模糊查询所有环保参数或者CCC参数
     *
     * @param obdId
     * @param type          要查询的参数类型（2：环保参数；3：CCC参数）
     * @param parameterCode 参数编号
     * @param parameterName 参数名称
     * @return
     */
    ResponseMessage getCCCParameterOrENV(String mouldId,String type, String parameterCode, String parameterName);

    /**
     * 添加选定的环保参数或者CCC参数
     *
     * @param ids  环保参数id集合 或者CCC参数的ID 集合
     * @param type 要添加的参数类型 （2：环保参数；3：CCC参数）
     * @param mouldId
     * @return
     */
    ResponseMessage addCCCParameterOrENV(List<String> ids, String type, String mouldId);

    /**
     *
     * @param id 核查项id
     * @return
     */
    ResponseMessage deleteRelationshipByMenuId(String id);

    /**
     *
     * @param obdId 前端obdid
     * @param detailIds 前端detailIds集合以","分开
     * @return
     */
    ResponseMessage insertRelationship(String obdId,String detailIds);

    /**
     *
     * @param obdId 前端obdid
     * @return 返回所有菜单参数信息
     */
    List<CheckCheckMenuManagement> queryMenuInfoByObdid(String obdId);

    /**
     *
     * @param obdId 前端obdid
     * @return 返回所有CHECK_OBD_DETAIL参数信息
     */
    ResponseMessage queryObdDetailInfoByObdid(String obdId);
}
