package com.adc.da.system.service;

import com.adc.da.system.entity.CheckObdDetail;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2021-04-01
 */
public interface ICheckObdDetailService extends IService<CheckObdDetail> {

    /**
     * 模糊查询（带有分页和排序）
     * @param obdDetailName 检索项目名称
     * @param userId 创建人
     * @param baseId 事业部
     * @param sort 排序字段
     * @param isAsc 是否正序
     * @param type 模板类型
     * @return 查询结果
     */
    IPage queryDetail(Integer page, Integer limit, String obdDetailName, String userId, String baseId, String sort,
                        String isAsc,String type);

    /**
     * 添加
     * @return 结果
     */
    Integer insertDetail(CheckObdDetail checkObdDetail);

    /**
     * 修改
     * @param checkObdDetail 核查项维护实体类
     * @return 结果
     */
    Integer updateDetail(CheckObdDetail checkObdDetail);

    /**
     * 删除
     * @param id 检索项目id
     * @return
     */
    Integer deleteDetail(String id);

    /**
     *
     * @param file 文件
     * @param baseId 事业部
     * @param type 类型
     * @return
     */
    Map<String, Object> importObdDetail(MultipartFile file, String userId, String baseId, String type);

    int selectCountByItemAndBase(String baseId, String detailType, String detailName, String id);

    List<CheckObdDetail> getDetailsByMouldIdAndType(String obdId, String detailType);

    List<CheckObdDetail> getDetailListByType(String baseId, String detailType, String obdId, String remarks);

    List<String> queryZcName(String scanCodeId);

    List<CheckObdDetail> listByProductName(String assemblyName, String modelSeriesListId);
}
