package com.adc.da.system.service;


import com.adc.da.dto.resDTO.CerValidityDto;
import com.adc.da.system.entity.VehicleDatabaseDetails;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

public interface IVehicleDatabaseDetailsService extends IService<VehicleDatabaseDetails> {

    /**
     * 分页检索
     * @param page
     * @param vehicleDatabaseDetails
     * @return
     */
    IPage<VehicleDatabaseDetails> queryDetailsByPage(Page page, VehicleDatabaseDetails vehicleDatabaseDetails);

    /**
     * 导出List
     * @param idList
     * @return
     */
    List<CerValidityDto> queryDetailsByList(String cccId, List<String> idList, String order, String orderBy, String modelCode, String base);


    /**
     * 导入详情
     * @param file
     * @param cccId
     * @return
     */
    Map<String,Object> importDetails(MultipartFile file, String cccId, String modelCode, String base);
}
