package com.adc.da.system.service.impl;

import cn.hutool.core.collection.CollectionUtil;
import com.adc.da.dto.resDTO.CheckMenuManagementResDTO;
import com.adc.da.system.dao.CheckBulletinDataParameterMapper;
import com.adc.da.system.entity.CheckBulletinDataParameter;
import com.adc.da.system.entity.CheckCheckMenuManagement;
import com.adc.da.system.service.ICheckBulletinDataParameterService;
import com.adc.da.system.service.ICheckCheckMenuManagementService;
import com.adc.da.util.http.ResponseMessage;
import com.adc.da.util.http.Result;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Service
public class CheckBulletinDataParameterServiceImpl
        extends ServiceImpl<CheckBulletinDataParameterMapper, CheckBulletinDataParameter>
        implements ICheckBulletinDataParameterService {
    private static final String CAR_ID = "CAR_ID";
    private static final String PARAMETER_SEQ = "PARAMETER_SEQ";

    @Autowired
    private ICheckCheckMenuManagementService iCheckCheckMenuManagementService;


//    @Autowired
//    private ICheckBulletinDataChangeService iCheckBulletinDataChangeService;
    @Override
    public List getListByBulletinIdAndType(String id, String type, String parameterCode, String parameterName) {
        if ("1".equals(type)) {
            return baseMapper.selectRegList(id, parameterCode, parameterName);
        }
        if ("0".equals(type)) {
            return baseMapper.selectGgList(id, parameterCode, parameterName);
        }
        return new ArrayList();
    }

    @Override
    public ResponseMessage getNoticeParameter(String obdId, String parameterCode, String parameterName, String isParameter) {
        List<CheckMenuManagementResDTO> list = baseMapper.getNoticeParameter(parameterCode, parameterName);
        List<CheckCheckMenuManagement> trueList = iCheckCheckMenuManagementService.queryMenuInfoByObdid(obdId);
        trueList.removeAll(Collections.singleton(null));
        List<String> codeList = new ArrayList<>();
        if (!CollectionUtil.isEmpty(trueList)) {
            for (int i = 0;i<trueList.size();i++){
                codeList.add(trueList.get(i).getParameterCodeOne());
            }
        }

        for (CheckMenuManagementResDTO checkMenuManagementResDTO : list) {
            if (codeList.contains(checkMenuManagementResDTO.getParameterCodeOne())) {
                checkMenuManagementResDTO.setParameterState("0");
            } else {
                checkMenuManagementResDTO.setParameterState("1");
            }
        }
        if ("1".equals(isParameter)) {
            list = list.stream().filter(item->"0".equals(item.getParameterState())).collect(Collectors.toList());
        }
        if ("2".equals(isParameter)) {
            list = list.stream().filter(item->"1".equals(item.getParameterState())).collect(Collectors.toList());
        }
        return Result.success(list);
    }

    @Override
    public void delByGroup(List<String> ids) {
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.in(CAR_ID, ids);
        wrapper.eq("PARAMETER_TYPE","1");
        baseMapper.delete(wrapper);
    }

    @Override
    public IPage<CheckBulletinDataParameter> getNotEqualList(String id, String parameterCode, String parameterName,
                                                             int page, int limit) {
        IPage page1 = new Page(page, limit);
        QueryWrapper wrapper = new QueryWrapper();
        wrapper.eq("IS_EQUAL", "1");
        wrapper.eq(CAR_ID, id);
        if (StringUtils.isNotEmpty(parameterCode)) {
            wrapper.like(PARAMETER_SEQ, parameterCode);
        }
        if (StringUtils.isNotEmpty(parameterName)) {
            wrapper.like("PARAMETER_NAME", parameterName);
        }
        wrapper.isNotNull(PARAMETER_SEQ);
        return this.page(page1, wrapper);
    }

//    @Override
//    public List<CheckBulletinDataChange> getAllNotEqualListByCarId(String id, String parameterCode,
//                                                                   String parameterName,String type) {
//        QueryWrapper<CheckBulletinDataChange> wrapper = new QueryWrapper<CheckBulletinDataChange>();
//        wrapper.eq("CD_VEHICLE_CHANGE_ID", id);
//        if (StringUtils.isNotBlank(parameterCode)) {
//            wrapper.like(PARAMETER_SEQ, parameterCode);
//        }
//        if (StringUtils.isNotBlank(parameterName)) {
//            wrapper.like("PARAMETER_NAME", parameterName);
//        }
//        wrapper.isNotNull(PARAMETER_SEQ);
//        if ("1".equals(type)) {
//            wrapper.inSql(PARAMETER_SEQ," SELECT PARAMETER_CODE FROM CHECK_CD_VEHICLE_DL_DETAILS WHERE PARAMETER_CODE IS NOT NULL ");
//        }
//        List<CheckBulletinDataChange> data = iCheckBulletinDataChangeService.list(wrapper);
//        return data == null ? new ArrayList<>() : data;
//    }

    @Override
    public void updateIsNotEqual(String id, String oldId) {
        baseMapper.updateIsNotEqual(id, oldId);
    }

    @Override
    public List<CheckBulletinDataParameter> getOldData(String id, String oldId) {
        return baseMapper.getOldData(id,oldId);
    }

    @Override
    public List<String> selectIsNotEqual(String id, String oldId) {
        return  baseMapper.selectIsNotEqual(id,oldId);
    }

    @Override
    public List<CheckBulletinDataParameter> getRegListByCarId(String id) {

        return baseMapper.getRegListByCarId(id);
    }

    @Override
    public List<CheckCheckMenuManagement> getAllGgParameter() {
        return baseMapper.getAllGgParameter();
    }
}
