package com.adc.da.system.service.impl;


import com.adc.da.dto.resDTO.ToJsonDTO;
import com.adc.da.system.dao.CheckCertificateInfoDetailDao;
import com.adc.da.system.entity.CheckCertificateInfoDetail;
import com.adc.da.system.entity.CheckCertificateMainInfo;
import com.adc.da.system.service.ICheckCertificateInfoDetailService;
import com.adc.da.util.BaiduIOCRUtils;
import com.adc.da.util.FileUtil;
import com.adc.da.util.PicEdit;
import com.adc.da.util.TemplateUtils;
import com.adc.da.util.TengXunOCRUtils;
import com.adc.da.util.UUIDUtils;
import com.adc.da.util.UploadUtils;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import net.sf.json.JSONArray;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.File;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author jobob
 * @since 2019-09-26
 */
@Service
public class CheckCertificateInfoDetailServiceImpl
        extends ServiceImpl<CheckCertificateInfoDetailDao, CheckCertificateInfoDetail>
        implements ICheckCertificateInfoDetailService {

    private static final Logger logger =
            LoggerFactory.getLogger(com.adc.da.system.service.impl.CheckCertificateInfoDetailServiceImpl.class);

    private static final String TESTCONCLUSION = "型式检验信息检测结论";

    private static final String TESTINGORGANIZATION = "型式检验信息检测机构";

    private static final String TESTSTANDARD = "型式检验信息依据的标准";

    private static final String MANUFACTURERADDRESS = "生产者（制造商）名称";

    private static final String RATEDNUMBEROFPASSENGERS = "额定载客人数";

    private static final String CARCODECARVINGPOSITION = "车辆识别代号打刻位置";

    private static final String PERMISSIBLETOTALMASS = "最大允许总质量";

    private static final String INFORMATIONOPENNUMBER = "信息公开编号";

    private static final String VEHICLEIDNUMBER = "车辆识别代号";

    private static final String VEHICLEPRODUCTIONDATE = "车辆生产日期";

    private static final String ENGINENUMBER = "发动机编号";

    private static final String ENGINEMODEL = "发动机型号";

    private static final String RECOGNITIONMETHOD = "车型的识别方法和位置";

    private static final String VEHICLEMANUFACTURER = "车辆制造商名称";

    private static final String FACTORYADDRESS = "生产厂地址";

    private static final String DESCRIPTIONOFBRAKEDEVICE = "制动装置简要说明";

    private static final String LEGALSIGNSPOSITION = "法定标牌的位置";

    private static final String FINALSTAGEVEHICLEPRODUCERS = "最终阶段车辆制造国";

    private static final String CERTIFICATECODE = "车辆一致性证书编号";

    private static final String VEHICLEMANUFACTUREDATE = "车辆制造日期";

    private static final String DERAILLEUR = "变速器型式/档位数";

    private static final String INTERCOOLERTYPE = "中冷器型式";

    private static final String ENGINEMODELFIELD = "engineModel";

    private static final String VEHICLEMODELFIELD = "vehicleModel";

    private static final String MANUFACTURERADDRESSFIELD = "manufacturerAddress";

    @Autowired
    private TemplateUtils templateUtils;
//
    @Autowired
    private BaiduIOCRUtils baiduIOCRUtils;

    @Autowired
    private TengXunOCRUtils tengXunOCRUtils;

    @Autowired
    private CheckCertificateMainInfoServiceImpl checkCertificateMainInfoService;

//    @Autowired
//    private ICheckOperationLogService iCheckOperationLogService;

    @Autowired
    private HttpServletRequest request;
    @Autowired
    private com.adc.da.util.UploadUtils UploadUtils;

    @Value("${sibieImg}")
    private String url;
//    @Autowired
//    private UploadUtils UploadUtils;
    /**
     * 图片识别主方法
     *
     * @param imgs
     * @param certificateType
     * @param infoId
     * @return
     */
    @Override
    @Transactional
    public CheckCertificateInfoDetail pictureRecognition(MultipartFile[] imgs, String certificateType,
                                                         String infoId, String userId) {

        // 判断接收的文件个数
        if (imgs.length == 2) {
            return this.twoFiles(imgs, certificateType, infoId, userId);
        } else if (imgs.length == 1) {
            // 接收的文件数为1，且文件大小不为0，得到其对应的模板id
            return this.oneFile(imgs, certificateType, infoId, userId);
        } else {
            return null;
        }
    }

    /**
     * 单文件识别
     *
     * @param imgs
     * @param certificateType
     * @param infoId
     * @param userId
     * @return
     */
    @Transactional
    public CheckCertificateInfoDetail oneFile(MultipartFile[] imgs, String certificateType,
                                              String infoId, String userId) {
        String content = "";
        String carType = "";
        String picturePath1 = "";
        String picturePath2 = "";
        CheckCertificateInfoDetail checkCertificateInfoDetail = new CheckCertificateInfoDetail();
        // 接收的文件数为1，且文件大小不为0，得到其对应的模板id
        carType = this.carType(certificateType);
        Map<String, String> map = this.recognition(imgs[0], carType, certificateType, 1);
        // 根据读取的结果集合map且模板id位数调用对应识别接口
        if (map != null && !map.isEmpty() && carType.length() == 10) {
            // 读取的结果集合map不为空且模板id为10位，调用face++识别接口
            content = this.mapToString(map, certificateType);
            // 获取上传图片的路径地址
            picturePath1 = map.get("picturePath");
        } else if (map != null && !map.isEmpty() && carType.length() > 10) {
            // 读取的结果集合map不为空且模板id为10位，调用百度智能云识别接口
            content = this.mapToStringNameplate(map, certificateType);
            // 获取上传图片的路径地址
            picturePath1 = map.get("picturePath");
        } else {
            checkCertificateInfoDetail.setId("0");
            return checkCertificateInfoDetail;
        }
        return detail(certificateType, infoId, picturePath1, picturePath2, content, userId);
    }

    /**
     * 多文件识别
     *
     * @param imgs
     * @param certificateType
     * @param infoId
     * @param userId
     * @return
     */
    @Transactional
    public CheckCertificateInfoDetail twoFiles(MultipartFile[] imgs, String certificateType,
                                               String infoId, String userId) {
        String content = "";
        List<ToJsonDTO> list;
        String carType = "";
        String picturePath1 = "";
        String picturePath2 = "";
        CheckCertificateInfoDetail checkCertificateInfoDetail = new CheckCertificateInfoDetail();
        // 接收的文件数为2，且第一个文件大小不为0
        if (imgs[0].getSize() > 0) {
            // 获取第一个文件，得到其对应的模板id
            carType = this.carTypes(certificateType, 1);
            Map<String, String> map = this.recognition(imgs[0], carType, certificateType, 1);
            // 读取的结果集合map为空，返回错误id
            if (map == null || map.isEmpty()) {
                checkCertificateInfoDetail.setId("-1");
                return checkCertificateInfoDetail;
            }
            // 读取的结果集合map不为空，返回编号页list
            list = this.mapToList(map, certificateType);
            // 获取上传图片的路径地址
            picturePath1 = map.get("picturePath");
        } else {
            // 文件大小为0，返回错误id
            checkCertificateInfoDetail.setId("-1");
            return checkCertificateInfoDetail;
        }
        // 接收的文件数为2，且第二个文件大小不为0
        if (imgs[1].getSize() > 0) {
            // 获取第二个文件，得到其对应的模板id
            carType = this.carTypes(certificateType, 2);
            Map<String, String> map = this.recognition(imgs[1], carType, certificateType, 2);
            // 读取的结果集合map为空，返回错误id
            if (map == null || map.isEmpty()) {
                checkCertificateInfoDetail.setId("-2");
                return checkCertificateInfoDetail;
            }
            // 读取的结果集合map不为空，返回json
            content = this.mapAndList(map, list, certificateType);
            // 获取上传图片的路径地址
            picturePath2 = map.get("picturePath");
        } else {
            // 文件大小为0，返回错误id
            checkCertificateInfoDetail.setId("-2");
            return checkCertificateInfoDetail;
        }
        return detail(certificateType, infoId, picturePath1, picturePath2, content, userId);
    }

    /**
     * 查询已识别数据
     *
     * @param certificateType
     * @param infoId
     * @return
     */
    @Override
    public CheckCertificateInfoDetail selectOne(String certificateType, String infoId) {
        // 根据证书类型和主表id查询识别数据
        CheckCertificateInfoDetail detail = this.getOne(new QueryWrapper<CheckCertificateInfoDetail>()
                .eq("CERTIFICATE_TYPE", certificateType)
                .eq("INFO_ID", infoId));
        try {
            if (detail != null) {
                // 查询数据不为空
                if (StringUtils.isNotEmpty(detail.getPicturePath1())) {
                    // 查询数据不为空且图片1路径不为空
                    // 获取图片1的后缀名
                    int i = detail.getPicturePath1().lastIndexOf('.');
                    String lastName = detail.getPicturePath1().substring(i + 1);
                    // 拼接图片1的base64码
                    String str = FileUtil.encodeBase64File(detail.getPicturePath1());
                    if (StringUtils.isNotEmpty(str)) {
                        Pattern p = Pattern.compile("\\s*|\t|\r|\n");
                        Matcher m = p.matcher(str);
                        detail.setPicturePath1("data:image/" + lastName + ";base64," + m.replaceAll(""));
                    }
                }
                if (StringUtils.isNotEmpty(detail.getPicturePath2())) {
                    // 查询数据不为空且图片2路径不为空
                    // 获取图片1的后缀名
                    int i = detail.getPicturePath2().lastIndexOf('.');
                    String lastName = detail.getPicturePath2().substring(i + 1);
                    // 拼接图片1的base64码
                    String str = FileUtil.encodeBase64File(detail.getPicturePath2());
                    if (StringUtils.isNotEmpty(str)) {
                        Pattern p = Pattern.compile("\\s*|\t|\r|\n");
                        Matcher m = p.matcher(str);
                        detail.setPicturePath2("data:image/" + lastName + ";base64," + m.replaceAll(""));
                    }
                }
                return detail;
            }
        } catch (Exception e) {
            logger.error("图片转换失败");
        }
        return null;

    }

    /**
     * 图片识别结果存入数据库
     *
     * @param certificateType
     * @param infoId
     * @param picturePath1
     * @param picturePath2
     * @param content
     * @return
     */
    @Transactional
    public CheckCertificateInfoDetail detail(String certificateType, String infoId,
                                             String picturePath1, String picturePath2, String content,
                                             String userId) {
        // 根据证书类型和主表id查询识别数据
        List<CheckCertificateInfoDetail> details = this.list(new QueryWrapper<CheckCertificateInfoDetail>()
                .eq("CERTIFICATE_TYPE", certificateType)
                .eq("INFO_ID", infoId));
        CheckCertificateInfoDetail detail = new CheckCertificateInfoDetail();
        detail.setCertificateType(certificateType);
        detail.setInfoId(infoId);
        detail.setPicturePath1(picturePath1);
        detail.setPicturePath2(picturePath2);
        detail.setContent(content);
        // 判断识别数据和数据库数据是否为空
        if (StringUtils.isNotEmpty(content) && details.isEmpty()) {
            // 识别数据不为空且数据库数据为空
            // 生成识别数据id
            detail.setId(UUIDUtils.getUUID());
            // 数据库插入新数据
            this.baseMapper.insert(detail);
            // 新建修改构造器
            UpdateWrapper<CheckCertificateMainInfo> updateWrapper = new UpdateWrapper<>();
            updateWrapper.eq("ID", infoId)
                    .set("CHECK_STATE", 1)
                    .set("CHECK_DATE", new Date())
                    .set("OPERATOR", userId);
            // 修改主表状态
            checkCertificateMainInfoService.getBaseMapper().update(null, updateWrapper);
//            iCheckOperationLogService.operationLog(request.getHeader("userId"), "更新随车文件识别数据");
            return detail;
        } else if (StringUtils.isNotEmpty(content) && !details.isEmpty()) {
            // 识别数据和数据库数据都不为空
            // 获取对应数据id并赋值给新识别数据id
            detail.setId(details.get(0).getId());
            this.baseMapper.updateById(detail);
            // 新建修改构造器
            UpdateWrapper<CheckCertificateMainInfo> updateWrapper = new UpdateWrapper<>();
            updateWrapper.eq("ID", infoId)
                    .set("CHECK_DATE", new Date())
                    .set("OPERATOR", userId);
            // 修改主表状态
            checkCertificateMainInfoService.getBaseMapper().update(null, updateWrapper);
//            iCheckOperationLogService.operationLog(request.getHeader("userId"), "更新随车文件识别数据");
            return detail;
        }
        return null;
    }

    /**
     * 图片识别
     *
     * @param multipartfile
     * @param carType
     * @return
     */
    public Map<String, String> recognition(MultipartFile multipartfile, String carType, String certificateType, int i) {
        Map<String, String> map = new HashMap<>();
        if (multipartfile.getSize() > 0) {
            try {
                // 上传文件，返回文件路径
                String picturePath = UploadUtils.uploadFile(multipartfile);
                // 判断文件后缀是否为png
                if ("png".equals(picturePath.substring(picturePath.lastIndexOf('.') + 1))) {
                    // 转换png图片为jpg图片
                    picturePath = PicEdit.pngToJpg(picturePath);
                }
                File file = new File(picturePath);
                // 修改图片像素
                File newFile = fileEdit(file, picturePath);
                // 判断文件和路径是否为空
                if (!"-1".equals(picturePath) && newFile != null) {
                    // 根据模板id调用相应的接口
                    if (!"".equals(carType) && carType.length() == 10) {
                        map = templateUtils.templateDistinguish(newFile, carType);
                    } else if (!"".equals(carType)) {
                        map = tengXunOCRUtils.orc(picturePath);
                    }
                    if (map != null) {
                        // 识别结果不为空，获取图片上传路径
                        map.put("picturePath", picturePath);
                        if (i == 2) {
                            String statement = baiduIOCRUtils.orcENV(newFile, certificateType);
                            map.put("statement", statement);
                        }
                    }
                }
            } catch (IOException e) {
                logger.error("图片识别失败");
                return map;
            }
        }
        return map;
    }

    /**
     * 文件大小、像素调整
     *
     * @param file
     * @param picturePath
     * @return
     */
    public File fileEdit(File file, String picturePath) {
        try {
            // 定义最大文件大小
            Long maxSize = 2500 * 1024L;
            String fileName = url + file.getName();
            Map<String, Integer> map = PicEdit.getPixel(picturePath);
            if (map.get("height") >= map.get("width") && (map.get("height") > 4096 || map.get("width") < 512)) {
                PicEdit.resizeImageHight(picturePath, fileName, 3500);
                byte[] imgBytes = PicEdit.getByteByPic(picturePath);
                if (file.length() > 2500 * 1024) {
                    byte[] resultImg = PicEdit.compressUnderSize(imgBytes, maxSize);
                    PicEdit.byte2image(resultImg, fileName);
                }
                file = new File(fileName);
                return file;
            } else if (map.get("width") > map.get("height") && (map.get("width") > 4096 || map.get("height") < 512)) {
                PicEdit.resizeImage(picturePath, fileName, 3500);
                byte[] imgBytes = PicEdit.getByteByPic(picturePath);
                if (file.length() > 2500 * 1024) {
                    byte[] resultImg = PicEdit.compressUnderSize(imgBytes, maxSize);
                    PicEdit.byte2image(resultImg, fileName);
                }
                file = new File(fileName);
                return file;
            }
            byte[] imgBytes = PicEdit.getByteByPic(picturePath);
            if (file.length() > 2500 * 1024) {
                byte[] resultImg = PicEdit.compressUnderSize(imgBytes, maxSize);
                PicEdit.byte2image(resultImg, fileName);
                file = new File(fileName);
                return file;
            } else {
                file = new File(fileName);
                return file;
            }
        } catch (IOException e) {
            logger.error("图片转换失败");
            return null;
        }
    }

    /**
     * 确定是哪个模板
     * 模板名称   // 对应方法     // 模板id    // type编号
     * <p>
     * 环保图片识别模板id
     * 环保随车清单\汽油国五车型  // mapToJson11     // 1574391691    // 11
     * 环保随车清单\汽油国六车型编号页   // mapToJson12    // 1568785272    // 12
     * 环保随车清单\汽油国六车型内容页  // mapToJson13   // 1574392909    // 13
     * 环保随车清单\柴油国五车型   // mapToJson14   // 1574390498    // 14
     * 环保随车清单\混合动力国五车型    // mapToJson15     // 1568775684    // 15
     * 环保随车清单\混合动力国六车型编号页    // mapToJson16     // 1568775377    // 16
     * 环保随车清单\混合动力国六车型内容页    // mapToJson17     // 1568793010    // 17
     * 环保随车清单\纯电动车型    // mapToJson18     // 1568787876    // 18
     * 环保随车清单\柴油国六车型   // mapToJson19   // 1574738582    // 19
     * <p>
     * 合格证识别模板id
     * 合格证\合格证    // mapToJson2    // 1572858471    // 2
     * <p>
     * 一致性证书识别模板id
     * 一致性证书\M类国六    // mapToJson31    // 1575339819    // 31
     * 一致性证书\M类国五    // mapToJson32    // 1575341845    // 32
     * 一致性证书\N类二类底盘    // mapToJson33    // 1575343708    // 33
     * 一致性证书\N类国六    // mapToJson34    // 1575342474    // 34
     * 一致性证书\N类国五    // mapToJson35    // 1575341019    // 35
     * 一致性证书\纯电动    // mapToJson36    // 1568710298    // 36
     * 一致性证书\混合动力国六    // mapToJson37    // 1575337980    // 37
     * 一致性证书\混合动力国五    // mapToJson38    // 1575280089    // 38
     * <p>
     * 能源消耗量标识识别模板id
     * 能源消耗量标识\能源消耗量标识    // mapToJson4    // 1572856931    // 4
     * <p>
     * 铭牌识别模板id
     * 铭牌\长城牌N类车型    // mapToJson51    // 2847363dba729987c784850a0840cc81    // 51
     * 铭牌\哈弗牌常规车型    // mapToJson52    // c764c93f7e5432989ef4578e6397464d    // 52
     * 铭牌\魏派混合动力    // mapToJson53    // 0b6c3739d67cf6bc09a3048b24f8f9f0    // 53
     * 铭牌\欧拉    // mapToJson54    // 67057a44beeca7a0386dfe8a52fc05a2    // 54
     * 铭牌\魏派常规车型    // mapToJson55    // 3385a3e06c135394d3454d3e7f6d9f4a    // 55
     * 铭牌\长城牌纯电动车型    // mapToJson56    //69f518488fcc58b386ca1526092686c6    // 56
     *
     * @param certificateType
     * @return
     */

    // 单页识别模板id
    public String carType(String certificateType) {
        String carType = "";
        if ("11".equals(certificateType)) {
            carType = "1568791264";
        } else if ("14".equals(certificateType)) {
            carType = "1568785952";
        } else if ("15".equals(certificateType)) {
            carType = "1568775684";
        } else if ("18".equals(certificateType)) {
            carType = "1568787876";
        } else if ("2".equals(certificateType)) {
            carType = "1572858471";
        } else if ("31".equals(certificateType)) {
            carType = "1575339819";
        } else if ("32".equals(certificateType)) {
            carType = "1575341845";
        } else if ("33".equals(certificateType)) {
            carType = "1575343708";
        } else if ("34".equals(certificateType)) {
            carType = "1575342474";
        } else if ("35".equals(certificateType)) {
            carType = "1575341019";
        } else if ("36".equals(certificateType)) {
            carType = "1571106634";
        } else if ("37".equals(certificateType)) {
            carType = "1575337980";
        } else if ("38".equals(certificateType)) {
            carType = "1575280089";
        } else if ("39".equals(certificateType)) {
            carType = "1609237757";
        } else if ("4".equals(certificateType)) {
            carType = "1572856931";
        } else if ("51".equals(certificateType)) {
            carType = "2847363dba729987c784850a0840cc81";
        } else if ("52".equals(certificateType)) {
            carType = "c764c93f7e5432989ef4578e6397464d";
        } else if ("53".equals(certificateType)) {
            carType = "0b6c3739d67cf6bc09a3048b24f8f9f0";
        } else if ("54".equals(certificateType)) {
            carType = "67057a44beeca7a0386dfe8a52fc05a2";
        } else if ("55".equals(certificateType)) {
            carType = "3385a3e06c135394d3454d3e7f6d9f4a";
        } else if ("56".equals(certificateType)) {
            carType = "69f518488fcc58b386ca1526092686c6";
        }else if ("57".equals(certificateType)) {
            carType = "69f518488fcc58b386ca1526092686c7";
        }
        return carType;
    }

    // 多页识别模板id
    public String carTypes(String certificateType, int i) {
        String carType = "";
        if ("12".equals(certificateType) && i == 1) {
            carType = "1568785272";
        } else if ("16".equals(certificateType) && i == 1) {
            carType = "1568775377";
        } else if ("19".equals(certificateType) && i == 1) {
            carType = "1568785272";
        } else if ("12".equals(certificateType) && i == 2) {
            carType = "1568710601";
        } else if ("16".equals(certificateType) && i == 2) {
            carType = "1574757061";
        } else if ("19".equals(certificateType) && i == 2) {
            carType = "1576640531";
        }
        return carType;
    }

    /**
     * 单页识别转换  map转换成json
     *
     * @param map
     * @param certificateType
     * @return
     */
    public String mapToString(Map<String, String> map, String certificateType) {
        String mapStr = "";
        if ("11".equals(certificateType)) {
            mapStr = this.mapToJson11(map);
        } else if ("14".equals(certificateType)) {
            mapStr = this.mapToJson14(map);
        } else if ("15".equals(certificateType)) {
            mapStr = this.mapToJson15(map);
        } else if ("18".equals(certificateType)) {
            mapStr = this.mapToJson18(map);
        } else if ("2".equals(certificateType)) {
            mapStr = this.mapToJson2(map);
        } else if ("31".equals(certificateType)) {
            mapStr = this.mapToJson31(map);
        } else if ("32".equals(certificateType)) {
            mapStr = this.mapToJson32(map);
        } else if ("33".equals(certificateType)) {
            mapStr = this.mapToJson33(map);
        } else if ("34".equals(certificateType)) {
            mapStr = this.mapToJson34(map);
        } else if ("35".equals(certificateType)) {
            mapStr = this.mapToJson35(map);
        } else if ("36".equals(certificateType)) {
            mapStr = this.mapToJson36(map);
        } else if ("37".equals(certificateType)) {
            mapStr = this.mapToJson37(map);
        } else if ("38".equals(certificateType)) {
            mapStr = this.mapToJson38(map);
        } else if ("39".equals(certificateType)) {
            mapStr = this.mapToJson39(map);
        } else if ("4".equals(certificateType)) {
            mapStr = this.mapToJson4(map);
        }
        return mapStr;
    }

    private String mapToJson39(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
//        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
//                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称"), 2);
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, strs.get(0), "finalStageVehicleProducers"));
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(1), "carProduceEnterpriseName"));
        strs = splitValue(map.get(MANUFACTURERADDRESS), 2);
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(0), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS,strs.get(1), MANUFACTURERADDRESSFIELD));

        list.add(new ToJsonDTO("新能源车", map.get("新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get("法定标牌位置"), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        strs = splitValue(map.get("电动机编号、车型种类"), 2);
        list.add(new ToJsonDTO("电动机编号", strs.get(0), "motorCode"));
        list.add(new ToJsonDTO("车型种类", strs.get(1), "typeOfVehicle"));
        list.add(new ToJsonDTO("电动机编号在电动机上的打刻位置", map.get("电动机编号的打刻位置"),
                "motorCodePosition"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("CCC证书编号/签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮"), 4);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("货箱内部尺寸（mm）", strs.get(3), "cargoSize"));
        strs = splitValue(map.get("整备质量"), 3);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("载质量利用系数", strs.get(1), "coefficientOfMassUtilization"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(2), "maxGVW"));
        list.add(new ToJsonDTO("接近角/离去角（。）", map.get("接近角"), "approachAngleAndDepartureAngle"));
        strs = splitValue(map.get("额定载质量"), 3);
        list.add(new ToJsonDTO("额定载质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("车门数量和结构", strs.get(1), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(2), "axleLoadDistribution"));
        strs = splitValue(map.get("离合器型式、转向型式"), 6);
        list.add(new ToJsonDTO("电动机型号", strs.get(0), "motorModel"));
        list.add(new ToJsonDTO("电动机工作电压（V）", strs.get(1), "workingVoltageOfMotor"));
        list.add(new ToJsonDTO("动力电池型号", strs.get(2), "powerBatteryModel"));
        list.add(new ToJsonDTO("动力电池系统额定容量(Ah)", strs.get(3), "systemRatedCapacity"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(4), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(5), "steeringModel"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 7);

        list.add(new ToJsonDTO("电动机生产厂名称", strs.get(0) + strs.get(1), "motorManufacturer"));
        list.add(new ToJsonDTO("最大输出功率（kW）",strs.get(2), "maxPower"));
        list.add(new ToJsonDTO("动力电池系统额定电压（V）", strs.get(3), "systemRatedPower"));
        list.add(new ToJsonDTO("动力电池生产厂名称", strs.get(4), "powerBatteryManufacturing"));
        list.add(new ToJsonDTO("变速器（型式）", strs.get(5), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(6), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("是否带防抱死系统", map.get("是否带防抱死系统"), "isHaveABS"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("钢板弹簧片数", map.get("钢板弹簧片数"),
                "numberOfLeafSprings"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级CCC标准号、实施阶段"),
                "soundLevelCCC"));
//        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
//                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * 铭牌识别转换  map转换成json
     *
     * @param map
     * @param certificateType
     * @return
     */
    public String mapToStringNameplate(Map<String, String> map, String certificateType) {
        String mapStr = "";
        if ("51".equals(certificateType)) {
            mapStr = this.mapToJson51(map);
        } else if ("52".equals(certificateType)) {
            mapStr = this.mapToJson52(map);
        } else if ("53".equals(certificateType)) {
            mapStr = this.mapToJson53(map);
        } else if ("54".equals(certificateType)) {
            mapStr = this.mapToJson54(map);
        } else if ("55".equals(certificateType)) {
            mapStr = this.mapToJson55(map);
        } else if ("56".equals(certificateType)) {
            mapStr = this.mapToJson56(map);
        }
        else if ("57".equals(certificateType)) {
            mapStr = this.mapToJson57(map);
        }
        return mapStr;
    }

    private String mapToJson57(Map<String, String> map) {
        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("车辆识别代号") + 7;
        int j = str.indexOf("整车型号");
        list.add(new ToJsonDTO(VEHICLEIDNUMBER,  this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("驱动电机峰值功率");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("驱动电机峰值功率") + 9;
        j = str.indexOf("驱动电机型号");
        list.add(new ToJsonDTO("驱动电机峰值功率",  this.subString(i,j,str), "peakPower"));
        i = str.indexOf("驱动电机型号") + 7;
        j = str.indexOf("整车整备质量");
        list.add(new ToJsonDTO("驱动电机型号",  this.subString(i,j,str), "drivingMotorType"));
        i = str.indexOf("整车整备质量") + 7;
        j = str.indexOf("动力电池系统额定电压");
        list.add(new ToJsonDTO("整车整备质量",  this.subString(i,j,str), "readinessQuality"));
        i = str.indexOf("动力电池系统额定电压") + 11;
        j = str.indexOf("品牌");
        list.add(new ToJsonDTO("动力电池系统额定电压",  this.subString(i,j,str), "ratedVoltage"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("动力电池系统额定容量");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("动力电池系统额定容量") + 11;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("动力电池系统额定容量",  this.subString(i,j,str), "ratedCapacity"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("制造年月") + 5;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * 编号页转换成list拼接内容页数据
     *
     * @param map
     * @param certificateType
     * @return
     */
    public List<ToJsonDTO> mapToList(Map<String, String> map, String certificateType) {
        List<ToJsonDTO> list = new ArrayList<>();
        return this.mapToJson12(map);
    }

    /**
     * 内容页数据拼接
     *
     * @param map
     * @param list
     * @param certificateType
     * @return
     */
    public String mapAndList(Map<String, String> map, List<ToJsonDTO> list, String certificateType) {
        String str = "";
        if ("12".equals(certificateType)) {
            str = this.mapToJson13(list, map);
        } else if ("16".equals(certificateType)) {
            str = this.mapToJson17(list, map);
        } else if ("19".equals(certificateType)) {
            str = this.mapToJson19(list, map);
        }
        return str;
    }

    /**
     * map转成json（环保随车清单\汽油国五车型）
     *
     * @param map
     * @return
     */
    public String mapToJson11(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, map.get(INFORMATIONOPENNUMBER),
                "informationOpenNumber"));
        //list.add(new ToJsonDTO("声明", map.get("statement"), "statement"));
        list.add(new ToJsonDTO("VIN", map.get("VIN"), "vin"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO("排放阶段", map.get("排放阶段"), "emissionStage"));
        list.add(new ToJsonDTO(RECOGNITIONMETHOD, map.get(RECOGNITIONMETHOD), "recognitionMethod"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论", map.get("出厂检验项目及结论"),
                "factoryInspectionInformation"));
        list.add(new ToJsonDTO("发动机型号/生产厂", map.get("发动机型号/生产厂"), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("催化转化器型号/生产厂", map.get("催化转化器型号/生产厂"),
                "catalyticConverterModel"));
        list.add(new ToJsonDTO("催化转化器涂层/载体/封装生产厂", map.get("催化转化器涂层/载体/封装生产厂"),
                "catalyticConverterCoating"));
        list.add(new ToJsonDTO("燃油蒸发控制装置型号/生产厂", map.get("燃油蒸发控制装置型号/生产厂"),
                "fuelEvaporationControlDevice"));
        list.add(new ToJsonDTO("氧传感器型号/生产厂", map.get("氧传感器型号/生产厂"), "oxygenSensor"));
        list.add(new ToJsonDTO("曲轴箱排放控制装置型号/生产厂", map.get("曲轴箱排放控制装置型号/生产厂"),
                "crankcaseEmissionControlDevice"));
        list.add(new ToJsonDTO("EGR型号/生产厂", map.get("EGR型号/生产厂"), "egr"));
        list.add(new ToJsonDTO("OBD型号/生产厂", map.get("OBD型号/生产厂"), "obd"));
        list.add(new ToJsonDTO("IUPR监测功能", map.get("IUPR监测功能"), "iupr"));
        list.add(new ToJsonDTO("ECU型号/版本号/生产厂", map.get("ECU型号/版本号/生产厂"), "ecu"));
        list.add(new ToJsonDTO(DERAILLEUR, map.get(DERAILLEUR), "derailleur"));
        list.add(new ToJsonDTO("消声器型号/生产厂", map.get("消声器型号/生产厂"), "muffler"));
        list.add(new ToJsonDTO("增压器型号/生产厂", map.get("增压器型号/生产厂"), "supercharger"));
        list.add(new ToJsonDTO(INTERCOOLERTYPE, map.get(INTERCOOLERTYPE), "intercoolerType"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（环保随车清单\双页证书编号页）
     *
     * @param map
     * @return
     */
    public List<ToJsonDTO> mapToJson12(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, map.get(INFORMATIONOPENNUMBER),
                "informationOpenNumber"));
        list.add(new ToJsonDTO("VIN", map.get("VIN"), "vin"));
        return list;
    }

    /**
     * map转成json（环保随车清单\汽油国六车型内容页）
     *
     * @param map
     * @return
     */
    public String mapToJson13(List<ToJsonDTO> list, Map<String, String> map) {
        if (list.isEmpty()) {
            list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, "", "informationOpenNumber"));
            list.add(new ToJsonDTO("VIN", "", "vin"));
        }
        list.add(new ToJsonDTO("声明", map.get("statement"), "statement"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO("排放阶段", map.get("排放阶段"), "emissionStage"));
        list.add(new ToJsonDTO(RECOGNITIONMETHOD, map.get(RECOGNITIONMETHOD), "recognitionMethod"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineNumber"));
        list.add(new ToJsonDTO("基准质量", map.get("基准质量"), "benchmarkQuality"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论依据的标准", map.get("出厂检验项目及结论依据的标准"),
                "testStandard"));
        list.add(new ToJsonDTO("出厂检验项目及结论检测结论", map.get("出厂检验项目及结论检测结论"),
                "testConclusion"));
        list.add(new ToJsonDTO("发动机型号/生产企业", map.get("发动机型号/生产企业"), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("催化转化器型号/生产企业", map.get("催化转化器型号/生产企业"),
                "catalyticConverterModel"));
        list.add(new ToJsonDTO("催化转化器涂层/载体/封装生产企业", map.get("催化转化器涂层/载体/封装生产企业"),
                "catalyticConverterCoating"));
        list.add(new ToJsonDTO("颗粒捕集器型号/生产企业", map.get("颗粒捕集器型号/生产企业"),
                "particleTrapType"));
        list.add(new ToJsonDTO("颗粒捕集器涂层/载体/封装生产企业", map.get("颗粒捕集器涂层/载体/封装生产企业"),
                "particleTrapCoating"));
        list.add(new ToJsonDTO("碳罐型号/生产企业", map.get("碳罐型号/生产企业"), "canister"));
        list.add(new ToJsonDTO("氧传感器型号/生产企业", map.get("氧传感器型号/生产企业"),
                "oxygenSensor"));
        list.add(new ToJsonDTO("曲轴箱排放控制装置型号/生产企业", map.get("曲轴箱排放控制装置型号/生产企业"),
                "crankcaseEmissionControlDevice"));
        list.add(new ToJsonDTO("EGR型号/生产企业", map.get("EGR型号/生产企业"), "egr"));
        list.add(new ToJsonDTO("OBD系统供应商", map.get("OBD系统供应商"), "obd"));
        list.add(new ToJsonDTO("ECU型号/生产企业", map.get("ECU型号/生产企业"), "ecu"));
        list.add(new ToJsonDTO(DERAILLEUR, map.get(DERAILLEUR), "derailleur"));
        list.add(new ToJsonDTO("消声器型号/生产企业", map.get("消声器型号/生产企业"), "muffler"));
        list.add(new ToJsonDTO("增压器型号/生产企业", map.get("增压器型号/生产企业"), "supercharger"));
        list.add(new ToJsonDTO(INTERCOOLERTYPE, map.get(INTERCOOLERTYPE), "intercoolerType"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成json（环保随车清单\柴油国五车型）
     *
     * @param map
     * @return
     */
    public String mapToJson14(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, map.get(INFORMATIONOPENNUMBER),
                "informationOpenNumber"));
        //list.add(new ToJsonDTO("声明", map.get("statement"), "statement"));
        list.add(new ToJsonDTO("VIN", map.get("VIN"), "vin"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO("排放阶段", map.get("排放阶段"), "emissionStage"));
        list.add(new ToJsonDTO(RECOGNITIONMETHOD, map.get(RECOGNITIONMETHOD), "recognitionMethod"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论", map.get("出厂检验项目及结论"),
                "factoryInspectionInformation"));
        list.add(new ToJsonDTO("发动机型号/生产厂", map.get("发动机型号/生产厂"), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("后处理装置型号/生产厂", map.get("后处理装置型号/生产厂"),
                "postProcessingDeviceType"));
        list.add(new ToJsonDTO("后处理装置涂层/载体/封装生产厂", map.get("后处理装置涂层/载体/封装生产厂"),
                "postTreatmentDeviceCoating"));
        list.add(new ToJsonDTO("喷油泵型号/生产厂", map.get("喷油泵型号/生产厂"), "fuelInjectionPump"));
        list.add(new ToJsonDTO("增压器型号/生产厂", map.get("增压器型号/生产厂"), "supercharger"));
        list.add(new ToJsonDTO("喷油器型号/生产厂", map.get("喷油器型号/生产厂"), "injector"));
        list.add(new ToJsonDTO("ECU型号/版本号/生产厂", map.get("ECU型号/版本号/生产厂"), "ecu"));
        list.add(new ToJsonDTO("IUPR监测功能", map.get("IUPR监测功能"), "iupr"));
        list.add(new ToJsonDTO("OBD型号/生产厂", map.get("OBD型号/生产厂"), "obd"));
        list.add(new ToJsonDTO("EGR型号/生产厂", map.get("EGR型号/生产厂"), "egr"));
        list.add(new ToJsonDTO(INTERCOOLERTYPE, map.get(INTERCOOLERTYPE), "intercoolerType"));
        list.add(new ToJsonDTO(DERAILLEUR, map.get(DERAILLEUR), "derailleur"));
        list.add(new ToJsonDTO("消声器型号/生产厂", map.get("消声器型号/生产厂"), "muffler"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成json（环保随车清单\混合动力国五车型）
     *
     * @param map
     * @return
     */
    public String mapToJson15(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, map.get(INFORMATIONOPENNUMBER),
                "informationOpenNumber"));
        //list.add(new ToJsonDTO("声明", map.get("statement"), "statement"));

        list.add(new ToJsonDTO("VIN", map.get("VIN"), "vin"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO("排放阶段", map.get("排放阶段"), "emissionStage"));
        list.add(new ToJsonDTO(RECOGNITIONMETHOD, map.get(RECOGNITIONMETHOD), "recognitionMethod"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论", map.get("出厂检验项目及结论"),
                "factoryInspectionInformation"));
        list.add(new ToJsonDTO("发动机型号/生产厂", map.get("发动机型号/生产厂"), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("电动机型号/生产厂", map.get("电动机型号/生产厂"), "motorType"));
        list.add(new ToJsonDTO("储能装置型号/生产厂", map.get("储能装置型号/生产厂"),
                "energyStorageDevice"));
        list.add(new ToJsonDTO("电池容量/续航里程", map.get("电池容量/续航里程"), "battery"));
        list.add(new ToJsonDTO("催化转化器型号/生产厂", map.get("催化转化器型号/生产厂"),
                "catalyticConverterModel"));
        list.add(new ToJsonDTO("催化转化器涂层/载体/封装生产厂", map.get("催化转化器涂层/载体/封装生产厂"),
                "catalyticConverterCoating"));
        list.add(new ToJsonDTO("燃油蒸发控制装置型号/生产厂", map.get("燃油蒸发控制装置型号/生产厂"),
                "fuelEvaporationControlDevice"));
        list.add(new ToJsonDTO("氧传感器型号/生产厂", map.get("氧传感器型号/生产厂"), "oxygenSensor"));
        list.add(new ToJsonDTO("曲轴箱排放控制装置型号/生产厂", map.get("曲轴箱排放控制装置型号/生产厂"),
                "crankcaseEmissionControlDevice"));
        list.add(new ToJsonDTO("EGR型号/生产厂", map.get("EGR型号/生产厂"), "egr"));
        list.add(new ToJsonDTO("OBD型号/生产厂", map.get("OBD型号/生产厂"), "obd"));
        list.add(new ToJsonDTO("IUPR监测功能", map.get("IUPR监测功能"), "iupr"));
        list.add(new ToJsonDTO("ECU型号/版本号/生产厂", map.get("ECU型号/版本号/生产厂"), "ecu"));
        list.add(new ToJsonDTO(DERAILLEUR, map.get(DERAILLEUR), "derailleur"));
        list.add(new ToJsonDTO("消声器型号/生产厂", map.get("消声器型号/生产厂"), "muffler"));
        list.add(new ToJsonDTO("增压器型号/生产企业", map.get("增压器型号/生产企业"), "supercharger"));
        list.add(new ToJsonDTO(INTERCOOLERTYPE, map.get(INTERCOOLERTYPE), "intercoolerType"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成json（环保随车清单\混合动力国六车型编内容页）
     *
     * @param map
     * @return
     */
    public String mapToJson17(List<ToJsonDTO> list, Map<String, String> map) {
        if (list.isEmpty()) {
            list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, "", "informationOpenNumber"));
            list.add(new ToJsonDTO("VIN", "", "vin"));
        }
        list.add(new ToJsonDTO("声明", map.get("statement"), "statement"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO("排放阶段", map.get("排放阶段"), "emissionStage"));
        list.add(new ToJsonDTO(RECOGNITIONMETHOD, map.get(RECOGNITIONMETHOD), "recognitionMethod"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineNumber"));
        list.add(new ToJsonDTO("基准质量", map.get("基准质量"), "benchmarkQuality"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论依据的标准", map.get("出厂检验信息依据的标准"),
                "testStandard"));
        list.add(new ToJsonDTO("出厂检验项目及结论检测结论", map.get("出厂检验信息检测结论"),
                "testConclusion"));
        list.add(new ToJsonDTO("发动机型号/生产企业", map.get("发动机型号/生产企业"), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("电动机型号/生产企业", map.get("电动机型号/生产企业"), "motorType"));
        list.add(new ToJsonDTO("能量储存装置型号/生产企业", map.get("能量储存装置型号/生产企业"),
                "energyStorageDevice"));
        list.add(new ToJsonDTO("电池容量/车辆的纯电动行驶里程", map.get("电池容量/车辆的纯电动行驶里程"),
                "battery"));
        list.add(new ToJsonDTO("催化转化器型号/生产企业", map.get("催化转化器型号/生产企业"),
                "catalyticConverterModel"));
        list.add(new ToJsonDTO("催化转化器涂层/载体/封装生产企业", map.get("催化转化器涂层/载体/封装生产企业"),
                "catalyticConverterCoating"));
        list.add(new ToJsonDTO("颗粒捕集器（CGPF）型号/生产企业", map.get("颗粒捕集器（CGPF）型号/生产企业"),
                "particleTrapType"));
        list.add(new ToJsonDTO("颗粒捕集器涂层/载体/封装生产企业", map.get("颗粒捕集器涂层/载体/封装生产企业"),
                "particleTrapCoating"));
        list.add(new ToJsonDTO("炭罐型号/生产企业", map.get("炭罐型号/生产企业"), "canister"));
        list.add(new ToJsonDTO("氧传感器型号/生产企业", map.get("氧传感器型号/生产企业"),
                "oxygenSensor"));
        list.add(new ToJsonDTO("曲轴箱排放控制装置型号/生产企业", map.get("曲轴箱排放控制装置型号/生产企业"),
                "crankcaseEmissionControlDevice"));
        list.add(new ToJsonDTO("EGR型号/生产企业", map.get("EGR型号/生产企业"), "egr"));
        list.add(new ToJsonDTO("OBD系统供应商", map.get("OBD系统供应商"), "obd"));
        list.add(new ToJsonDTO("ECU型号/生产企业", map.get("ECU型号/生产企业"), "ecu"));
        list.add(new ToJsonDTO(DERAILLEUR, map.get(DERAILLEUR), "derailleur"));
        list.add(new ToJsonDTO("消声器型号/生产企业", map.get("消声器型号/生产企业"), "muffler"));
        list.add(new ToJsonDTO("增压器型号/生产企业", map.get("增压器型号/生产企业"), "supercharger"));
        list.add(new ToJsonDTO(INTERCOOLERTYPE, map.get(INTERCOOLERTYPE), "intercoolerType"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成json（环保随车清单\纯电动车型）
     *
     * @param map
     * @return
     */
    public String mapToJson18(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, map.get(INFORMATIONOPENNUMBER),
                "informationOpenNumber"));
        list.add(new ToJsonDTO("VIN", map.get("VIN"), "vin"));
        list.add(new ToJsonDTO("车辆类型", map.get("车辆类型"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO(RECOGNITIONMETHOD, map.get(RECOGNITIONMETHOD), "recognitionMethod"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论", map.get("出厂检验项目及结论"),
                "factoryInspectionInformation"));
        list.add(new ToJsonDTO("电动机型号/生产厂", map.get("电动机型号/生产厂"), "motorType"));
        list.add(new ToJsonDTO("整车控制器型号/版本号/生产厂", map.get("整车控制器型号/版本号/生产厂"),
                "vehicleController"));
        list.add(new ToJsonDTO("储能装置型号/生产厂", map.get("储能装置型号/生产厂"),
                "energyStorageDevice"));
        list.add(new ToJsonDTO("电池容量/续航里程", map.get("电池容量/续航里程"), "battery"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }


    /**
     * map转成json（环保随车清单\柴油国六车型内容页）
     *
     * @param map
     * @return
     */
    public String mapToJson19(List<ToJsonDTO> list, Map<String, String> map) {
        if (list.isEmpty()) {
            list.add(new ToJsonDTO(INFORMATIONOPENNUMBER, "", "informationOpenNumber"));
            list.add(new ToJsonDTO("VIN", "", "vin"));
        }
        StringBuilder str = new StringBuilder();
        str.append(map.get("声明1"));
        str.append(map.get("声明2"));
        str.append(map.get("声明3"));
        str.append(map.get("声明4"));
        str.append(map.get("声明5"));
        str.append(map.get("声明6"));
        list.add(new ToJsonDTO("声明", str.toString(), "statement"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO("商标", map.get("商标"), "trademark"));
        list.add(new ToJsonDTO("汽车分类", map.get("汽车分类"), "vehicleClassification"));
        list.add(new ToJsonDTO("排放阶段", map.get("排放阶段"), "emissionStage"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTURER, map.get(VEHICLEMANUFACTURER), "vehicleManufacturer"));
        list.add(new ToJsonDTO(FACTORYADDRESS, map.get(FACTORYADDRESS), "factoryAddress"));
        list.add(new ToJsonDTO("车辆铭牌位置", map.get("车辆铭牌位置"), "recognitionMethod"));
        list.add(new ToJsonDTO("OBD接口位置", map.get("OBD接口位置"), "OBDInterfaceLocation"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineNumber"));
        list.add(new ToJsonDTO("基准质量", map.get("基准质量"), "benchmarkQuality"));
//        list.add(new ToJsonDTO(TESTSTANDARD, map.get(TESTSTANDARD), "testStandard"));
//        list.add(new ToJsonDTO(TESTINGORGANIZATION, map.get(TESTINGORGANIZATION), "testingOrganization"));
//        list.add(new ToJsonDTO(TESTCONCLUSION, map.get(TESTCONCLUSION), "testConclusion"));
        testStandard(map, list);
        list.add(new ToJsonDTO("出厂检验项目及结论依据的标准", map.get("出厂检验项目依据的标准"),
                "factoryInspectionInformation"));
        list.add(new ToJsonDTO("出厂检验项目及结论检测结论", map.get("出厂检验项目检测结论"),
                "factoryInspectionInformationList"));
        list.add(new ToJsonDTO("燃料供给系统型式", map.get("燃料供给系统型式"), "fuelSupplySystemType"));
        list.add(new ToJsonDTO("发动机型号/生产企业", map.get("发动机型号/生产企业"), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("喷油泵型号/生产企业", map.get("喷油泵型号/生产企业"), "fuelInjectionPump"));
        list.add(new ToJsonDTO("喷油器型号/生产企业", map.get("喷油器型号/生产企业"), "injector"));
        list.add(new ToJsonDTO("增压器型号/生产企业", map.get("增压器型号/生产企业"), "supercharger"));
        list.add(new ToJsonDTO(INTERCOOLERTYPE, map.get(INTERCOOLERTYPE), "intercoolerType"));
        list.add(new ToJsonDTO("EGR型号/生产企业", map.get("EGR型号/生产企业"), "egr"));
        list.add(new ToJsonDTO("曲轴箱排放控制装置型式/生产企业", map.get("曲轴箱排放控制装置型式/生产企业"),
                "crankcaseEmissionControlDevice"));
        list.add(new ToJsonDTO("ECU型号/生产企业", map.get("ECU型号/生产企业"), "ecu"));
        list.add(new ToJsonDTO("OBD系统供应商", map.get("OBD系统供应商"), "obd"));
        list.add(new ToJsonDTO("催化转化器（DOC）型号/生产企业", map.get("催化转化器（DOC）型号/生产企业"),
                "catalystsTypeDOC"));
        list.add(new ToJsonDTO("催化转化器（DOC）封装/载体/涂层生产企业", map.get("DOC封装/载体/涂层生产企业"),
                "TcZtFzDoc"));
        list.add(new ToJsonDTO("催化转化器（SCR）型号/生产企业", map.get("催化转化器（SCR）型号/生产企业"),
                "catalystsTypeSCR"));
        list.add(new ToJsonDTO("催化转化器（SCR）封装/载体/涂层生产企业", map.get("SCR封装/载体/涂层生产企业"),
                "TcZtFzSCR"));
        list.add(new ToJsonDTO("氮氧化物存储催化还原催化转化器型号/生产企业", map.get("氮氧化物转化器型号/生产企业"),
                "nitrogenOxidesType"));
        list.add(new ToJsonDTO("氮氧化物存储催化还原催化转化器封装/载体/涂层生产企业", map.get("氮氧化物转化器封装/载体/涂层生产企业"),
                "TcZtFzNitrogenOxides"));
        list.add(new ToJsonDTO("催化转化器（ASC）型号/生产企业", map.get("催化转化器（ASC）型号/生产企业"),
                "catalystsTypeASC"));
        list.add(new ToJsonDTO("催化转化器（ASC）封装/载体/涂层生产企业", map.get("ASC封装/载体/涂层生产企业"),
                "TcZtFzASC"));
        list.add(new ToJsonDTO("颗粒捕集器（DPF）型号/生产企业", map.get("颗粒捕集器（DPF）型号/生产企业"),
                "klpjqDFF"));
        list.add(new ToJsonDTO("颗粒捕集器封装/载体/涂层生产企业", map.get("颗粒捕集器封装/载体/涂层生产企业"),
                "TcZtFzDFF"));
        list.add(new ToJsonDTO("消声器型号/生产企业", map.get("消声器型号/生产企业"), "muffler"));
        list.add(new ToJsonDTO(DERAILLEUR, map.get(DERAILLEUR), "derailleur"));
        list.add(new ToJsonDTO("法人代表", map.get("法人代表"), "legalRepresentative"));
        list.add(new ToJsonDTO("地址", map.get("地址"), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("联系电话", map.get("联系电话"), "contactTelephone"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * 型式检验信息
     */
    private void testStandard(Map<String, String> map, List<ToJsonDTO> list) {
        String str = "";
        List<String> testStandardList = new ArrayList<>();
        List<String> testingOrganizationList = new ArrayList<>();
        List<String> testConclusionList = new ArrayList<>();
        if (StringUtils.isNotEmpty(map.get(TESTSTANDARD))) {
            testStandardList = Arrays.asList(map.get(TESTSTANDARD).split(","));
            testingOrganizationList = Arrays.asList(map.get(TESTINGORGANIZATION).split(","));
            testConclusionList = Arrays.asList(map.get(TESTCONCLUSION).split(","));
        }
        for (int i = 0; i < testStandardList.size(); i++) {
            str += testStandardList.get(i) + " ";
            if (i < testingOrganizationList.size()) {
                str += testingOrganizationList.get(i) + " ";
            } else {
                str += "空" + " ";
            }
            if (i < testConclusionList.size()) {
                str += testConclusionList.get(i) + "；";
            } else {
                str += "空" + "；";
            }
        }
        list.add(new ToJsonDTO("型式检验信息", str, "testStandard"));
    }

    /**
     * map转成list（合格证\合格证）
     *
     * @param map
     * @return
     */
    public String mapToJson2(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO("合格证编号", map.get("合格证编号"), "certificateID"));
        list.add(new ToJsonDTO("发证日期", map.get("发证日期"), "dateOfIssue"));
        list.add(new ToJsonDTO("车辆制造企业名称", map.get("车辆制造企业名称"), "nameOfCompany"));
        list.add(new ToJsonDTO("车辆品牌", map.get("车辆品牌"), "vehicleBrands"));
        list.add(new ToJsonDTO("车辆名称", map.get("车辆名称"), "nameOfVehicle"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车身颜色", map.get("车身颜色"), "vehicleColor"));
        list.add(new ToJsonDTO("底盘型号", map.get("底盘型号"), "chassisModel"));
        list.add(new ToJsonDTO("底盘ID", map.get("底盘ID"), "chassisID"));
        list.add(new ToJsonDTO("底盘合格证编号", map.get("底盘合格证编号"), "chassisCertificateID"));
        list.add(new ToJsonDTO(ENGINEMODEL, map.get(ENGINEMODEL), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("发动机号", map.get("发动机号"), "engineID"));
        list.add(new ToJsonDTO("燃料种类", map.get("燃料种类"), "fuelType"));
        list.add(new ToJsonDTO("排量", map.get("排量"), "exhaustVolume"));
        list.add(new ToJsonDTO("功率", map.get("功率"), "power"));
        list.add(new ToJsonDTO("排放标准", map.get("排放标准"), "emissionStandards"));
        list.add(new ToJsonDTO("油耗", map.get("油耗"), "fuelConsumption"));
        list.add(new ToJsonDTO("外廓长", map.get("外廓长"), "lengthOfOutline"));
        list.add(new ToJsonDTO("外廓宽", map.get("外廓宽"), "widthOfOutline"));
        list.add(new ToJsonDTO("外廓高", map.get("外廓高"), "heightOfOutline"));
        list.add(new ToJsonDTO("货厢内部尺寸长", map.get("货厢内部尺寸长"), "lengthOfCargoInteriorSize"));
        list.add(new ToJsonDTO("货厢内部尺寸宽", map.get("货厢内部尺寸宽"), "widthOfCargoInteriorSize"));
        list.add(new ToJsonDTO("货厢内部尺寸高", map.get("货厢内部尺寸高"), "heightOfCargoInteriorSize"));
        list.add(new ToJsonDTO("钢板弹簧片数", map.get("钢板弹簧片数"), "numberOfLeafSprings"));
        list.add(new ToJsonDTO("轮胎数", map.get("轮胎数"), "tireNumber"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO("轮距前", map.get("轮距前"), "frontTireDistance"));
        list.add(new ToJsonDTO("轮距后", map.get("轮距后"), "rearTireDistance"));
        list.add(new ToJsonDTO("轴距", map.get("轴距"), "wheelbase"));
        list.add(new ToJsonDTO("轴荷", map.get("轴荷"), "axleLoad"));
        list.add(new ToJsonDTO("轴数", map.get("轴数"), "axisNumber"));
        list.add(new ToJsonDTO("转向形式", map.get("转向形式"), "steeringType"));
        list.add(new ToJsonDTO("总质量", map.get("总质量"), "totalWeight"));
        list.add(new ToJsonDTO("整备质量", map.get("整备质量"), "emptyCarWeight"));
        list.add(new ToJsonDTO("额定载质量", map.get("额定载质量"), "ratedTotalWeight"));
        list.add(new ToJsonDTO("载质量利用系数", map.get("载质量利用系数"),
                "coefficientOfMassUtilization"));
        list.add(new ToJsonDTO("准牵引总质量", map.get("准牵引总质量"), "quasiTractionTotalWeight"));
        list.add(new ToJsonDTO("半挂车鞍座最大允许总质量", map.get("半挂车鞍座最大允许总质量"),
                "maximumAutohrozedTotalMassOfSemiTrailerSaddle"));
        list.add(new ToJsonDTO("驾驶室准乘人数", map.get("驾驶室准乘人数"), "numberOfPassengersInTheCab"));
        list.add(new ToJsonDTO("额定载客", map.get("额定载客"), "ratedPassenger"));
        list.add(new ToJsonDTO("最高设计车速", map.get("最高设计车速"), "highestDesignSpeed"));
        String other = map.get("备注");
        if (StringUtils.isNotEmpty(other) && other.length()>4) {
            other = other.substring(3);
        }
        list.add(new ToJsonDTO("备注", other, "other"));
        list.add(new ToJsonDTO("产品检验信息", map.get("产品检验信息"), "checkInformation"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE,
                map.get(VEHICLEMANUFACTUREDATE), "vehicleManufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\M类国六）
     *
     * @param map
     * @return
     */
    public String mapToJson31(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("是否为新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get(LEGALSIGNSPOSITION), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        strs = splitValue(map.get("发动机编号、车型种类"), 2);
        list.add(new ToJsonDTO(ENGINENUMBER, strs.get(0), "engineCode"));
        list.add(new ToJsonDTO("车型种类", strs.get(1), "typeOfVehicle"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("ccc编号、版本号、签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸、接近、离去角"), 4);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("接近角/离去角（。）", strs.get(3), "approachAngleAndDepartureAngle"));
        strs = splitValue(map.get("整备质量、最大允许总质量"), 2);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(1), "maxGVW"));
        strs = splitValue(map.get("车门、轴荷分配"), 2);
        list.add(new ToJsonDTO("车门数量和结构", strs.get(0), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(1), "axleLoadDistribution"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("是否有防抱死系统", map.get("是否有防抱死系统"), "isHaveABS"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级ccc标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放ccc引用标准号、实施阶段"),
                "dischargeCCC"));
        strs = splitValue(map.get("CO、NOX、烟度、PN"), 4);
        list.add(new ToJsonDTO("汽油：CO（mg/km）", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("汽油：NOX（mg/km）", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("汽油：烟度", strs.get(2), "liquidSmoke"));
        list.add(new ToJsonDTO("汽油：PN（个/km）", strs.get(3), "liquidPN"));
        strs = splitValue(map.get("THC、NMHC、PM、N2O"), 4);
        list.add(new ToJsonDTO("汽油：THC（mg/km）", strs.get(0), "liquidTHC"));
        list.add(new ToJsonDTO("汽油：NMHC（mg/km）", strs.get(1), "liquidNMHC"));
        list.add(new ToJsonDTO("汽油：PM（mg/km）", strs.get(2), "liquidPM"));
        list.add(new ToJsonDTO("汽油：N2O（mg/km）", strs.get(3), "liquidN2O"));
        list.add(new ToJsonDTO("CO2排放量/燃料消耗量：CCC认证应用的标准号", map.get("co2ccc标准号"),
                "CO2Discharge"));
        strs = splitValue(map.get("co2排放量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("CO2排放量：市区（g/km）", strs.get(0), "CO2City"));
        list.add(new ToJsonDTO("CO2排放量：市郊（g/km）", strs.get(1), "CO2Suburbs"));
        list.add(new ToJsonDTO("CO2排放量：综合（g/km）", strs.get(2), "CO2Comprehensive"));
        strs = splitValue(map.get("燃料消耗量"), 3);
        list.add(new ToJsonDTO("燃料消耗量：市区（L/100km）", strs.get(0), "fuelCity"));
        list.add(new ToJsonDTO("燃料消耗量：市郊（L/100km）", strs.get(1), "fuelSuburbs"));
        list.add(new ToJsonDTO("燃料消耗量：综合（L/100km）", strs.get(2), "fuelComprehensive"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\M类国五）
     *
     * @param map
     * @return
     */
    public String mapToJson32(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("是否为新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get(LEGALSIGNSPOSITION), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        strs = splitValue(map.get("发动机编号、车型种类"), 2);
        list.add(new ToJsonDTO(ENGINENUMBER, strs.get(0), "engineCode"));
        list.add(new ToJsonDTO("车型种类", strs.get(1), "typeOfVehicle"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("ccc编号、版本号、签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸、接近、离去角"), 4);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("接近角/离去角（。）", strs.get(3), "approachAngleAndDepartureAngle"));
        strs = splitValue(map.get("整备质量、最大允许总质量"), 2);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(1), "maxGVW"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("车门、轴荷分配"), 2);
        list.add(new ToJsonDTO("车门数量和结构", strs.get(0), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(1), "axleLoadDistribution"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("是否有防抱死系统", map.get("是否有防抱死系统"), "isHaveABS"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级ccc标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放ccc引用标准号、实施阶段"),
                "dischargeCCC"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        strs = splitValue(map.get("液体CO、NOX、烟度"), 3);
        list.add(new ToJsonDTO("柴油：CO", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("柴油：NOX", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("柴油：烟度", strs.get(2), "liquidSmoke"));
        strs = splitValue(map.get("液体HC、HC+NOX、微颗粒物、PN"), 3);
        list.add(new ToJsonDTO("柴油：HC（THC国五）", strs.get(0), "liquidHC"));
        list.add(new ToJsonDTO("柴油：HC+NOX", strs.get(1), "liquidHCNOx"));
        list.add(new ToJsonDTO("柴油：微粒物/PN", strs.get(2), "liquidPN"));
        list.add(new ToJsonDTO("试验用气体燃料", map.get("试验用气体燃料"), "gasFuelForTest"));
        strs = splitValue(map.get("气体CO、NMHC、CH4"), 3);
        list.add(new ToJsonDTO("不适用：CO", strs.get(0), "gasCO"));
        list.add(new ToJsonDTO("不适用：NMHC", strs.get(1), "gasNMHC"));
        list.add(new ToJsonDTO("不适用：CH4", strs.get(2), "gasCH4"));
        strs = splitValue(map.get("气体NOX、THC、微颗粒物、PN"), 3);
        list.add(new ToJsonDTO("不适用：NOX", strs.get(0), "gasNOx"));
        list.add(new ToJsonDTO("不适用：THC", strs.get(1), "gasTHC"));
        list.add(new ToJsonDTO("不适用：微粒物/PN", strs.get(2), "gasPN"));
        list.add(new ToJsonDTO("CO2排放量/燃料消耗量：CCC认证应用的标准号", map.get("co2ccc标准号"),
                "CO2Discharge"));
        strs = splitValue(map.get("co2排放量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("CO2排放量：市区（g/km）", strs.get(0), "CO2City"));
        list.add(new ToJsonDTO("CO2排放量：市郊（g/km）", strs.get(1), "CO2Suburbs"));
        list.add(new ToJsonDTO("CO2排放量：综合（g/km）", strs.get(2), "CO2Comprehensive"));
        strs = splitValue(map.get("燃料消耗量"), 3);
        list.add(new ToJsonDTO("燃料消耗量：市区（L/100km）", strs.get(0), "fuelCity"));
        list.add(new ToJsonDTO("燃料消耗量：市郊（L/100km）", strs.get(1), "fuelSuburbs"));
        list.add(new ToJsonDTO("燃料消耗量：综合（L/100km）", strs.get(2), "fuelComprehensive"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\N类二类底盘）
     *
     * @param map
     * @return
     */
    public String mapToJson33(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO("基本车辆制造国", map.get("基本车辆制造国"), "baseVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("是否为新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get(LEGALSIGNSPOSITION), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineCode"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("车型种类", map.get("车型种类"), "typeOfVehicle"));
        list.add(new ToJsonDTO("本阶段车辆CCC证书编号（版本号）/签发日期", map.get("本阶段ccc编号、版本号、签发日期"),
                "nowCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸"), 3);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("货厢内部尺寸（mm）", map.get("货厢内部尺寸"), "cargoSize"));
        list.add(new ToJsonDTO("接近角/离去角（。）", map.get("接近、离去角"),
                "approachAngleAndDepartureAngle"));
        list.add(new ToJsonDTO("是否带防抱死系统", map.get("是否有防抱死系统"), "isHaveABS"));
        strs = splitValue(map.get("整备质量、载质量利用系数、最大允许总质量"), 3);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("载质量利用系数", strs.get(1), "carrierMassUtilizationCoefficient"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(2), "maxGVW"));
        list.add(new ToJsonDTO("额定载质量", map.get("额定载质量"), "ratedLoadQuality"));
        strs = splitValue(map.get("车门、轴荷分配"), 2);
        list.add(new ToJsonDTO("车门数量和结构", strs.get(0), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(1), "axleLoadDistribution"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO("钢板弹簧片数", map.get("钢板弹簧片数"), "springNumber"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级ccc标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放ccc引用标准号、实施阶段"),
                "dischargeCCC"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        strs = splitValue(map.get("液体CO、NOX、烟度"), 3);
        list.add(new ToJsonDTO("柴油：CO", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("柴油：NOX", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("柴油：烟度", strs.get(2), "liquidSmoke"));
        strs = splitValue(map.get("HC、HC+NOx、微粒物、PN"), 3);
        list.add(new ToJsonDTO("柴油：HC（THC国五）", strs.get(0), "liquidHC"));
        list.add(new ToJsonDTO("柴油：HC+NOX", strs.get(1), "liquidHCNOx"));
        list.add(new ToJsonDTO("柴油：微粒物/PN", strs.get(2), "liquidPN"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\N类国六）
     *
     * @param map
     * @return
     */
    public String mapToJson34(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("是否为新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get(LEGALSIGNSPOSITION), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineCode"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("车型种类", map.get("车型种类"), "typeOfVehicle"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("最终阶段ccc编号、版本号、签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸、货厢内部尺寸"), 4);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("货厢内部尺寸（mm）", strs.get(3), "cargoSize"));
        list.add(new ToJsonDTO("接近角/离去角（。）", map.get("接近、离去角"),
                "approachAngleAndDepartureAngle"));
        list.add(new ToJsonDTO("是否有防抱死系统", map.get("是否有防抱死系统"), "isHaveABS"));
        strs = splitValue(map.get("整备质量、载质量利用系数、最大允许总质量"), 3);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("载质量利用系数", strs.get(1), "carrierMassUtilizationCoefficient"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(2), "maxGVW"));
        list.add(new ToJsonDTO("额定载质量（kg）", map.get("额定载质量"), "ratedLoadQuality"));
        strs = splitValue(map.get("车门、轴荷分配"), 2);
        list.add(new ToJsonDTO("车门数量和结构", strs.get(0), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(1), "axleLoadDistribution"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO("钢板弹簧片数", map.get("钢板弹簧片数"), "springNumber"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级ccc标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放ccc引用标准号、实施阶段"),
                "dischargeCCC"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        strs = splitValue(map.get("液体CO、NOX、烟度、PM"), 4);
        list.add(new ToJsonDTO("汽油：CO（mg/km）", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("汽油：NOX（mg/km）", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("汽油：烟度", strs.get(2), "liquidSmoke"));
        list.add(new ToJsonDTO("汽油：PN（个/km）", strs.get(3), "liquidPN"));
        strs = splitValue(map.get("液体THC、NMHC、PM、N2O"), 4);
        list.add(new ToJsonDTO("汽油：THC（mg/km）", strs.get(0), "liquidTHC"));
        list.add(new ToJsonDTO("汽油：NMHC（mg/km）", strs.get(1), "liquidNMHC"));
        list.add(new ToJsonDTO("汽油：PM（mg/km）", strs.get(2), "liquidPM"));
        list.add(new ToJsonDTO("汽油：N2O（mg/km）", strs.get(3), "liquidN2O"));
        list.add(new ToJsonDTO("CO2排放量/燃料消耗量：CCC认证应用的标准号", map.get("co2ccc标准号"),
                "CO2Discharge"));
        strs = splitValue(map.get("co2排放量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("CO2排放量：市区（g/km）", strs.get(0), "CO2City"));
        list.add(new ToJsonDTO("CO2排放量：市郊（g/km）", strs.get(1), "CO2Suburbs"));
        list.add(new ToJsonDTO("CO2排放量：综合（g/km）", strs.get(2), "CO2Comprehensive"));
        strs = splitValue(map.get("燃料消耗量"), 3);
        list.add(new ToJsonDTO("燃料消耗量：市区（L/100km）", strs.get(0), "fuelCity"));
        list.add(new ToJsonDTO("燃料消耗量：市郊（L/100km）", strs.get(1), "fuelSuburbs"));
        list.add(new ToJsonDTO("燃料消耗量：综合（L/100km）", strs.get(2), "fuelComprehensive"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\N类国五）
     *
     * @param map
     * @return
     */
    public String mapToJson35(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("是否为新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get(LEGALSIGNSPOSITION), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineCode"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("车型种类", map.get("车型种类"), "typeOfVehicle"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("ccc编号、版本号、签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸"), 3);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("货箱内部尺寸（mm）", map.get("货厢内部尺寸"), "cargoSize"));
        list.add(new ToJsonDTO("接近角/离去角（。）", map.get("接近、离去角"),
                "approachAngleAndDepartureAngle"));
        list.add(new ToJsonDTO("是否有防抱死系统", map.get("是否有防抱死系统"), "isHaveABS"));
        strs = splitValue(map.get("整备质量、载质量利用系数、最大允许总质量"), 3);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("载质量利用系数", strs.get(1), "carrierMassUtilizationCoefficient"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(2), "maxGVW"));
        strs = splitValue(map.get("额定载质量、车门、轴荷分配"), 3);
        list.add(new ToJsonDTO("额定载质量", strs.get(0), "ratedLoadQuality"));
        list.add(new ToJsonDTO("车门数量和结构", strs.get(1), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(2), "axleLoadDistribution"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO("钢板弹簧片数", map.get("钢板弹簧片数"), "springNumber"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级ccc标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放ccc引用标准号、实施阶段"),
                "dischargeCCC"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        strs = splitValue(map.get("液体CO、NOX、烟度"), 3);
        list.add(new ToJsonDTO("柴油：CO", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("柴油：NOX", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("柴油：烟度", strs.get(2), "liquidSmoke"));
        strs = splitValue(map.get("液体HC、HC+NOx、微粒物、PN"), 3);
        list.add(new ToJsonDTO("柴油：HC（THC国五）", strs.get(0), "liquidHC"));
        list.add(new ToJsonDTO("柴油：HC+NOx", strs.get(1), "liquidHCNOx"));
        list.add(new ToJsonDTO("柴油：微粒物/PN", strs.get(2), "liquidPN"));
        list.add(new ToJsonDTO("试验用气体燃料", map.get("试验用气体燃料"), "gasFuelForTest"));
        strs = splitValue(map.get("气体CO、NMHC、CH4"), 3);
        list.add(new ToJsonDTO("不适用：CO", strs.get(0), "gasCO"));
        list.add(new ToJsonDTO("不适用：NMHC", strs.get(1), "gasNMHC"));
        list.add(new ToJsonDTO("不适用：CH4", strs.get(2), "gasCH4"));
        strs = splitValue(map.get("气体NOx、THC、微粒物、PN"), 3);
        list.add(new ToJsonDTO("不适用：NOx", strs.get(0), "gasNOx"));
        list.add(new ToJsonDTO("不适用：THC", strs.get(1), "gasTHC"));
        list.add(new ToJsonDTO("不适用：微粒物/PN", strs.get(2), "gasPN"));
        list.add(new ToJsonDTO("CO2排放量/燃料消耗量CCC认证引用标准号", map.get("CO2CCC标准号"),
                "CO2Discharge"));
        strs = splitValue(map.get("CO2排放量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("CO2排放量：市区(g/km)", strs.get(0), "CO2City"));
        list.add(new ToJsonDTO("CO2排放量：市郊(g/km)", strs.get(1), "CO2Suburbs"));
        list.add(new ToJsonDTO("CO2排放量：综合(g/km)", strs.get(2), "CO2Comprehensive"));
        strs = splitValue(map.get("燃料消耗量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("燃料消耗量：市区(L/100km)", strs.get(0), "fuelCity"));
        list.add(new ToJsonDTO("燃料消耗量：市郊(L/100km)", strs.get(1), "fuelSuburbs"));
        list.add(new ToJsonDTO("燃料消耗量：综合(L/100km)", strs.get(2), "fuelComprehensive"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\纯电动）
     *
     * @param map
     * @return
     */
    public String mapToJson36(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get("法定标牌位置"), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        strs = splitValue(map.get("电动机编号、车型种类"), 2);
        list.add(new ToJsonDTO("电动机编号", strs.get(0), "motorCode"));
        list.add(new ToJsonDTO("车型种类", strs.get(1), "typeOfVehicle"));
        list.add(new ToJsonDTO("电动机编号在电动机上的打刻位置", map.get("电动机编号的打刻位置"),
                "motorCodePosition"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("CCC证书编号/签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓、内部尺寸"), 4);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("货箱内部尺寸（mm）", strs.get(3), "cargoSize"));
        strs = splitValue(map.get("整备质量、最允许总质量"), 2);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(1), "maxGVW"));
        strs = splitValue(map.get("接近、离去角、车门、轴荷分配"), 3);
        list.add(new ToJsonDTO("接近角/离去角（。）", strs.get(0), "approachAngleAndDepartureAngle"));
        list.add(new ToJsonDTO("车门数量和结构", strs.get(1), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(2), "axleLoadDistribution"));
        strs = splitValue(map.get("电动机型号、工作电压"), 2);
        list.add(new ToJsonDTO("电动机型号", strs.get(0), "motorModel"));
        list.add(new ToJsonDTO("电动机工作电压（V）", strs.get(1), "workingVoltageOfMotor"));
        list.add(new ToJsonDTO("电动机生产厂名称", map.get("电动机生产厂名称"), "motorManufacturer"));
        list.add(new ToJsonDTO("最大输出功率（kW）", map.get("电动机最大输出功率"), "maxPower"));
        strs = splitValue(map.get("动力电池型号、系统额定容量"), 2);
        list.add(new ToJsonDTO("动力电池型号", strs.get(0), "powerBatteryModel"));
        list.add(new ToJsonDTO("动力电池系统额定容量(Ah)", strs.get(1), "systemRatedCapacity"));
        strs = splitValue(map.get("动力电池系统额定电压、生产厂"), 2);
        list.add(new ToJsonDTO("动力电池系统额定电压（V）", strs.get(0), "systemRatedPower"));
        list.add(new ToJsonDTO("动力电池生产厂名称", strs.get(1), "powerBatteryManufacturing"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("是否带防抱死系统", map.get("是否带防抱死系统"), "isHaveABS"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级CCC标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\混合动力国六）
     *
     * @param map
     * @return
     */
    public String mapToJson37(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get("法定标牌位置"), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineCode"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("车型种类", map.get("车型种类"), "typeOfVehicle"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("CCC证书编号/签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸、接近、离去角"), 4);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("接近角/离去角（。）", strs.get(3), "approachAngleAndDepartureAngle"));
        strs = splitValue(map.get("整备质量、最允许总质量"), 2);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(1), "maxGVW"));
        strs = splitValue(map.get("车门、轴荷分配"), 2);
        list.add(new ToJsonDTO("车门数量和结构", strs.get(0), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(1), "axleLoadDistribution"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValue(map.get("电动机型号、工作电压"), 2);
        list.add(new ToJsonDTO("电动机型号", strs.get(0), "motorModel"));
        list.add(new ToJsonDTO("电动机工作电压（V）", strs.get(1), "workingVoltageOfMotor"));
        list.add(new ToJsonDTO("电动机生产厂名称", map.get("电动机生产厂名称"), "motorManufacturer"));
        strs = splitValue(map.get("动力电池型号、额定容量"), 2);
        list.add(new ToJsonDTO("动力电池型号", strs.get(0), "powerBatteryModel"));
        list.add(new ToJsonDTO("动力电池系统额定容量(Ah)", strs.get(1), "systemRatedCapacity"));
        strs = splitValue(map.get("动力电池功率、额定电压、生产厂"), 3);
        list.add(new ToJsonDTO("最大输出功率（KW）", strs.get(0), "maxPower"));
        list.add(new ToJsonDTO("动力电池系统额定电压（V）", strs.get(1), "systemRatedPower"));
        list.add(new ToJsonDTO("动力电池生产厂名称", strs.get(2), "powerBatteryManufacturing"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        list.add(new ToJsonDTO("变速器（型式）", map.get("变速器型式"), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", map.get("最高设计车速"), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("是否带防抱死系统", map.get("是否带防抱死系统"), "isHaveABS"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级CCC标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放CCC引用标准号、实施阶段"),
                "dischargeCCC"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        strs = splitValue(map.get("CO、NOX、烟度、PN"), 4);
        list.add(new ToJsonDTO("汽油：CO（mg/km）", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("汽油：NOx（mg/km）", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("汽油：烟度", strs.get(2), "liquidSmoke"));
        list.add(new ToJsonDTO("汽油：PN（个/km）", strs.get(3), "liquidPN"));
        strs = splitValue(map.get("THC、NMHC、PM、N2O"), 4);
        list.add(new ToJsonDTO("汽油：THC（mg/km）", strs.get(0), "liquidTHC"));
        list.add(new ToJsonDTO("汽油：NMHC（mg/km）", strs.get(1), "liquidNMHC"));
        list.add(new ToJsonDTO("汽油：PM（mg/km）", strs.get(2), "liquidPM"));
        list.add(new ToJsonDTO("汽油：N2O（mg/km）", strs.get(3), "liquidN2O"));
        list.add(new ToJsonDTO("CO2排放量/燃料消耗量CCC认证引用标准号", map.get("CO2CCC标准号"),
                "CO2Discharge"));
        strs = splitValue(map.get("CO2排放量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("CO2排放量：市区(g/km)", strs.get(0), "CO2City"));
        list.add(new ToJsonDTO("CO2排放量：市郊(g/km)", strs.get(1), "CO2Suburbs"));
        list.add(new ToJsonDTO("CO2排放量：综合(g/km)", strs.get(2), "CO2Comprehensive"));
        strs = splitValue(map.get("燃料消耗量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("燃料消耗量：市区(L/100km)", strs.get(0), "fuelCity"));
        list.add(new ToJsonDTO("燃料消耗量：市郊(L/100km)", strs.get(1), "fuelSuburbs"));
        list.add(new ToJsonDTO("燃料消耗量：综合(L/100km)", strs.get(2), "fuelComprehensive"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（一致性证书\混合动力国五）
     *
     * @param map
     * @return
     */
    public String mapToJson38(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO(CERTIFICATECODE, map.get(CERTIFICATECODE), "certificateCode"));
        list.add(new ToJsonDTO(FINALSTAGEVEHICLEPRODUCERS, map.get(FINALSTAGEVEHICLEPRODUCERS),
                "finalStageVehicleProducers"));
        strs = splitValue(map.get("车辆生产企业名称、地址"), 2);
        list.add(new ToJsonDTO("车辆生产企业名称", strs.get(0), "carProduceEnterpriseName"));
        list.add(new ToJsonDTO("车辆生产企业地址", strs.get(1), "carProduceEnterpriseAddress"));
        list.add(new ToJsonDTO(MANUFACTURERADDRESS, map.get(MANUFACTURERADDRESS), MANUFACTURERADDRESSFIELD));
        list.add(new ToJsonDTO("新能源车", map.get("是否为新能源车"), "isNewEnergy"));
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, map.get(VEHICLEIDNUMBER), "carCode"));
        list.add(new ToJsonDTO(CARCODECARVINGPOSITION, map.get(CARCODECARVINGPOSITION),
                "carCodeCarvingPosition"));
        list.add(new ToJsonDTO(LEGALSIGNSPOSITION, map.get(LEGALSIGNSPOSITION), "legalSignsPosition"));
        strs = splitValue(map.get("车型名称、车辆注册类型、车辆品牌"), 3);
        list.add(new ToJsonDTO("车型名称", strs.get(0), "vehicleTypeName"));
        list.add(new ToJsonDTO("车辆注册类型", strs.get(1), "vehicleRegistrationType"));
        list.add(new ToJsonDTO("车辆品牌（中文/英文）", strs.get(2), "vehicleBrand"));
        strs = splitValue(map.get("车辆型号、车辆类别、车辆颜色"), 3);
        list.add(new ToJsonDTO("车辆型号", strs.get(0), VEHICLEMODELFIELD));
        list.add(new ToJsonDTO("车辆类别", strs.get(1), "carType"));
        list.add(new ToJsonDTO("车辆颜色", strs.get(2), "carColour"));
        list.add(new ToJsonDTO(ENGINENUMBER, map.get(ENGINENUMBER), "engineCode"));
        list.add(new ToJsonDTO("发动机编号在发动机上的打刻位置", map.get("发动机编号的打刻位置"),
                "engineCodePosition"));
        list.add(new ToJsonDTO("车型种类", map.get("车型种类"), "typeOfVehicle"));
        list.add(new ToJsonDTO("最终阶段车辆CCC证书编号（版本号）/签发日期", map.get("ccc编号、版本号、签发日期"),
                "finalStageCCC"));
        strs = splitValue(map.get("车轴数量、驱动轴位置、轮距、轴距"), 4);
        list.add(new ToJsonDTO("车轴数量", strs.get(0), "axleNumber"));
        list.add(new ToJsonDTO("驱动轴位置", strs.get(1), "driveShaftPosition"));
        list.add(new ToJsonDTO("轮距（mm）", strs.get(2), "tread"));
        list.add(new ToJsonDTO("轴距（mm）", strs.get(3), "wheelBase"));
        strs = splitValue(map.get("车轮数量、前后悬、外廓尺寸"), 3);
        list.add(new ToJsonDTO("车轮数量", strs.get(0), "wheelNumber"));
        list.add(new ToJsonDTO("前悬（mm）/后悬（mm）", strs.get(1), "frontAndRearSuspensions"));
        list.add(new ToJsonDTO("外廓尺寸（mm）", strs.get(2), "externalDimensions"));
        list.add(new ToJsonDTO("货箱内部尺寸（mm）", map.get("货厢内部尺寸"), "cargoSize"));
        list.add(new ToJsonDTO("接近角/离去角（。）", map.get("接近、离去角"),
                "approachAngleAndDepartureAngle"));
        strs = splitValue(map.get("整备质量、最允许总质量"), 2);
        list.add(new ToJsonDTO("整备质量（kg）", strs.get(0), "curbWeight"));
        list.add(new ToJsonDTO("最大允许总质量（kg）", strs.get(1), "maxGVW"));
        strs = splitValue(map.get("车门、轴荷分配"), 2);
        list.add(new ToJsonDTO("车门数量和结构", strs.get(0), "carDoorNumAndStructure"));
        list.add(new ToJsonDTO("最大允许总质量对应的轴荷分配", strs.get(1), "axleLoadDistribution"));
        strs = splitValue(map.get("发动机型号、燃料种类、气缸数量和排列"), 2);
        list.add(new ToJsonDTO("发动机型号/燃料种类", strs.get(0), ENGINEMODELFIELD));
        list.add(new ToJsonDTO("气缸数量和排列", strs.get(1), "cylinderNumber"));
        strs = splitValue(map.get("喷射、排量"), 2);
        list.add(new ToJsonDTO("直接喷射", strs.get(0), "isDirectInjection"));
        list.add(new ToJsonDTO("排量（ml）/最大净功率（kW）", strs.get(1), "displacement"));
        strs = splitValue(map.get("电动机型号、工作电压"), 2);
        list.add(new ToJsonDTO("电动机型号", strs.get(0), "motorModel"));
        list.add(new ToJsonDTO("电动机工作电压", strs.get(1), "workingVoltageOfMotor"));
        list.add(new ToJsonDTO("电动机生产厂名称", map.get("电动机生产厂名称"), "motorManufacturer"));
        list.add(new ToJsonDTO("最大输出功率（KW）", map.get("最大输出功率"), "maxPower"));
        strs = splitValue(map.get("动力电池型号、额定容量"), 2);
        list.add(new ToJsonDTO("动力电池型号", strs.get(0), "powerBatteryModel"));
        list.add(new ToJsonDTO("动力电池系统额定容量(Ah)", strs.get(1), "systemRatedCapacity"));
        strs = splitValue(map.get("额定电压、生产厂"), 2);
        list.add(new ToJsonDTO("动力电池系统额定电压（V）", strs.get(0), "systemRatedPower"));
        list.add(new ToJsonDTO("动力电池生产厂名称", strs.get(1), "powerBatteryManufacturing"));
        strs = splitValueClutchModel(map.get("离合器型式、转向型式"));
        list.add(new ToJsonDTO("离合器（型式）", strs.get(0), "clutchModel"));
        list.add(new ToJsonDTO("转向型式", strs.get(1), "steeringModel"));
        strs = splitValue(map.get("变速器型式、最高设计车速"), 2);
        list.add(new ToJsonDTO("变速器（型式）", strs.get(0), "transmissionModel"));
        list.add(new ToJsonDTO("最高设计车速（km/h）", strs.get(1), "maxSpeed"));
        list.add(new ToJsonDTO("轮胎规格", map.get("轮胎规格"), "tireSpecification"));
        list.add(new ToJsonDTO(DESCRIPTIONOFBRAKEDEVICE, map.get(DESCRIPTIONOFBRAKEDEVICE),
                "descriptionOfBrakeDevice"));
        list.add(new ToJsonDTO("是否带防抱死系统", map.get("是否带防抱死系统"), "isHaveABS"));
        list.add(new ToJsonDTO(RATEDNUMBEROFPASSENGERS, map.get(RATEDNUMBEROFPASSENGERS),
                "ratedNumberOfPassengers"));
        list.add(new ToJsonDTO("速比", map.get("速比").replace(",", ""), "speedRatio"));
        list.add(new ToJsonDTO("主传动比", map.get("主传动比"), "mainTransmissionRatio"));
        list.add(new ToJsonDTO(VEHICLEMANUFACTUREDATE, map.get(VEHICLEMANUFACTUREDATE),
                "carManufactureTime"));
        list.add(new ToJsonDTO("声级：CCC认证应用的标准号及对应的实施阶段", map.get("声级CCC标准号、实施阶段"),
                "soundLevelCCC"));
        list.add(new ToJsonDTO("定置噪声（dB（A））/对应的发动机转速（r/min）", map.get("声级定置噪声、发动机转速"),
                "soundLevelNoiseEngineSpeed"));
        list.add(new ToJsonDTO("加速行驶车外噪声（dB（A））", map.get("声级加速行驶车外噪声"),
                "speedingUpOffVehicleNoise"));
        list.add(new ToJsonDTO("排气排放物：CCC认证应用的标准号及对应的实施阶段", map.get("排放CCC引用标准号、实施阶段"),
                "dischargeCCC"));
        list.add(new ToJsonDTO("试验用液体燃料", map.get("试验用液体燃料"), "liquidFuelForTest"));
        strs = splitValue(map.get("液体CO、NOX、烟度"), 3);
        list.add(new ToJsonDTO("汽油：CO", strs.get(0), "liquidCO"));
        list.add(new ToJsonDTO("汽油：NOx", strs.get(1), "liquidNOx"));
        list.add(new ToJsonDTO("汽油：烟度", strs.get(2), "liquidSmoke"));
        strs = splitValue(map.get("液体HC、HC+NOx、微粒物、PN"), 3);
        list.add(new ToJsonDTO("汽油：HC(THC国五)", strs.get(0), "liquidHC"));
        list.add(new ToJsonDTO("汽油：HC+NOx", strs.get(1), "liquidHCNOx"));
        list.add(new ToJsonDTO("汽油：微粒物/PN", strs.get(2), "liquidPN"));
        list.add(new ToJsonDTO("试验用气体燃料", map.get("试验用气体燃料"), "gasFuelForTest"));
        strs = splitValue(map.get("气体CO、NMHC、CH4"), 3);
        list.add(new ToJsonDTO("不适用：CO", strs.get(0), "gasCO"));
        list.add(new ToJsonDTO("不适用：NMHC", strs.get(1), "gasNMHC"));
        list.add(new ToJsonDTO("不适用：CH4", strs.get(2), "gasCH4"));
        strs = splitValue(map.get("气体NOx、THC、微粒物、PN"), 3);
        list.add(new ToJsonDTO("不适用：NOx", strs.get(0), "gasNOx"));
        list.add(new ToJsonDTO("不适用：THC", strs.get(1), "gasTHC"));
        list.add(new ToJsonDTO("不适用：微粒物/PN", strs.get(2), "gasPN"));
        list.add(new ToJsonDTO("CO2排放量/燃料消耗量CCC认证引用标准号", map.get("CO2CCC标准号"),
                "CO2Discharge"));
        strs = splitValue(map.get("CO2排放量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("CO2排放量：市区(g/km)", strs.get(0), "CO2City"));
        list.add(new ToJsonDTO("CO2排放量：市郊(g/km)", strs.get(1), "CO2Suburbs"));
        list.add(new ToJsonDTO("CO2排放量：综合(g/km)", strs.get(2), "CO2Comprehensive"));
        strs = splitValue(map.get("燃料消耗量市区、市郊、综合"), 3);
        list.add(new ToJsonDTO("燃料消耗量：市区(L/100km)", strs.get(0), "fuelCity"));
        list.add(new ToJsonDTO("燃料消耗量：市郊(L/100km)", strs.get(1), "fuelSuburbs"));
        list.add(new ToJsonDTO("燃料消耗量：综合(L/100km)", strs.get(2), "fuelComprehensive"));
        list.add(new ToJsonDTO("备注", map.get("备注"), "remarks"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（能源消耗量标识\能源消耗量标识）
     *
     * @param map
     * @return
     */
    public String mapToJson4(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        list.add(new ToJsonDTO("生产企业", map.get("生产企业"), "manufacturingEnterprise"));
        list.add(new ToJsonDTO("车辆型号", map.get("车辆型号"), "vehicleType"));
        list.add(new ToJsonDTO(ENGINEMODEL, map.get(ENGINEMODEL), "engineType"));
        list.add(new ToJsonDTO("变速器类型", map.get("变速器类型"), "transmissionType"));
        list.add(new ToJsonDTO("能源种类", map.get("能源种类"), "energyTypes"));
        list.add(new ToJsonDTO("整车整备质量", map.get("整车整备质量"), "wholevehicleQuality"));
        list.add(new ToJsonDTO("排量", map.get("排量"), "displacement"));
        list.add(new ToJsonDTO("最大设计总质量", map.get("最大设计总质量"), "carTotalWeight"));
        list.add(new ToJsonDTO("最大净功率", map.get("最大净功率").replace(",", ""), "maximumNetPower"));
        list.add(new ToJsonDTO("驱动形式", map.get("驱动形式"), "drivingForm"));
        list.add(new ToJsonDTO("市郊工况", map.get("市郊工况").replace(",", ""),
                "suburbanWorkingCondition"));
        list.add(new ToJsonDTO("市区工况", map.get("市区工况").replace(",", ""),
                "urbanConditions"));
        list.add(new ToJsonDTO("综合工况", map.get("综合工况").replace(",", ""),
                "comprehensiveWorkingCondition"));
        list.add(new ToJsonDTO("综合工况值", map.get("综合工况值").replace(",", ""),
                "comprehensiveWorkingConditionValue"));
//        list.add(new ToJsonDTO("领跑值", map.get("领跑值").replace(",", ""), "leaderValue"));
//        list.add(new ToJsonDTO("限值", map.get("限值").replace(",", ""), "limitValue"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（铭牌\长城牌N类车型）
     *
     * @param map
     * @return
     */
    public String mapToJson51(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("车辆识别代号") + 7;
        int j = str.indexOf("整车型号");
        list.add(new ToJsonDTO(VEHICLEIDNUMBER,  this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("发动机型号");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("发动机型号") + 7;
        j = str.indexOf("发动机最大净功率");
        list.add(new ToJsonDTO(ENGINEMODEL,  this.subString(i,j,str), ENGINEMODELFIELD));
        i = str.indexOf("发动机最大净功率") + 9;
        j = str.indexOf("品牌");
        list.add(new ToJsonDTO("发动机最大净功率",  this.subString(i,j,str), "maximumNetPower"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("发动机排量");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("发动机排量") + 6;
        j = str.indexOf("整车整备质量");
        list.add(new ToJsonDTO("发动机排量",  this.subString(i,j,str), "engineDisplacement"));
        i = str.indexOf("整车整备质量") + 7;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO("整车整备质量",  this.subString(i,j,str), "readinessQuality"));
        i = str.indexOf("制造年月") + 6;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（铭牌\哈弗牌常规车型）
     *
     * @param map
     * @return
     */
    public String mapToJson52(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("车辆识别代号") + 7;
        int j = str.indexOf("整车型号");
        list.add(new ToJsonDTO(VEHICLEIDNUMBER, this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("发动机型号");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("发动机型号") + 6;
        j = str.indexOf("发动机最大净功率");
        list.add(new ToJsonDTO(ENGINEMODEL,  this.subString(i,j,str), ENGINEMODELFIELD));
        i = str.indexOf("发动机最大净功率") + 9;
        j = str.indexOf("品牌");
        list.add(new ToJsonDTO("发动机最大净功率",  this.subString(i,j,str), "maximumNetPower"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("乘坐人数");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("乘坐人数") + 5;
        j = str.indexOf("发动机排量");
        list.add(new ToJsonDTO("乘坐人数",  this.subString(i,j,str), "passengers"));
        i = str.indexOf("发动机排量") + 6;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO("发动机排量",  this.subString(i,j,str), "engineDisplacement"));
        i = str.indexOf("制造年月") + 5;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    private String subString (int i,int j,String str){
        if (i>j) {
            return "";
        } else {
            return str.substring(i,j);
        }
    }
    /**
     * map转成list（铭牌\魏派混合动力）
     *
     * @param map
     * @return
     */
    public String mapToJson53(Map<String, String> map) {

        List<String> strs;
        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("VIN") + 4;
        int j = str.indexOf("品牌");
        list.add(new ToJsonDTO("VIN",  this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("整车型号");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("驱动电机型号");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("驱动电机型号") + 7;
        j = str.indexOf("发动机型号");
        list.add(new ToJsonDTO("驱动电机型号",  this.subString(i,j,str), "drivingMotorType"));
        i = str.indexOf("发动机型号") + 6;
        j = str.indexOf("驱动电机峰值功率");
        list.add(new ToJsonDTO(ENGINEMODEL,  this.subString(i,j,str), ENGINEMODELFIELD));
        i = str.indexOf("驱动电机峰值功率") + 9;
        j = str.indexOf("发动机排量");
        list.add(new ToJsonDTO("驱动电机峰值功率",  this.subString(i,j,str), "peakPower"));
        i = str.indexOf("发动机排量") + 6;
        j = str.indexOf("动力电池系统额定电压");
        list.add(new ToJsonDTO("发动机排量",  this.subString(i,j,str), "engineDisplacement"));
        i = str.indexOf("动力电池系统额定电压") + 11;
        j = str.indexOf("发动机最大净功率");
        list.add(new ToJsonDTO("动力电池系统额定电压",  this.subString(i,j,str), "ratedVoltage"));
        i = str.indexOf("发动机最大净功率") + 9;
        j = str.indexOf("动力电池系统额定容量");
        list.add(new ToJsonDTO("发动机最大净功率",  this.subString(i,j,str), "maximumNetPower"));
        i = str.indexOf("动力电池系统额定容量") + 11;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("动力电池系统额定容量",  this.subString(i,j,str), "ratedCapacity"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("乘坐人数");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("乘坐人数") + 5;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO("乘坐人数",  this.subString(i,j,str), "passengers"));
        i = str.indexOf("制造年月") + 5;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（铭牌\欧拉）
     *
     * @param map
     * @return
     */
    public String mapToJson54(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("车辆识别代号") + 7;
        int j = str.indexOf("整车型号");
        list.add(new ToJsonDTO(VEHICLEIDNUMBER,  this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("驱动电机峰值功率");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("驱动电机峰值功率") + 9;
        j = str.indexOf("驱动电机型号");
        list.add(new ToJsonDTO("驱动电机峰值功率",  this.subString(i,j,str), "peakPower"));
        i = str.indexOf("驱动电机型号") + 7;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("驱动电机型号",  this.subString(i,j,str), "drivingMotorType"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("品牌");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("动力电池系统额定电压");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("动力电池系统额定电压") + 11;
        j = str.indexOf("乘坐人数");
        list.add(new ToJsonDTO("动力电池系统额定电压",  this.subString(i,j,str), "ratedVoltage"));
        i = str.indexOf("乘坐人数") + 5;
        j = str.indexOf("动力电池系统额定容量");
        list.add(new ToJsonDTO("乘坐人数",  this.subString(i,j,str), "passengers"));
        i = str.indexOf("动力电池系统额定容量") + 11;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO("动力电池系统额定容量",  this.subString(i,j,str), "ratedCapacity"));
        i = str.indexOf("制造年月") + 5;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（铭牌\魏派常规车型）
     *
     * @param map
     * @return
     */
    public String mapToJson55(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("车辆识别代号") + 7;
        int j = str.indexOf("发动机型号");
        list.add(new ToJsonDTO(VEHICLEIDNUMBER,  this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("发动机型号") + 6;
        j = str.indexOf("整车型号");
        list.add(new ToJsonDTO(ENGINEMODEL,  this.subString(i,j,str), ENGINEMODELFIELD));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("发动机最大净功率");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("发动机最大净功率") + 9;
        j = str.indexOf("品牌");
        list.add(new ToJsonDTO("发动机最大净功率",  this.subString(i,j,str), "maximumNetPower"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("发动机排量");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("发动机排量") + 6;
        j = str.indexOf("乘坐人数");
        list.add(new ToJsonDTO("发动机排量",  this.subString(i,j,str), "engineDisplacement"));
        i = str.indexOf("乘坐人数") + 5;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("乘坐人数",  this.subString(i,j,str), "passengers"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("制造年月") + 5;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * map转成list（铭牌\长城牌纯电动车型）
     *
     * @param map
     * @return
     */
    public String mapToJson56(Map<String, String> map) {

        List<ToJsonDTO> list = new ArrayList<>();
        String str = map.get("result");
        int i = str.indexOf("车辆识别代号") + 7;
        int j = str.indexOf("整车型号");
        list.add(new ToJsonDTO(VEHICLEIDNUMBER,  this.subString(i,j,str), "vehicleIdentificationCode"));
        i = str.indexOf("整车型号") + 5;
        j = str.indexOf("驱动电机峰值功率");
        list.add(new ToJsonDTO("整车型号",  this.subString(i,j,str), VEHICLEMODELFIELD));
        i = str.indexOf("驱动电机峰值功率") + 9;
        j = str.indexOf("驱动电机型号");
        list.add(new ToJsonDTO("驱动电机峰值功率",  this.subString(i,j,str), "peakPower"));
        i = str.indexOf("驱动电机型号") + 7;
        j = str.indexOf("整车整备质量");
        list.add(new ToJsonDTO("驱动电机型号",  this.subString(i,j,str), "drivingMotorType"));
        i = str.indexOf("整车整备质量") + 7;
        j = str.indexOf("动力电池系统额定电压");
        list.add(new ToJsonDTO("整车整备质量",  this.subString(i,j,str), "readinessQuality"));
        i = str.indexOf("动力电池系统额定电压") + 11;
        j = str.indexOf("品牌");
        list.add(new ToJsonDTO("动力电池系统额定电压",  this.subString(i,j,str), "ratedVoltage"));
        i = str.indexOf("品牌") + 3;
        j = str.indexOf("动力电池系统额定容量");
        list.add(new ToJsonDTO("品牌",  this.subString(i,j,str), "brand"));
        i = str.indexOf("动力电池系统额定容量") + 11;
        j = str.indexOf("最大允许总质量");
        list.add(new ToJsonDTO("动力电池系统额定容量",  this.subString(i,j,str), "ratedCapacity"));
        i = str.indexOf("最大允许总质量") + 8;
        j = str.indexOf("制造年月");
        list.add(new ToJsonDTO(PERMISSIBLETOTALMASS,  this.subString(i,j,str), "permissibleTotalMass"));
        i = str.indexOf("制造年月") + 5;
        list.add(new ToJsonDTO("制造年月", this.subString(i,str.length(),str), "manufactureDate"));
        JSONArray jsonarray = JSONArray.fromObject(list);
        return jsonarray.toString();
    }

    /**
     * ","拆分字符串
     *
     * @param str
     * @return
     */
    public List<String> splitValue(String str, int i) {
        List<String> list = new ArrayList<>();
        if (StringUtils.isNotEmpty(str)) {
            list = Arrays.asList(str.split(","));
        }
        if (list.size() != i) {
            list = new ArrayList<>();
            for (int k = 0; k < i; k++) {
                list.add("");
            }
        }
        return list;
    }

    /**
     * ","拆分字符串
     *
     * @param str
     * @return
     */
    public List<String> splitValueClutchModel(String str) {
        List<String> list = new ArrayList<>();
        int i = str.lastIndexOf(',');
        list.add(str.substring(0, i));
        list.add(str.substring(i + 1));
        return list;
    }

    /**
     * ":"拆分字符串(铭牌)
     *
     * @param str
     * @return
     */
    public List<String> splitValueNameplate(String str) {
        List<String> list = new ArrayList<>();
        if (StringUtils.isNotEmpty(str)) {
            list = Arrays.asList(str.split(":"));
        }
        return list;
    }

}
