package com.adc.da.system.service.impl;


import com.adc.da.dto.reqDTO.CertificationDTO;
import com.adc.da.dto.reqDTO.CheckRealVehicleVerificationDto;
import com.adc.da.dto.reqDTO.FinalVerificationDto;
import com.adc.da.dto.reqDTO.RVVObdDTO;
import com.adc.da.dto.reqDTO.RegulationsDTO;
import com.adc.da.dto.reqDTO.ScanCodeDTO;
import com.adc.da.dto.resDTO.CheckRealVehicleVerificationDTO;
import com.adc.da.sys.entity.UserEO;
import com.adc.da.system.dao.CheckObdMapper;
import com.adc.da.system.dao.CheckRealVehicleVerificationDao;
import com.adc.da.system.entity.CheckModelSeriesList;
import com.adc.da.system.entity.CheckRealVehicleVerAndMoedelSeriesList;
import com.adc.da.system.entity.CheckRealVehicleVerification;
import com.adc.da.system.entity.CheckVehicleCheckMenu;
import com.adc.da.system.entity.DataDetail;
import com.adc.da.system.service.ICheckModelSeriesListService;
import com.adc.da.system.service.ICheckObdDetailService;
import com.adc.da.system.service.ICheckObdService;
import com.adc.da.system.service.ICheckRealVehicleVerificationService;
import com.adc.da.system.service.ICheckVehicleCheckMenuService;
import com.adc.da.util.UUIDUtils;
import com.adc.da.util.utils.UserUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.Date;
import java.util.HashMap;
import java.util.HashSet;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.stream.Collectors;

@Service
public class CheckRealVehicleVerificationImpl
        extends ServiceImpl<CheckRealVehicleVerificationDao, CheckRealVehicleVerification>
        implements ICheckRealVehicleVerificationService {

    private static final Logger logger =
            LoggerFactory.getLogger(com.adc.da.system.service.impl.CheckRealVehicleVerificationImpl.class);

    /**
     * checkRealVehicleVerificationDao
     */
    @Autowired
    private CheckRealVehicleVerificationDao checkRealVehicleVerificationDao;

    @Autowired
    private HttpServletRequest request;

    /**
     * checkEnterpriseDataDetailsDao
     */


    @Autowired
    private ICheckObdService iCheckObdService;
    /**
     * envDataDao
     */

    /**
     * checkVehicleCheckMenuService
     */
    @Autowired
    private ICheckVehicleCheckMenuService checkVehicleCheckMenuService;

    /**
     * checkModelSeriesListService
     */
    @Autowired
    private ICheckModelSeriesListService checkModelSeriesListService;

    @Autowired
    private CheckObdMapper checkObdMapper;



    @Autowired
    private ICheckObdDetailService iCheckObdDetailService;

    @Autowired
    private ICheckRealVehicleVerificationService iCheckRealVehicleVerificationService;



    /**
     * VEHICLE_SERIES_ID
     */
    private String vehicleSeriesId = "VEHICLE_SERIES_ID";

    /**
     * PARAMETER_CHECK_STATE
     */
    private String parameterCheckStates = "PARAMETER_CHECK_STATE";

    @Override
    public Boolean saveInfo(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto) {
        List<CheckRealVehicleVerification> verificationsList = new ArrayList<>();
        List<String> vehicleTypeList = new ArrayList<>();
        List<String> vehicleList = new ArrayList<>();

        List<String> versionCode =
                Arrays.asList(checkModelSeriesListService.getById(checkRealVehicleVerificationDto.getVehicleSeriesId()).getVersionCode().split(","));
        List<String> vehicleTypeGroupList = Arrays.asList(checkRealVehicleVerificationDto.getVehicleType().split("、"));
        String[] vehicleTypeArr = checkRealVehicleVerificationDto.getVehicleType().split("、");
        for (String vehicleType : vehicleTypeArr) {
            vehicleTypeList.add(vehicleType.split("\\(")[0]);
            vehicleList.add(vehicleType.split("\\(")[1].replace("批)",""));
        }
        List<String> ids = new ArrayList<>();
        for (int i = 0; i <vehicleTypeList.size() ; i++) {
            String id = checkObdMapper.getClcpZkId(vehicleTypeList.get(i),vehicleList.get(i));
            ids.add(id);
        }
        List<DataDetail> itemVlaueList = new ArrayList<>();
            for (int i = 0; i < ids.size(); i++) {
                if(ids.get(i) != null) {
                    DataDetail itemVlaue = checkObdMapper.getdataZrin(ids.get(i), checkRealVehicleVerificationDto.getParameterName());
                    itemVlaueList.add(itemVlaue);
                }
            }

        for (int i = 0; i < itemVlaueList.size(); i++) {
            CheckRealVehicleVerification data = new CheckRealVehicleVerification();
            data.setId(UUIDUtils.getUUID() + "_1");
            /**
             * 出现重复的零几案名称，在其后面追加序号
             */
            data.setParameterName(checkRealVehicleVerificationDto.getParameterName());
            if (itemVlaueList.get(i) != null) {
                data.setVehicleType(itemVlaueList.get(i).getCpxh());
                data.setParamConfig(itemVlaueList.get(i).getItemVlaue());
            }
            if (data.getParamConfig() != null && !data.getParamConfig().isEmpty()) {
                if (data.getParamConfig().startsWith("/")) {
                    data.setParamConfig(data.getParamConfig().substring(1));
                }
                if (data.getParamConfig().endsWith("/")) {
                    data.setParamConfig(data.getParamConfig().substring(0, data.getParamConfig().length() - 1));
                }
            }
            data.setVehicleSeriesId(checkRealVehicleVerificationDto.getVehicleSeriesId());
            data.setHandleType("0");
            data.setType("0");
            if (data.getParamConfig() != null && !data.getParamConfig().isEmpty()) {
//                if (cdvList.size() > 1) {
//                    data.setParameterName(checkRealVehicleVerificationDto.getParameterName() + " " + ( verificationsList.size() + 1));
//                }
                verificationsList.add(data);
            }
        }

        /**
         * 公告
         */
        if (checkRealVehicleVerificationDto.getParameterType().equals("1")) {
//            cdv(checkRealVehicleVerificationDto, vehicleTypeGroupList, verificationsList, versionCode);
        }
        /**
         * 根据参数名称和车辆型号获取环保参数配置项
         */
        if (checkRealVehicleVerificationDto.getParameterType().equals("2")) {
//            env(checkRealVehicleVerificationDto, vehicleTypeGroupList, verificationsList, versionCode, vehicleTypeList);
        }
        /**
         * 根据参数名称获取CCCList
         */
        if (checkRealVehicleVerificationDto.getParameterType().equals("3")
                || checkRealVehicleVerificationDto.getParameterType().equals("4")
                || checkRealVehicleVerificationDto.getParameterType().equals("5")) {
            ccc(checkRealVehicleVerificationDto, vehicleTypeGroupList, verificationsList, versionCode, vehicleTypeList);
        }
        /**
         * 如果返回list为空，表示没有匹配项
         */
        if (verificationsList.isEmpty()) {
            return false;
        }
        /**
         * 插入数据
         */
        for (CheckRealVehicleVerification checkRealVehicleVerification:verificationsList) {
            if (this.count(new QueryWrapper<CheckRealVehicleVerification>().eq("VEHICLE_SERIES_ID",
                    checkRealVehicleVerification.getVehicleSeriesId()).eq("PARAMETER_NAME",
                    checkRealVehicleVerification.getParameterName()).isNull("CHECK_TYPE")) == 0){
                this.save(checkRealVehicleVerification);
            }
        }
//         if (this.saveBatch(verificationsList)) {
//            return true;
//        }
        return true;
    }

    private String getBb(String str) {
        String[] left_K = str.split("\\(");
        String bb = left_K[0];
        for (int j = 1; j < left_K.length; j++) {
            String[] right_K = left_K[j].split("\\)");
            bb += "(" + right_K[0].replace(",", "**") + ")";
            if (right_K.length >= 2) {
                bb += right_K[1];
            }
        }
        return bb;
    }

    /**
     * 公告
     *
     * @param checkRealVehicleVerificationDto
     * @param vehicleTypeGroupList
     * @param verificationsList
     * @return
     */
//    private List<CheckRealVehicleVerification> cdv(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//                                                   List<String> vehicleTypeGroupList,
//                                                   List<CheckRealVehicleVerification> verificationsList,
//                                                   List<String> versionCode) {
//        List<String> parameterNameList = Arrays.asList(checkRealVehicleVerificationDto.getParameterName().split("/"));
//        /**
//         * 根据参数名称和车辆型号获取公告参数配置项
//         */
//        List<CheckEnterpriseDataDetails> cdvList = new ArrayList<>();
//        List<CheckEnterpriseDataDetails> list = new ArrayList<>();
//        if (parameterNameList.size() > 1) {
//            this.cdv2(vehicleTypeGroupList, parameterNameList, versionCode, checkRealVehicleVerificationDto, list);
//
//        } else {
//            for (int i = 0; i < vehicleTypeGroupList.size(); i++) {
//                CheckEnterpriseDataDetails data = checkEnterpriseDataDetailsDao.queryCheckModelSeriesListByCheck(
//                        checkRealVehicleVerificationDto.getParameterName(),
//                        vehicleTypeGroupList.get(i),
//                        versionCode.get(i),
//                        checkRealVehicleVerificationDto.getBase()
//                );
//                this.cdv6(data, list);
//            }
//        }
//        this.cdv5(list, cdvList);
//        for (CheckEnterpriseDataDetails data : cdvList) {
//            if (data.getVtAndEnt() != null)
//                data.setVtAndEnt(data.getVtAndEnt().replace("**", "，"));
//        }
//        return cdv1(cdvList, checkRealVehicleVerificationDto, verificationsList);
//    }

//    private void cdv6(CheckEnterpriseDataDetails data, List<CheckEnterpriseDataDetails> list) {
//        if (data != null) {
//            if (data.getVtAndEnt() != null) {
//                data.setVtAndEnt(data.getVtAndEnt().replace("，", ",").replace(";", ",").replace("；", ","));
//                if (data.getVtAndEnt().contains("(") && data.getVtAndEnt().contains(")") && data.getVtAndEnt().contains(",")) {
//                    data.setVtAndEnt(getBb(data.getVtAndEnt()));
//                }
//                List<String> param = Arrays.asList(data.getVtAndEnt().split(","));
//                for (int j = 0; j < param.size(); j++) {
//                    CheckEnterpriseDataDetails data1 = new CheckEnterpriseDataDetails();
//                    data1.setVtAndEnt(param.get(j));
//                    data1.setVehicleType(data.getVehicleType());
//                    list.add(data1);
//                }
//            } else {
//                list.add(data);
//            }
//
//        }
//
//    }

//    private void cdv5(List<CheckEnterpriseDataDetails> list, List<CheckEnterpriseDataDetails> cdvList) {
//        for (CheckEnterpriseDataDetails data : list) {
//            List<String> VtAndEnt = cdvList.stream().map(CheckEnterpriseDataDetails::getVtAndEnt).collect(Collectors.toList());
//            VtAndEnt.removeAll(Collections.singleton(null));
//            if (data.getVtAndEnt() != null && VtAndEnt != null && VtAndEnt.contains(data.getVtAndEnt())) {
//                for (CheckEnterpriseDataDetails aa : cdvList) {
//                    if (aa.getVtAndEnt() != null && data.getVtAndEnt().equals(aa.getVtAndEnt()) && !aa.getVehicleType().contains(data.getVehicleType())) {
//                        aa.setVehicleType(aa.getVehicleType() + ',' + data.getVehicleType());
//                    }
//                }
//            } else {
//                if (data.getVtAndEnt() != null) {
//                    data.setVtAndEnt(data.getVtAndEnt().replace("*-*", "/"));
//                }
//                cdvList.add(data);
//            }
//        }
//
//    }

//    private void cdv2(List<String> vehicleTypeGroupList, List<String> parameterNameList, List<String> versionCode, CheckRealVehicleVerificationDto checkRealVehicleVerificationDto, List<CheckEnterpriseDataDetails> list) {
//        for (int i = 0; i < vehicleTypeGroupList.size(); i++) {
//            CheckEnterpriseDataDetails data = checkEnterpriseDataDetailsDao.queryCheckModelSeriesListByCheckDu(
//                    parameterNameList.get(0),
//                    parameterNameList.get(1),
//                    vehicleTypeGroupList.get(i),
//                    versionCode.get(i),
//                    checkRealVehicleVerificationDto.getBase()
//            );
//            if (data != null) {
//                if (data.getVtAndEnt() != null) {
//                    data.setVtAndEnt(data.getVtAndEnt().replace("，", ",").replace(";", ",").replace("；", ","));
//                    if (data.getVtAndEnt().contains("(") && data.getVtAndEnt().contains(")") && data.getVtAndEnt().contains(",")) {
//                        data.setVtAndEnt(getBb(data.getVtAndEnt()));
//                    }
//                    this.cdv4(data, list);
//                } else {
//                     data = checkEnterpriseDataDetailsDao.queryCheckModelSeriesListByCheckDP(
//                            parameterNameList.get(0),
//                            parameterNameList.get(1),
//                            vehicleTypeGroupList.get(i),
//                            versionCode.get(i),
//                            checkRealVehicleVerificationDto.getBase()
//
//                    );
//                    if (data.getVtAndEnt() != null) {
//                    data.setVtAndEnt(data.getVtAndEnt().replace("，", ",").replace(";", ",").replace("；", ","));
//                    if (data.getVtAndEnt().contains("(") && data.getVtAndEnt().contains(")") && data.getVtAndEnt().contains(",")) {
//                        data.setVtAndEnt(getBb(data.getVtAndEnt()));
//                    }
//                    this.cdv4(data, list);
////                        data.setVtAndEnt(data.getVtAndEnt().replace("*-*", "/"));
//                    } else {
//                        list.add(data);
//                    }
//                }
//            }
//        }
//    }

//    private void cdv4(CheckEnterpriseDataDetails data, List<CheckEnterpriseDataDetails> list) {
//        if (data.getVtAndEnt().contains("/") && data.getVtAndEnt().contains(",") && data.getVtAndEnt().split("/").length == 2) {
//            List<String> vtList = Arrays.asList(data.getVtAndEnt().split("/")[0].split(","));
//            List<String> entList = Arrays.asList(data.getVtAndEnt().split("/")[1].split(","));
//            this.cdv3(vtList, entList, data, list);
//
//        } else {
//            List<String> param = Arrays.asList(data.getVtAndEnt().split(","));
//            if (data.getVtAndEnt().contains("(") && data.getVtAndEnt().contains(")") && data.getVtAndEnt().contains(",")) {
//                data.setVtAndEnt(getBb(data.getVtAndEnt().replace("*-*", "/")));
//            }
//            for (int j = 0; j < param.size(); j++) {
//                CheckEnterpriseDataDetails data1 = new CheckEnterpriseDataDetails();
//                data1.setVtAndEnt(param.get(j).replace("*-*", "/"));
//                data1.setVehicleType(data.getVehicleType());
//                list.add(data1);
//            }
//        }
//
//    }

//    private void cdv3(List<String> vtList, List<String> entList, CheckEnterpriseDataDetails data, List<CheckEnterpriseDataDetails> list) {
//        if (vtList.size() == entList.size()) {
//            for (int j = 0; j < vtList.size(); j++) {
//                CheckEnterpriseDataDetails data1 = new CheckEnterpriseDataDetails();
//                data1.setVtAndEnt(vtList.get(j).replace("*-*", "/") + '/' + entList.get(j).replace("*-*", "/"));
//                data1.setVehicleType(data.getVehicleType());
//                list.add(data1);
//            }
//        } else {
//            if (data.getVtAndEnt() != null) {
//                data.setVtAndEnt(data.getVtAndEnt().replace("*-*", "/"));
//            }
//            list.add(data);
//        }
//    }

    /**
     * 公告1
     *
     * @param cdvList
     * @param checkRealVehicleVerificationDto
     * @param verificationsList
     * @return
     */
//    private List<CheckRealVehicleVerification> cdv1(List<CheckEnterpriseDataDetails> cdvList,
//                                                    CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//                                                    List<CheckRealVehicleVerification> verificationsList) {
//        /**
//         * 循环处理数据添加到最终List中
//         */
//        for (int i = 0; i < cdvList.size(); i++) {
//            CheckRealVehicleVerification data = new CheckRealVehicleVerification();
//            data.setId(UUIDUtils.getUUID() + "_1");
//            /**
//             * 出现重复的零几案名称，在其后面追加序号
//             */
//            data.setParameterName(checkRealVehicleVerificationDto.getParameterName());
//
//            data.setVehicleType(cdvList.get(i).getVehicleType());
//            data.setParamConfig(cdvList.get(i).getVtAndEnt());
//            if (data.getParamConfig() != null && !data.getParamConfig().isEmpty()) {
//                if (data.getParamConfig().startsWith("/")) {
//                    data.setParamConfig(data.getParamConfig().substring(1));
//                }
//                if (data.getParamConfig().endsWith("/")) {
//                    data.setParamConfig(data.getParamConfig().substring(0, data.getParamConfig().length() - 1));
//                }
//            }
//            data.setVehicleSeriesId(checkRealVehicleVerificationDto.getVehicleSeriesId());
//            data.setHandleType("0");
//            data.setType("0");
//            if (data.getParamConfig() != null && !data.getParamConfig().isEmpty()) {
//                if (cdvList.size() > 1) {
//                    data.setParameterName(checkRealVehicleVerificationDto.getParameterName() + " " + ( verificationsList.size() + 1));
//                }
//                verificationsList.add(data);
//            }
//        }
//        return verificationsList;
//    }


    /**
     * 环保
     *
     * @param checkRealVehicleVerificationDto
     * @param vehicleTypeGroupList
     * @param verificationsList
     * @return
     */
//    private List<CheckRealVehicleVerification> env(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//                                                   List<String> vehicleTypeGroupList,
//                                                   List<CheckRealVehicleVerification> verificationsList,
//                                                   List<String> versionCode,
//                                                   List<String> vehicleTypeList) {
//        List<EnvDataEntity> paramCoigList = new ArrayList<>();
//        List<EnvDataEntity> list = new ArrayList<>();
//        this.env2(vehicleTypeGroupList, checkRealVehicleVerificationDto, versionCode, vehicleTypeList, list);
//        for (EnvDataEntity data : list) {
//            List<String> VtAndEnt = paramCoigList.stream().map(EnvDataEntity::getParamConfig).collect(Collectors.toList());
//            if (data.getParamConfig() != null && !VtAndEnt.isEmpty() && VtAndEnt.contains(data.getParamConfig())) {
//                this.env4(paramCoigList, data);
//            } else {
//                paramCoigList.add(data);
//            }
//        }
//        for (EnvDataEntity data : paramCoigList) {
//            if (data.getParamConfig() != null)
//                data.setParamConfig(data.getParamConfig().replace("**", "，"));
//        }
//        env1(paramCoigList, checkRealVehicleVerificationDto, verificationsList);
//        return verificationsList;
//    }

//    private void env4(List<EnvDataEntity> paramCoigList, EnvDataEntity data) {
//        for (EnvDataEntity aa : paramCoigList) {
//            if (aa.getParamConfig() != null && data.getParamConfig().equals(aa.getParamConfig())) {
//                if (!aa.getCarTypeCode().contains(data.getCarTypeCode())) {
//                    aa.setVehicleType(aa.getCarTypeCode() + ',' + data.getCarTypeCode());
//                }
//                break;
//            }
//        }
//
//
//    }

//    private void env2(
//            List<String> vehicleTypeGroupList,
//            CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//            List<String> versionCode,
//            List<String> vehicleTypeList,
//            List<EnvDataEntity> list) {
//        for (int i = 0; i < vehicleTypeGroupList.size(); i++) {
//            QueryWrapper queryWrapper = new QueryWrapper();
//            queryWrapper.eq("CAR_TYPE_CODE", vehicleTypeList.get(i));
//            queryWrapper.eq("CAR_GROUP", vehicleTypeGroupList.get(i).split("\\(")[1].split("批")[0]);
//            queryWrapper.eq("EDITION_CODE", versionCode.get(i));
//            CheckConsistencyCheck checkConsistencyCheck = consistencyCheckService.getOne(queryWrapper);
//            if (checkConsistencyCheck != null) {
//                QueryWrapper queryWrapper1 = new QueryWrapper();
//                queryWrapper1.eq("CONSISTENCY_CHECK_ID", checkConsistencyCheck.getId());
//                queryWrapper1.eq("PARAM_NAME", checkRealVehicleVerificationDto.getParameterName());
//                CheckConsistencyCheckDetail data = checkConsistencyDetailService.getOne(queryWrapper1);
//                if (data != null) {
//                    if (data.getEndParam() != null) {
//                        EnvDataEntity envDataEntity = new EnvDataEntity();
//                        envDataEntity.setCarTypeCode(vehicleTypeGroupList.get(i));
//                        envDataEntity.setParamConfig(data.getEndParam());
//                        list.add(envDataEntity);
//                    } else {
//                        EnvDataEntity envDataEntity = new EnvDataEntity();
//                        envDataEntity.setCarTypeCode(vehicleTypeGroupList.get(i));
//                        envDataEntity.setParamConfig(data.getEnvValue());
//                        list.add(envDataEntity);
//                    }
//                } else {
//                    env21(vehicleTypeGroupList, checkConsistencyCheck, checkRealVehicleVerificationDto, i, list);
//                }
//            }
//        }
//
//    }
//
//    private void env21(List<String> vehicleTypeGroupList,
//                       CheckConsistencyCheck checkConsistencyCheck,
//                       CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//                       int i,
//                       List<EnvDataEntity> list) {
//        List<String> envNumberList = new ArrayList<>();
//        String envNumber = checkConsistencyCheck.getEnvPublicNumber();
//        if (envNumber != null) {
//            envNumberList = Arrays.asList(envNumber.split("\r\n"));
//        } else {
//            envNumberList.add("没有");
//        }
//        List<String> list1 = envDataDao.getByColumn(envNumberList, checkRealVehicleVerificationDto.getParameterData());
//        if (list1.toString().contains("envImg")) {
//            List<String> list2 = new ArrayList<>();
//            Set<String> set = new HashSet<>();
//            for (int j = 0; j < list1.size(); j++) {
//                String name = list1.get(j).split("/")[list1.get(j).split("/").length - 1];
//                if (!set.contains(name)) {
//                    list2.add(list1.get(i));
//                }
//            }
//            list1 = list2;
//        }
//        EnvDataEntity envDataEntity = new EnvDataEntity();
//        envDataEntity.setCarTypeCode(vehicleTypeGroupList.get(i));
//        envDataEntity.setParamConfig(String.join(",", list1));
//        if (envDataEntity != null) {
//            if (envDataEntity.getParamConfig() != null) {
//                envDataEntity.setParamConfig(envDataEntity.getParamConfig().replace("，", ",").replace(";", ",").replace("；", ","));
//                if (envDataEntity.getParamConfig().contains("(") && envDataEntity.getParamConfig().contains(")") && envDataEntity.getParamConfig().contains(",")) {
//                    envDataEntity.setParamConfig(getBb(envDataEntity.getParamConfig()));
//                }
//                this.env5(envDataEntity, list);
//            } else {
//                list.add(envDataEntity);
//            }
//        }
//    }
//
//    private void env5(EnvDataEntity data, List<EnvDataEntity> list) {
//        if (data.getParamConfig().contains("/") && data.getParamConfig().contains(",") && data.getParamConfig().split("/").length == 2) {
//            List<String> vtList = Arrays.asList(data.getParamConfig().split("/")[0].split(","));
//            List<String> entList = Arrays.asList(data.getParamConfig().split("/")[1].split(","));
//            this.env3(vtList, entList, data, list);
//
//        } else {
//            data.setParamConfig(data.getParamConfig().replace("，", ",").replace(";", ",").replace("；", ","));
//            if (data.getParamConfig().contains("(") && data.getParamConfig().contains(")") && data.getParamConfig().contains(",")) {
//                data.setParamConfig(getBb(data.getParamConfig()));
//            }
//            List<String> param = Arrays.asList(data.getParamConfig().split(","));
//            for (int z = 0; z < param.size(); z++) {
//                EnvDataEntity data1 = new EnvDataEntity();
//                data1.setParamConfig(param.get(z));
//                data1.setCarTypeCode(data.getCarTypeCode());
//                list.add(data1);
//            }
//        }
//    }
//
//    private void env3(List<String> vtList, List<String> entList, EnvDataEntity data, List<EnvDataEntity> list) {
//        if (vtList.size() == entList.size()) {
//            for (int z = 0; z < vtList.size(); z++) {
//                EnvDataEntity data1 = new EnvDataEntity();
//                data1.setParamConfig(vtList.get(z) + '/' + entList.get(z));
//                data1.setCarTypeCode(data.getCarTypeCode());
//                list.add(data1);
//            }
//        } else {
//            list.add(data);
//        }
//    }

    /**
     * 环保1
     *
     * @param paramCoigList
     * @param checkRealVehicleVerificationDto
     * @param verificationsList
     * @return
     */
//    private List<CheckRealVehicleVerification> env1(List<EnvDataEntity> paramCoigList,
//                                                    CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//                                                    List<CheckRealVehicleVerification> verificationsList) {
//        for (int i = 0; i < paramCoigList.size(); i++) {
//            CheckRealVehicleVerification verifications = new CheckRealVehicleVerification();
//            verifications.setId(UUIDUtils.getUUID() + "_2");
//            /**
//             * 出现重复的零几案名称，在其后面追加序号
//             */
//            if (paramCoigList.size() > 1) {
//                verifications.setParameterName(checkRealVehicleVerificationDto.getParameterName() + " " + (i + 1));
//            } else {
//                verifications.setParameterName(checkRealVehicleVerificationDto.getParameterName());
//            }
//            verifications.setParamConfig(paramCoigList.get(i).getParamConfig());
//            verifications.setVehicleType(paramCoigList.get(i).getCarTypeCode());
//            verifications.setVehicleSeriesId(checkRealVehicleVerificationDto.getVehicleSeriesId());
//            verifications.setHandleType("0");
//            if (verifications.getParamConfig() != null && !verifications.getParamConfig().isEmpty() && !verifications.getParamConfig().equals("null")) {
//                verifications.setType("0");
//                verificationsList.add(verifications);
//            }
//        }
//        return verificationsList;
//    }

    /**
     * ccc
     *
     * @param checkRealVehicleVerificationDto
     * @param vehicleTypeList
     * @param verificationsList
     * @return
     */
    private List<CheckRealVehicleVerification> ccc(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
                                                   List<String> vehicleTypeGroupList,
                                                   List<CheckRealVehicleVerification> verificationsList,
                                                   List<String> versionCode,
                                                   List<String> vehicleTypeList) {
        /**
         * 厂商编号转换List
         */
        List<String> parameterCodeOneLsit = new ArrayList<>();
        if (checkRealVehicleVerificationDto.getParameterCodeOne() != null) {
            parameterCodeOneLsit = Arrays.asList(checkRealVehicleVerificationDto.getParameterCodeOne().split(","));
        }
        List<FinalVerificationDto> cccList = new ArrayList<>();
        List<FinalVerificationDto> list = new ArrayList<>();
//        for (int i = 0; i < vehicleTypeGroupList.size(); i++) {
//            this.ccc2(parameterCodeOneLsit, vehicleTypeGroupList, vehicleTypeList, checkRealVehicleVerificationDto, versionCode, list, i);
//        }
        this.ccc4(list, cccList);
        for (FinalVerificationDto data : cccList) {
            if (data.getVtAndEnt() != null)
                data.setVtAndEnt(data.getVtAndEnt().replace("**", "，"));
        }
//        ccc1(cccList, checkRealVehicleVerificationDto, verificationsList);
        return verificationsList;
    }

    private void ccc4(List<FinalVerificationDto> list, List<FinalVerificationDto> cccList) {
        for (FinalVerificationDto data : list) {
            List<String> VtAndEnt = cccList.stream().map(FinalVerificationDto::getVtAndEnt).collect(Collectors.toList());
            if (data.getVtAndEnt() != null && !VtAndEnt.isEmpty() && VtAndEnt.contains(data.getVtAndEnt())) {
                for (FinalVerificationDto aa : cccList) {
                    if (aa.getVtAndEnt() != null && data.getVtAndEnt().equals(aa.getVtAndEnt())) {
                        if (!aa.getVehicleType().contains(data.getVehicleType()))
                            aa.setVehicleType(aa.getVehicleType() + ',' + data.getVehicleType());
                        break;
                    }
                }
            } else {
                cccList.add(data);
            }
        }
    }

//    private void ccc2(List<String> parameterCodeOneLsit, List<String> vehicleTypeGroupList, List<String> vehicleTypeList, CheckRealVehicleVerificationDto checkRealVehicleVerificationDto, List<String> versionCode, List<FinalVerificationDto> list, int i) {
//        QueryWrapper queryWrapper = new QueryWrapper();
//        queryWrapper.eq("CAR_TYPE_CODE", vehicleTypeList.get(i));
//        queryWrapper.eq("CAR_GROUP", vehicleTypeGroupList.get(i).split("\\(")[1].split("批")[0]);
//        queryWrapper.eq("EDITION_CODE", versionCode.get(i));
//        CheckConsistencyCheck checkConsistencyCheck = consistencyCheckService.getOne(queryWrapper);
//        if (checkConsistencyCheck != null) {
//            List<String> cccNumberList = new ArrayList<>();
//            String cccNumber = checkConsistencyCheck.getCccSystemNumber();
//            if (cccNumber != null) {
//                cccNumberList = Arrays.asList(cccNumber.split("\r\n"));
//            } else {
//                cccNumberList.add("没有");
//            }
//            QueryWrapper queryWrapper1 = new QueryWrapper();
//            queryWrapper1.eq("CONSISTENCY_CHECK_ID", checkConsistencyCheck.getId());
//            queryWrapper1.eq("PARAM_NAME", checkRealVehicleVerificationDto.getParameterName());
//            CheckConsistencyCheckDetail data = checkConsistencyDetailService.getOne(queryWrapper1);
//            if (data != null) {
//                if (data.getEndParam() != null) {
//                    FinalVerificationDto finalVerificationDto = new FinalVerificationDto();
//                    finalVerificationDto.setVehicleType(vehicleTypeGroupList.get(i));
//                    finalVerificationDto.setVtAndEnt(data.getEndParam());
//                    list.add(finalVerificationDto);
//                } else {
//                    FinalVerificationDto finalVerificationDto = new FinalVerificationDto();
//                    finalVerificationDto.setVehicleType(vehicleTypeGroupList.get(i));
//                    finalVerificationDto.setVtAndEnt(data.getCccValue());
//                    list.add(finalVerificationDto);
//                }
//            } else {
//                ccc21(parameterCodeOneLsit, cccNumberList, vehicleTypeGroupList, i, list, checkRealVehicleVerificationDto.getParameterType());
//            }
//        }
//    }

//    private void ccc21(List<String> parameterCodeOneLsit,
//                       List<String> cccNumberList,
//                       List<String> vehicleTypeGroupList,
//                       int i,
//                       List<FinalVerificationDto> list,
//                       String type) {
//        for (int j = 0; j < parameterCodeOneLsit.size(); j++) {
//            if (cccNumberList.size() > 0) {
//                List<String> list1 = detailInfoMapper.getByNumber(parameterCodeOneLsit.get(j), cccNumberList, type);
//                String cccValue = null;
//                if (list1.size() > 0) {
//                    cccValue = String.join(",", list1);
//                }
//                FinalVerificationDto finalVerificationDto = new FinalVerificationDto();
//                finalVerificationDto.setVehicleType(vehicleTypeGroupList.get(i));
//                finalVerificationDto.setVtAndEnt(cccValue);
//                if (finalVerificationDto != null) {
//                    if (finalVerificationDto.getVtAndEnt() != null) {
//                        finalVerificationDto.setVtAndEnt(finalVerificationDto.getVtAndEnt().replace("，", ",").replace(";", ",").replace("；", ","));
//                        if (finalVerificationDto.getVtAndEnt().contains("(") && finalVerificationDto.getVtAndEnt().contains(")") && finalVerificationDto.getVtAndEnt().contains(",")) {
//                            finalVerificationDto.setVtAndEnt(getBb(finalVerificationDto.getVtAndEnt()));
//                        }
//                        this.ccc3(finalVerificationDto, list);
//                    } else {
//                        list.add(finalVerificationDto);
//                    }
//                }
//            }
//        }
//    }
//
//    private void ccc3(FinalVerificationDto data, List<FinalVerificationDto> list) {
//        if (data.getVtAndEnt().contains("/") && data.getVtAndEnt().contains(",") && data.getVtAndEnt().split("/").length == 2) {
//            List<String> vtList = Arrays.asList(data.getVtAndEnt().split("/")[0].split(","));
//            List<String> entList = Arrays.asList(data.getVtAndEnt().split("/")[1].split(","));
//            if (vtList.size() == entList.size()) {
//                for (int z = 0; z < vtList.size(); z++) {
//                    FinalVerificationDto data1 = new FinalVerificationDto();
//                    data1.setVtAndEnt(vtList.get(z) + '/' + entList.get(z));
//                    data1.setVehicleType(data.getVehicleType());
//                    list.add(data1);
//                }
//            } else {
//                list.add(data);
//            }
//        } else {
//            data.setVtAndEnt(data.getVtAndEnt().replace("，", ",").replace(";", ",").replace("；", ","));
//            if (data.getVtAndEnt().contains("(") && data.getVtAndEnt().contains(")") && data.getVtAndEnt().contains(",")) {
//                data.setVtAndEnt(getBb(data.getVtAndEnt()));
//            }
//            List<String> param = Arrays.asList(data.getVtAndEnt().split(","));
//            for (int z = 0; z < param.size(); z++) {
//                FinalVerificationDto data1 = new FinalVerificationDto();
//                data1.setVtAndEnt(param.get(z));
//                data1.setVehicleType(data.getVehicleType());
//                list.add(data1);
//            }
//        }
//    }
//
//    /**
//     * ccc1
//     *
//     * @param cccList
//     * @param checkRealVehicleVerificationDto
//     * @param verificationsList
//     * @return
//     */
//    private List<CheckRealVehicleVerification> ccc1(List<FinalVerificationDto> cccList,
//                                                    CheckRealVehicleVerificationDto checkRealVehicleVerificationDto,
//                                                    List<CheckRealVehicleVerification> verificationsList) {
//        /**
//         * 处理数据插入最终List
//         */
//        for (int i = 0; i < cccList.size(); i++) {
//            CheckRealVehicleVerification verifications = new CheckRealVehicleVerification();
//            verifications.setId(UUIDUtils.getUUID() + "_" + checkRealVehicleVerificationDto.getParameterType());
//            /**
//             * 出现重复的零几案名称，在其后面追加序号
//             */
//            verifications.setParameterName(checkRealVehicleVerificationDto.getParameterName());
//            if (cccList.size() > 1) {
//                verifications.setParameterName(checkRealVehicleVerificationDto.getParameterName() + " " + (i + 1));
//            }
//            verifications.setParamConfig(cccList.get(i).getVtAndEnt());
//            if (verifications.getParamConfig() != null && !verifications.getParamConfig().isEmpty()) {
//                if (verifications.getParamConfig().startsWith("/")) {
//                    verifications.setParamConfig(verifications.getParamConfig().substring(1));
//                }
//                if (verifications.getParamConfig().endsWith("/")) {
//                    verifications.setParamConfig(verifications.getParamConfig().substring(0, verifications.getParamConfig().length() - 1));
//                }
//            }
//            verifications.setVehicleType(cccList.get(i).getVehicleType());
//            verifications.setVehicleSeriesId(checkRealVehicleVerificationDto.getVehicleSeriesId());
//            verifications.setHandleType("0");
//            verifications.setParameter(checkRealVehicleVerificationDto.getParameterCodeOne());
//            if (verifications.getParamConfig() != null && !verifications.getParamConfig().isEmpty()) {
//                verifications.setType("0");
//                verificationsList.add(verifications);
//            }
//        }
//        return verificationsList;
//    }


    @Override
    public Boolean saveById(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto) {
        String userId = request.getHeader("userId");
        checkRealVehicleVerificationDto.setVehicleSeriesId(checkRealVehicleVerificationDto.getVehicleSeriesId());
        checkRealVehicleVerificationDto.setDetailType(checkRealVehicleVerificationDto.getDetailType());
        checkRealVehicleVerificationDto.setTime(new Date());
        checkRealVehicleVerificationDto.setUserId(userId);
        checkRealVehicleVerificationDao.updateCheckModelSeriesListTime(checkRealVehicleVerificationDto);//修改时间和操作人
        List<CheckRealVehicleVerification> list = new ArrayList<>();
        /**
         * 判断是保存标准还是保存结果
         * 1：保存标准
         * 保存标准只保存标准图片
         * 保存结果除标准图片外的可编辑参数
         */


        for (CheckRealVehicleVerification checkRealVehicleVerification : checkRealVehicleVerificationDto.getList()) {
            if (checkRealVehicleVerification.getStandardPicturePath() != null
                    || checkRealVehicleVerification.getCheckPicturePath() != null
                    || checkRealVehicleVerification.getCheckPicturePathTwo() != null
                    || checkRealVehicleVerification.getType() != null
                    || checkRealVehicleVerification.getRemarks() != null
            ) {
                CheckRealVehicleVerification data = new CheckRealVehicleVerification();
                data.setId(checkRealVehicleVerification.getId());
                data.setStandardPicturePath(checkRealVehicleVerification.getStandardPicturePath());
                data.setCheckPicturePath(checkRealVehicleVerification.getCheckPicturePath());
                data.setCheckPicturePathTwo(checkRealVehicleVerification.getCheckPicturePathTwo());
                data.setType(checkRealVehicleVerification.getType());
                data.setRemarks(checkRealVehicleVerification.getRemarks());
                list.add(data);
            }
        }
        if (list.isEmpty()) {
            return false;
        }
        /**
         * 更新状态
         */
        Boolean flag = this.updateBatchById(list);
        updateStatus(checkRealVehicleVerificationDto);
        return flag;
    }

//    @Override
//    public boolean saveCheckDetail(CheckModelSeriesList checkModelSeriesList, String detailType) {
//        List<CheckRealVehicleVerification> insertData = new ArrayList<>();
//        String obdId = "";
//        switch (detailType) {
//            case "1":
//                obdId = checkModelSeriesList.getObdId();
//                break;
//            case "2":
//                obdId = checkModelSeriesList.getScanCodeId();
//                break;
//            case "3":
//                obdId = checkModelSeriesList.getRealMouldId();
//                break;
//            case "4":
//                obdId = checkModelSeriesList.getStandId();
//                break;
//            default:
//                break;
//        }
//        if (StringUtils.isBlank(obdId)) {
//            return false;
//        }
//        QueryWrapper wrapper = new QueryWrapper();
//        wrapper.eq("VEHICLE_SERIES_ID", checkModelSeriesList.getId());
//        wrapper.eq("CHECK_TYPE", detailType);
//        List<CheckRealVehicleVerification> oldData = this.list(wrapper);
//        Map<String, CheckRealVehicleVerification> oldDataMap = new HashMap<>();
//        for (CheckRealVehicleVerification vehicleVerification : oldData) {
//            oldDataMap.put(vehicleVerification.getParameterName(), vehicleVerification);
//        }
//        CheckRealVehicleVerification checkRealVehicleVerification;
//        if ("4".equals(detailType)) {
//            oldDataMap = new HashMap<>();
//            for (CheckRealVehicleVerification vehicleVerification : oldData) {
//                oldDataMap.put(vehicleVerification.getRecordFaultCode(), vehicleVerification);
//            }
//            //如果标准符合性模板ID在模板表中找不到，则为适用车型
//            QueryWrapper<CheckObd> wrapper1 = new QueryWrapper<CheckObd>();
//            wrapper1.eq("ID", obdId);
//            List<CheckStandardDetails> standardDetailsList;
//            if (iCheckObdService.count(wrapper1) > 0) {
//                standardDetailsList = iCheckStandardDetailsService.queryDetailsByObd(obdId);
//            } else {
//                standardDetailsList = iCheckStandardDetailsService.queryDetailsByApplyType(obdId);
//            }
//            for (CheckStandardDetails standardDetails : standardDetailsList) {
//                checkRealVehicleVerification = new CheckRealVehicleVerification();
//                checkRealVehicleVerification.setId(UUIDUtils.getUUID())
//                        .setVehicleSeriesId(checkModelSeriesList.getId())
//                        .setProject(standardDetails.getProject())
//                        .setRecordFaultCode(standardDetails.getId())
//                        .setVehicleType(checkModelSeriesList.getVehicleTypeAndGroup())
//                        .setParameterName(standardDetails.getSpareParts())
//                        .setRegulatoryRequirements(standardDetails.getRegulatoryRequirements())
//                        .setVehicleTypeName(standardDetails.getAppName())
//                        .setStandardName(standardDetails.getStandardName())
//                        .setCheckType(detailType);
//                if (oldDataMap.get(checkRealVehicleVerification.getRecordFaultCode()) == null) {
//                    insertData.add(checkRealVehicleVerification);
//                } else {
//                    CheckRealVehicleVerification old = oldDataMap.get(checkRealVehicleVerification.getRecordFaultCode());
//                    if (!(this.isEquals(old.getParameterName(), checkRealVehicleVerification.getParameterName())
//                            && this.isEquals(old.getParameter(), checkRealVehicleVerification.getParameter())
//                            && this.isEquals(old.getRegulatoryRequirements(), checkRealVehicleVerification.getRegulatoryRequirements())
//                            && this.isEquals(old.getVehicleTypeName(), checkRealVehicleVerification.getVehicleTypeName())
//                            && this.isEquals(old.getStandardName(), checkRealVehicleVerification.getStandardName()))) {
//                        insertData.add(checkRealVehicleVerification);
//                    }
//                }
//            }
//            return this.saveBatch(insertData);
//        }
//
//        List<CheckObdDetail> detailList = iCheckObdDetailService.getDetailsByMouldIdAndType(obdId, detailType);
//        for (CheckObdDetail checkObdDetail : detailList) {
//            checkRealVehicleVerification = new CheckRealVehicleVerification();
//            checkRealVehicleVerification.setId(UUIDUtils.getUUID())
//                    .setParameterName(checkObdDetail.getObdDetailName())
//                    .setParameter(checkObdDetail.getProjectName())
////                    .setVehicleTypeAndGroup(checkModelSeriesList.getVehicleTypeAndGroup())
//                    .setVehicleType(checkModelSeriesList.getVehicleTypeAndGroup())
//                    .setVehicleSeriesId(checkModelSeriesList.getId())
//                    .setCheckType(detailType);
//            if (oldDataMap.get(checkRealVehicleVerification.getParameterName()) == null) {
//                insertData.add(checkRealVehicleVerification);
//            }
//        }
//        return this.saveBatch(insertData);
//    }

    private boolean isEquals(String oldStr, String newStr) {
        if (StringUtils.isBlank(oldStr)) {
            oldStr = "";
        }
        if (StringUtils.isBlank(newStr)) {
            newStr = "";
        }
        return oldStr.equals(newStr);
    }


    /**
     * 更新状态
     *
     * @param checkRealVehicleVerificationDto
     */
    private void updateStatus(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto) {
        checkRealVehicleVerificationDao.updateCheckModelSeriesList(checkRealVehicleVerificationDto);
        if (checkRealVehicleVerificationDto.getStatus() != 1) {
            QueryWrapper<CheckRealVehicleVerification> queryWrapper = new QueryWrapper<>();
            queryWrapper.eq("VEHICLE_SERIES_ID", checkRealVehicleVerificationDto.getVehicleSeriesId());
            queryWrapper.likeLeft("ID", "_" + checkRealVehicleVerificationDto.getParameterType());
            String paramName = checkRealVehicleVerificationDto.getList().get(0).getParameterName().split(" ")[0];
            if (checkRealVehicleVerificationDto.getParameterType().equals("3")
                    || checkRealVehicleVerificationDto.getParameterType().equals("4")
                    || checkRealVehicleVerificationDto.getParameterType().equals("5")) {
                queryWrapper.eq("PARAMETER", checkRealVehicleVerificationDto.getParameterCodeOne());
            } else {
                queryWrapper.and(wrapper -> wrapper.eq("PARAMETER_NAME", paramName)
                        .or()
                        .like("PARAMETER_NAME", paramName + ' '));
            }
            List<CheckRealVehicleVerification> list = checkRealVehicleVerificationDao.selectList(queryWrapper);
            List<String> type = list
                    .stream()
                    .map(CheckRealVehicleVerification::getType)
                    .collect(Collectors.toList());
            UpdateWrapper updateWrapper = new UpdateWrapper();
            String strh = "";
            if (paramName.split("/")[0].length() > 2) {
                strh = paramName.split("/")[0].substring(paramName.split("/")[0].length() - 2);
            }
            String strh1 = "";
            if (paramName.split("/")[0].length() > 4) {
                strh1 = paramName.split("/")[0].substring(paramName.split("/")[0].length() - 4);
            }
            if (checkRealVehicleVerificationDto.getParameterType().equals("1") && (strh.equals("型号") || strh1.equals("生产企业"))) {
                updateWrapper.eq("PARAMETER_NAME", paramName.split("/")[0].replace("型号", "").replace("生产企业", ""));
            } else if (checkRealVehicleVerificationDto.getParameterType().equals("3")
                    || checkRealVehicleVerificationDto.getParameterType().equals("4")
                    || checkRealVehicleVerificationDto.getParameterType().equals("5")) {
                updateWrapper.eq("PARAMETER_CODE_ONE", checkRealVehicleVerificationDto.getParameterCodeOne());
            } else {
                updateWrapper.eq("PARAMETER_NAME", paramName);
            }
            updateWrapper.eq(vehicleSeriesId, checkRealVehicleVerificationDto.getVehicleSeriesId());
            updateWrapper.eq("PARAMETER_TYPE", checkRealVehicleVerificationDto.getParameterType());
            /**
             * type为核查每一项的状态
             * 0：待确认
             * 1：核查期间为供货
             * 2：一致
             * 3：不一致
             * 4: 停止供货
             */
            /**
             * 核查参数列表核查结果
             * 0：待确认
             * 1：核查中
             * 2：不一致
             * 3：一致
             * 4：核查期间未供货
             * 5：停止供货
             */
            // 包含待确认项则显示为核查中（最少包含其它项一个）
            this.updateStatusTwo(type, updateWrapper);

            /**
             * 更新实车核查列表状态值
             */
            checkVehicleCheckMenuService.update(updateWrapper);
            updateStatus1(checkRealVehicleVerificationDto);
        }
    }

    private UpdateWrapper updateStatusTwo(List<String> type, UpdateWrapper updateWrapper) {
        if (type.contains("0") && (type.contains("3") || type.contains("2") || type.contains("1") || type.contains("4"))) {
            updateWrapper.set(parameterCheckStates, 1);
            // 包含不一致项则显示不一致（不包含待确认）
        } else if (!type.contains("0") && type.contains("3")) {
            updateWrapper.set(parameterCheckStates, 2);
            // 包含一致项则显示一致（不包含待确认,不一致）
        } else if (!type.contains("0") && !type.contains("3") && type.contains("2")) {
            updateWrapper.set(parameterCheckStates, 3);
            // 包含核查期间未供货项则显示核查期间未供货（不包含待确认,不一致,一致）
        } else if (!type.contains("0") && !type.contains("3") && !type.contains("2") && type.contains("1")) {
            updateWrapper.set(parameterCheckStates, 4);
            // 包含停止供货项则显示停止供货（不包含待确认,不一致,一致,核查期间未供货）
        } else if (!type.contains("0") && !type.contains("3") && !type.contains("2") && !type.contains("1") && type.contains("4")) {
            updateWrapper.set(parameterCheckStates, 5);
        } else {
            // 待确认
            updateWrapper.set(parameterCheckStates, 0);
        }
        return updateWrapper;
    }

    private void updateStatus1(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto) {
        /**
         * 更新车型系列表状态值
         */
        QueryWrapper queryWrapper1 = new QueryWrapper();
        queryWrapper1.eq(vehicleSeriesId, checkRealVehicleVerificationDto.getVehicleSeriesId());
        queryWrapper1.select(parameterCheckStates);
        List<CheckVehicleCheckMenu> typeList = checkVehicleCheckMenuService.list(queryWrapper1);
        List<Integer> parameterCheckState = typeList
                .stream()
                .map(CheckVehicleCheckMenu::getParameterCheckState)
                .collect(Collectors.toList());
        UpdateWrapper updateWrapper1 = new UpdateWrapper();
        if ((parameterCheckState.contains(1)
                || parameterCheckState.contains(2)
                || parameterCheckState.contains(3)
                || parameterCheckState.contains(4)
                || parameterCheckState.contains(5))) {
            // 核查中
            updateWrapper1.set("TYPE", 1);
        } else {
            updateWrapper1.set("TYPE", 0);
        }

        /**
         * 更新车型系列状态值
         */
        updateWrapper1.eq("ID", checkRealVehicleVerificationDto.getVehicleSeriesId());
        updateWrapper1.set("CAR_OPERATOR", checkRealVehicleVerificationDto.getUserId());
        updateWrapper1.set("CREATE_TIME", new Date());
        checkModelSeriesListService.update(updateWrapper1);
    }


    /**
     * 导入备案故障码模板
     *
     * @param file
     * @param vehicleSeriesId
     * @return
     */
    @Override
    public String importCheckRealVVData(MultipartFile file, String vehicleSeriesId) {
        //文件流  获取上传的文件名
        String fileName = file.getOriginalFilename();
        InputStream is = null;
        try {
            //开启文件输入流
            is = file.getInputStream();
            Workbook workbook = null;
            //判断文件后缀是否是xlsx，是就创建XSSF，否则HSSF
            if (fileName.endsWith("xlsx")) {
                workbook = new XSSFWorkbook(is);
            } else {
                workbook = new HSSFWorkbook(is);
            }
            //获取Excel文件第一个sheet
            Sheet sheet = workbook.getSheetAt(0);
            String[] title = new String[]{"序号", "核查项", "备案故障码"};

            if (!(sheet.getRow(0) != null
                    && title[0].equals(sheet.getRow(0).getCell(0).getStringCellValue())
                    && title[1].equals(sheet.getRow(0).getCell(1).getStringCellValue())
                    && title[2].equals(sheet.getRow(0).getCell(2).getStringCellValue()))) {
                return "请按照模板导入备案故障码";
            }
            //获取第一个sheet的最后行数
            for (int i = 1; i <= sheet.getLastRowNum(); i++) {
                //如果第i行不为空
                if (sheet.getRow(i) != null) {
                    for (int j = 1; j <= sheet.getRow(i).getLastCellNum(); j++) {
                        if (sheet.getRow(i).getCell(j) != null) {
                            sheet.getRow(i).getCell(j).setCellType(Cell.CELL_TYPE_STRING);
                        }
                    }
                    String name = sheet.getRow(i).getCell(1).getStringCellValue();
                    String recordFaultCode = sheet.getRow(i).getCell(2).getStringCellValue();
                    UpdateWrapper<CheckRealVehicleVerification> updateWrapper = new UpdateWrapper<>();
                    //设置 车系ID 和 CHECK_TYPE 查询条件
                    updateWrapper.eq("VEHICLE_SERIES_ID", vehicleSeriesId)
                            .eq("CHECK_TYPE", "1").eq("PARAMETER_NAME", name);
                    updateWrapper.set("RECORD_FAULT_CODE", recordFaultCode);
                    this.update(updateWrapper);
                }
            }
            return "导入成功";
        } catch (IOException e) {
            logger.error("导入报错");
            return "导入失败";
        }
    }

    /**
     * 根据车系ID查询CheckRealVehicleVerificationDTO
     *
     * @param vehicleSeriesId
     * @return
     */
    @Override
    public List<CheckRealVehicleVerificationDTO> selectByVehicleSeriesId(String vehicleSeriesId) {
        return checkRealVehicleVerificationDao.selectByVehicleSeriesId(vehicleSeriesId);
    }

    @Override
    public boolean editScanCode(String id, String value, String column, String vehicleSeriesId, String userId, String detailType) {
        CheckRealVehicleVerificationDto checkRealVehicleVerificationDto = new CheckRealVehicleVerificationDto();
        checkRealVehicleVerificationDto.setVehicleSeriesId(vehicleSeriesId);
        checkRealVehicleVerificationDto.setDetailType(detailType);
        checkRealVehicleVerificationDao.updateCheckModelSeriesList(checkRealVehicleVerificationDto);
        UpdateWrapper updateWrapper = new UpdateWrapper();
        String dataType = "";
        if ("checkPicturePath".equals(column)) {
            dataType = "CHECK_PICTURE_PATH";
//            updateWrapper.set("CHECK_PICTURE_PATH",value);
        } else if ("checkPicturePathTwo".equals(column)) {
            dataType = "CHECK_PICTURE_PATH_TWO";
//            updateWrapper.set("CHECK_PICTURE_PATH",value);
        } else if ("type".equals(column)) {
            dataType = "TYPE";
//            updateWrapper.set("TYPE",value);
        }
        if (StringUtils.isNotBlank(dataType)) {
            updateWrapper.set(dataType, value);
            updateWrapper.eq("ID", id);
            this.update(updateWrapper);
            UpdateWrapper<CheckModelSeriesList> vehicleUpdateWrapper = new UpdateWrapper();
            vehicleUpdateWrapper.eq("ID", vehicleSeriesId);
            vehicleUpdateWrapper.set("SCAN_CODE_OPERATOR", userId);
            vehicleUpdateWrapper.set("SCAN_CODE_TIME", new Date());
            checkModelSeriesListService.update(vehicleUpdateWrapper);
        } else {
            return false;
        }
        return true;
    }

    @Override
    public IPage<CheckRealVehicleVerAndMoedelSeriesList> queryRealVehicleVer(Page page, String type, String handleType, String checkType, String vehicleSeries) {
        return checkRealVehicleVerificationDao.queryRealVehicleVer(page, type, handleType, checkType, vehicleSeries);
    }

    @Override
    public List<CheckRealVehicleVerification> queryCheckRealVehicleVer(String vehicleSeriesId, String checkType) {
        QueryWrapper<CheckRealVehicleVerification> wrapper = new QueryWrapper();
        wrapper.eq("VEHICLE_SERIES_ID", vehicleSeriesId);
        wrapper.eq("CHECK_TYPE", checkType);
        return this.list(wrapper);
    }

    @Override
    public Integer updateCheckRealVehicleVer(CheckRealVehicleVerification checkRealVehicleVer) {
        CheckRealVehicleVerificationDto checkRealVehicleVerificationDto = new CheckRealVehicleVerificationDto();
        if (StringUtils.isEmpty(checkRealVehicleVer.getHandleType())) {
            String userId = request.getHeader("userId");
            checkRealVehicleVerificationDto.setVehicleSeriesId(checkRealVehicleVer.getVehicleSeriesId());
            checkRealVehicleVerificationDto.setDetailType(checkRealVehicleVer.getDetailType());
            checkRealVehicleVerificationDto.setTime(new Date());
            checkRealVehicleVerificationDto.setUserId(userId);
            checkRealVehicleVerificationDao.updateCheckModelSeriesList(checkRealVehicleVerificationDto);//修改状态
            checkRealVehicleVerificationDao.updateCheckModelSeriesListTime(checkRealVehicleVerificationDto);//修改时间和操作人
        }
        checkRealVehicleVer.setHandleType("1");
        checkRealVehicleVer.setEndDate(new Date());
//        UpdateWrapper<CheckRealVehicleVerification> wrapper = new UpdateWrapper();
//        wrapper.set("HANDLE_TYPE", "1");
//        wrapper.eq("ID", checkRealVehicleVer.getId());
        return baseMapper.updateById(checkRealVehicleVer);
    }

    @Override
    public IPage<CheckRealVehicleVerification> getCheckRealVehicleVerPage(CheckRealVehicleVerification checkRealVehicleVer) throws Exception {
        Page page = new Page(checkRealVehicleVer.getPage(), checkRealVehicleVer.getPageSize());
        checkRealVehicleVer.setOrgName(UserUtil.getQyId());
        IPage result =  baseMapper.getCheckRealVehicleVerPage(page, checkRealVehicleVer);
        List<CheckRealVehicleVerification> list = result.getRecords();
//        for (CheckRealVehicleVerification checkRealVehicleVerification : list){
//            CheckModelSeriesList checkModelSeriesList =
//                    checkModelSeriesListService.getById(checkRealVehicleVerification.getVehicleSeriesId());
//            UserEO userEO = new UserEO();
//            switch (checkRealVehicleVer.getCheckType()) {
//                case "1":
//                    checkRealVehicleVerification.setCreatTime(checkModelSeriesList.getObdTime());
//                    if (StringUtils.isNotBlank(checkModelSeriesList.getObdOperatorId())) {
//                        userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getObdOperatorId());
//                    } else {
//                        userEO = null;
//                    }
////                     userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getObdOperatorId());
//                    checkRealVehicleVerification.setUsname(userEO == null ? "":userEO.getUsname());
////                    checkRealVehicleVerification.setUsname(userEOService.selectByPrimaryKey(checkModelSeriesList.getObdOperatorId()).getUsname());
//                    break;
//                case "2":
//                    checkRealVehicleVerification.setCreatTime(checkModelSeriesList.getScanCodeTime());
//                    if (StringUtils.isNotBlank(checkModelSeriesList.getScanCodeOperatorId())) {
//                        userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getScanCodeOperatorId());
//                    } else {
//                        userEO = null;
//                    }
////                     userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getScanCodeOperatorId());
//                    checkRealVehicleVerification.setUsname(userEO == null ? "":userEO.getUsname());
////                    checkRealVehicleVerification.setUsname(userEOService.selectByPrimaryKey(checkModelSeriesList.getScanCodeOperatorId()).getUsname());
//                    break;
//                case "5":
//                    checkRealVehicleVerification.setCreatTime(checkModelSeriesList.getKeyTime());
//                    if (StringUtils.isNotBlank(checkModelSeriesList.getKeyOperatorId())) {
//                        userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getKeyOperatorId());
//                    } else {
//                        userEO = null;
//                    }
////                     userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getKeyOperatorId());
//                    checkRealVehicleVerification.setUsname(userEO == null ? "":userEO.getUsname());
////                    checkRealVehicleVerification.setUsname(userEOService.selectByPrimaryKey(checkModelSeriesList.getKeyOperatorId()).getUsname());
//                    break;
//                case "3":
////                    checkRealVehicleVerification.setRemarks(checkModelSeriesList.getCarRemarks());
//                    checkRealVehicleVerification.setCreatTime(checkModelSeriesList.getRealVehicleTime());
//                    if (StringUtils.isNotBlank(checkModelSeriesList.getCarOperator())) {
//                        userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getCarOperator());
//                    } else {
//                        userEO = null;
//                    }
////                     userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getCarOperator());
//                    checkRealVehicleVerification.setUsname(userEO == null ? "":userEO.getUsname());
////                    checkRealVehicleVerification.setUsname(userEOService.selectByPrimaryKey(checkModelSeriesList.getCarOperator()).getUsname());
//                    break;
//                case "4":
//                    checkRealVehicleVerification.setCreatTime(checkModelSeriesList.getStandTime());
//                    if (StringUtils.isNotBlank(checkModelSeriesList.getStandOperatorId())) {
//                        userEO = userEOService.selectByPrimaryKey(checkModelSeriesList.getStandOperatorId());
//                    } else {
//                        userEO = null;
//                    }
//                    checkRealVehicleVerification.setUsname(userEO == null ? "":userEO.getUsname());
//                    break;
//            }
//
//        }
        result.setRecords(list);
        return result;
    }

    @Override
    public List<RVVObdDTO> getCheckRealVehicleVer(List<String> ids, String checkType, String handleType, String parameterName) {
        return baseMapper.getCheckRealVehicleVer(ids, checkType, handleType, parameterName);
    }

    @Override
    public List<ScanCodeDTO> getCheckRealVehicleVer1(List<String> ids, String checkType, String handleType, String parameterName) {
        return baseMapper.getCheckRealVehicleVer1(ids, checkType, handleType, parameterName);
    }

    @Override
    public List<RegulationsDTO> getCheckRealVehicleVer2(List<String> ids, String checkType, String handleType, String parameterName, String project) {
        return baseMapper.getCheckRealVehicleVer2(ids, checkType, handleType, parameterName, project);
    }

    @Override
    public List<CertificationDTO> getCheckRealVehicleVer3(List<String> ids, String checkType, String handleType, String parameterName) {
        return baseMapper.getCheckRealVehicleVer3(ids, checkType, handleType, parameterName);
    }

    @Override
    public Integer updateCheckModelSeries(CheckRealVehicleVerificationDto checkRealVehicleVerificationDto) {
        List<CheckRealVehicleVerAndMoedelSeriesList> lists=checkRealVehicleVerificationDao.queryCheckRealVehicleVer();
        CheckRealVehicleVerification checkRealVehicleVerification;
        CheckModelSeriesList checkModelSeriesList = checkModelSeriesListService.getById(checkRealVehicleVerificationDto.getVehicleSeriesId());
        List<CheckRealVehicleVerification> detail = new ArrayList<>();
        UpdateWrapper<CheckRealVehicleVerification> detailWrapper = new UpdateWrapper();
        detailWrapper.eq("VEHICLE_SERIES_ID", checkRealVehicleVerificationDto.getVehicleSeriesId());
        detailWrapper.eq("CHECK_TYPE",checkRealVehicleVerificationDto.getDetailType());
        detailWrapper.set("HANDLE_TYPE", "0");
        this.update(detailWrapper);
//        if ("5".equals(checkRealVehicleVerificationDto.getDetailType())) {
//            QueryWrapper<KeyPartsCheckList> isAllTrueWrapper = new QueryWrapper<>();
//            isAllTrueWrapper.eq("MODEL_SERIES_LIST_ID", checkRealVehicleVerificationDto.getVehicleSeriesId());
//            isAllTrueWrapper.eq("TYPE", "2");
//            if (iKeyPartsCheckListService.count(isAllTrueWrapper) > 0) {
//                QueryWrapper<CheckModelSeriesList> wrapper = new QueryWrapper();
//                wrapper.eq("VEHICLE_SERIES", checkRealVehicleVerificationDto.getVehicleSeries());
//                wrapper.eq("EDITION_CODE", String.valueOf(Integer.parseInt(checkModelSeriesList.getEditionCode()) + 1));
//                CheckModelSeriesList newCheckModelSeriesList = checkModelSeriesListService.getOne(wrapper);
//                if (newCheckModelSeriesList != null) {
//                    UpdateWrapper<CheckModelSeriesList> updateWrapper = new UpdateWrapper<CheckModelSeriesList>();
//                    updateWrapper.eq("ID", newCheckModelSeriesList.getId());
//                    updateWrapper.set("KEY_STATUS", "2");
//                    checkModelSeriesListService.update(updateWrapper);
//                } else {
//                    CheckModelSeriesList insertCheckModelSeriesList = new CheckModelSeriesList();
//                    insertCheckModelSeriesList.setId(UUIDUtils.getUUID())
//                            .setBase(checkModelSeriesList.getBase())
//                            .setStandId(checkModelSeriesList.getStandId()).setObdId(checkModelSeriesList.getObdId())
//                            .setScanCodeId(checkModelSeriesList.getScanCodeId())
//                            .setRealMouldId(checkModelSeriesList.getRealMouldId())
//                            .setVehicleSeries(checkModelSeriesList.getVehicleSeries())
//                            .setVehicleTypeAndGroup(checkModelSeriesList.getVehicleTypeAndGroup())
//                            .setEditionCode(String.valueOf(Integer.parseInt(checkModelSeriesList.getEditionCode()) + 1))
//                            .setVersionCode(checkModelSeriesList.getVersionCode())
//                            .setVehicleType(checkModelSeriesList.getVehicleType())
//                            .setEnvNumber(checkModelSeriesList.getEnvNumber());
//                    insertCheckModelSeriesList.setKeyStatus("2");
//                    checkModelSeriesListService.save(insertCheckModelSeriesList);
//                }
//            }
//        } else {
            QueryWrapper<CheckRealVehicleVerification> isAllTrueWrapper = new QueryWrapper<>();
            isAllTrueWrapper.eq("VEHICLE_SERIES_ID", checkRealVehicleVerificationDto.getVehicleSeriesId());
            if ("3".equals(checkRealVehicleVerificationDto.getDetailType())) {
                isAllTrueWrapper.eq("TYPE", "3");
            } else if ("2".equals(checkRealVehicleVerificationDto.getDetailType()) || "4".equals(checkRealVehicleVerificationDto.getDetailType())) {
                isAllTrueWrapper.eq("TYPE", "1");
            } else {
                isAllTrueWrapper.eq("CHECK_RESULT", "1");
            }
            if (iCheckRealVehicleVerificationService.count(isAllTrueWrapper) > 0) {
                if ("3".equals(checkRealVehicleVerificationDto.getDetailType())) {
                    detail = this.list(new QueryWrapper<CheckRealVehicleVerification>()
                            .eq("VEHICLE_SERIES_ID", checkRealVehicleVerificationDto.getVehicleSeriesId())
                            .eq("CHECK_TYPE", checkRealVehicleVerificationDto.getDetailType()));
                } else if ("2".equals(checkRealVehicleVerificationDto.getDetailType()) || "4".equals(checkRealVehicleVerificationDto.getDetailType())) {
                    detail = this.list(new QueryWrapper<CheckRealVehicleVerification>()
                            .eq("VEHICLE_SERIES_ID", checkRealVehicleVerificationDto.getVehicleSeriesId())
                            .eq("CHECK_TYPE", checkRealVehicleVerificationDto.getDetailType()));
                } else {
                    detail = this.list(new QueryWrapper<CheckRealVehicleVerification>()
                            .eq("VEHICLE_SERIES_ID", checkRealVehicleVerificationDto.getVehicleSeriesId())
                            .eq("CHECK_TYPE", checkRealVehicleVerificationDto.getDetailType()));
                }
                QueryWrapper<CheckModelSeriesList> wrapper = new QueryWrapper();
//                if (StringUtils.isBlank(checkRealVehicleVerificationDto.getVehicleSeriesId())) {
                    wrapper.eq("VEHICLE_SERIES", checkRealVehicleVerificationDto.getVehicleSeries());
                    wrapper.eq("EDITION_CODE", String.valueOf(Integer.parseInt(checkModelSeriesList.getEditionCode()) + 1));
//                }

                CheckModelSeriesList newCheckModelSeriesList = checkModelSeriesListService.getOne(wrapper);
                if (newCheckModelSeriesList != null) {
                    UpdateWrapper<CheckModelSeriesList> updateWrapper = new UpdateWrapper<CheckModelSeriesList>();
                    updateWrapper.eq("ID", newCheckModelSeriesList.getId());
                    switch (checkRealVehicleVerificationDto.getDetailType()) {
                        case "1":
                            updateWrapper.set("OBD_STATUS", "2");
                            break;
                        case "2":
                            updateWrapper.set("SCAN_CODE_STATUS", "2");
                            break;
                        case "3":
                            updateWrapper.set("REAL_MOULD_STATUS", "2");
                            break;
                        case "4":
                            updateWrapper.set("STAND_STATUS", "2");
                            break;
                        case "5":
                            updateWrapper.set("KEY_STATUS", "2");
                            break;
                        default:
                            break;
                    }
                    for (CheckRealVehicleVerification checkRealVehicleVerification1 : detail) {
                        checkRealVehicleVerification1.setId(UUIDUtils.getUUID())
                                .setVehicleSeriesId(newCheckModelSeriesList.getId())
                                .setType("")
                                .setCheckPicturePath("")
                                .setRemarks("")
                                .setDischargeStage("")
                                .setCheckResult("")
                                .setCheckPicturePathTwo("");
                    }
                    checkModelSeriesListService.update(updateWrapper);
                } else {
                    CheckModelSeriesList insertCheckModelSeriesList = new CheckModelSeriesList();
                    insertCheckModelSeriesList.setId(UUIDUtils.getUUID())
                            .setBase(checkModelSeriesList.getBase())
                            .setStandId(checkModelSeriesList.getStandId()).setObdId(checkModelSeriesList.getObdId())
                            .setScanCodeId(checkModelSeriesList.getScanCodeId())
                            .setRealMouldId(checkModelSeriesList.getRealMouldId())
                            .setVehicleSeries(checkModelSeriesList.getVehicleSeries())
                            .setVehicleTypeAndGroup(checkModelSeriesList.getVehicleTypeAndGroup())
                            .setEditionCode(String.valueOf(Integer.parseInt(checkModelSeriesList.getEditionCode()) + 1))
                            .setVersionCode(checkModelSeriesList.getVersionCode())
                            .setVehicleType(checkModelSeriesList.getVehicleType())
                            .setEnvNumber(checkModelSeriesList.getEnvNumber());
                    switch (checkRealVehicleVerificationDto.getDetailType()) {
                        case "1":
                            insertCheckModelSeriesList.setObdStatus("2");
                            break;
                        case "2":
                            insertCheckModelSeriesList.setScanCodeStatus("2");
                            break;
                        case "3":
                            insertCheckModelSeriesList.setRealMouldStatus("2");
                            break;
                        case "4":
                            insertCheckModelSeriesList.setStandStatus("2");
                            break;
                        case "5":
                            insertCheckModelSeriesList.setKeyStatus("2");
                            break;
                        default:
                            break;
                    }
                    checkModelSeriesListService.save(insertCheckModelSeriesList);
                    for (CheckRealVehicleVerification realVehicleVerification : detail) {
                        realVehicleVerification.setId(UUIDUtils.getUUID())
                                .setVehicleSeriesId(insertCheckModelSeriesList.getId())
                                .setType("")
                                .setCheckPicturePath("")
                                .setRemarks("")
                                .setDischargeStage("")
                                .setCheckPicturePathTwo("")
                                .setCheckResult("");
                    }
                }
                this.saveBatch(detail);
            }
//        }


        checkRealVehicleVerificationDto.setTime(new Date());
        checkRealVehicleVerificationDto.setUserId(request.getHeader("userId"));
        return checkRealVehicleVerificationDao.updateCheckModelSeries(checkRealVehicleVerificationDto);
    }

    @Override
    public List<CheckRealVehicleVerification> getLastCheckRealVehicleVer(CheckModelSeriesList checkModelSeriesList) {
        List<String> VehicleTypeAndGroupList = Arrays.asList(checkModelSeriesList.getVehicleTypeAndGroup().replace(
                "、",",").split(","));
        List<String> list = new ArrayList<>();
        for (String vehicleTypeAndGroup : VehicleTypeAndGroupList) {
            String id = checkRealVehicleVerificationDao.queryId(vehicleTypeAndGroup, checkModelSeriesList.getDetailType());
            if (StringUtils.isNotBlank(id)) {
                list.add(id);
            }
        }
        if (list.size() == 0) {
            List<CheckRealVehicleVerification> l = new ArrayList<>();
            return l;
        }
        return checkRealVehicleVerificationDao.queryLastCheckRealVehicleVer(list, checkModelSeriesList.getDetailType());
    }
//    /**
//     * 导出备案故障码使用
//     * 根据条件查找 CheckRealVehicleVerificationDTO
//     * @param vehicleSeriesId
//     * @param checkType
//     * @return
//     */
//    @Override
//    public List<CheckRealVehicleVerificationDTO> selectCheckRealVVDTO(String vehicleSeriesId) {
//        //设置下载条件
//        QueryWrapper<CheckRealVehicleVerification> queryWrapper = new QueryWrapper<>();
//
//        queryWrapper.eq("VEHICLE_SERIES_ID",vehicleSeriesId)
//                .eq("CHECK_TYPE","2")
//                .select("ID","PARAMETER_NAME","RECORD_FAULT_CODE");
//
//        List<CheckRealVehicleVerification> list = this.list(queryWrapper);
//        List<CheckRealVehicleVerificationDTO> listDTO = new ArrayList<>();
//        CheckRealVehicleVerificationDTO checkRealVehicleVerificationDTO= null;
//       if (list != null){
//           for (CheckRealVehicleVerification temp:list) {
//               checkRealVehicleVerificationDTO = new CheckRealVehicleVerificationDTO();
//               checkRealVehicleVerificationDTO.setId(temp.getId());
//               checkRealVehicleVerificationDTO.setParameterName(temp.getParameterName());
//               checkRealVehicleVerificationDTO.setRecordFaultCode(temp.getRecordFaultCode());
//               listDTO.add(checkRealVehicleVerificationDTO);
//           }
//       }
//        return listDTO;
//    }

}
